2004-05-02 20:40  taniwha

	* NEWS, libs/video/renderer/r_light.c (release_0_5_5):

	slightly modified version of Grievre's fix for black models on an unlit map
	
2004-05-01 04:14  taniwha

	* tools/bsp2img/bsp2img.c:

	finally support png
	
2004-05-01 03:41  taniwha

	* tools/misc/itemslist.py:

	can't use None due to the math
	
2004-05-01 03:39  taniwha

	* tools/qfbsp/: include/options.h, source/options.c,
	source/readbsp.c:

	has some issues, but support writting to stdout
	
2004-05-01 03:21  taniwha

	* tools/misc/itemslist.py:

	fun tool to display item info in a map (using an already extracted entity
	file). use as a filter
	
2004-04-30 21:52  taniwha

	* tools/qfbsp/source/options.c:

	correct the help output
	
2004-04-30 21:50  taniwha

	* tools/qfbsp/: include/bsp5.h, include/options.h,
	source/options.c, source/qfbsp.c, source/readbsp.c:

	can now extract entities from foo.bsp to foo.ent
	
2004-04-29 04:10  taniwha

	* NEWS (release_0_5_5):

	cleanup and add the recent fixes
	
2004-04-29 03:00  taniwha

	* libs/audio/renderer/wav.c (release_0_5_5):

	make sure sample length is never 0
	
2004-04-29 01:13  taniwha

	* libs/audio/targets/snd_alsa.c (release_0_5_5):

	fix a 64bit warning
	
2004-04-28 22:52  taniwha

	* debian/changelog (release_0_5_5):

	get the release number right
	
2004-04-28 22:19  taniwha

	* debian/changelog (release_0_5_5):

	add 0.5.5 entry
	
2004-04-28 21:10  taniwha

	* configure.ac (release_0_5_5):

	whee, 0.5.5 at last :)
	
2004-04-28 21:07  taniwha

	* configure.ac:

	0.5.5-CVS now :)
	
2004-04-28 20:27  despair

	* libs/video/renderer/gl/gl_mod_alias.c:

	Swap normal/vertex order to match order they are accessed in during render.
	Optimization from Grievre.
	Also fix a minimum light clamping to actually be applied.
	
2004-04-28 20:11  taniwha

	* RPM/quakeforge.spec.in:

	add cd_file
	
2004-04-28 06:50  deek

	* debian/: control, rules:

	Even more updates... let's get cd_file and the SDL crap into the dist.
	
2004-04-28 05:54  deek

	* debian/rules:

	Even more Debian changes.
	* Deek does the build-package dance again...
	
2004-04-28 04:49  deek

	* tools/qfcc/doc/man/qfcc.1:

	qfcc man page updates.
	
2004-04-28 04:48  deek

	* debian/: quakeforge-common.shlibs, quakeforge-libs-gl.shlibs,
	quakeforge-libs-sw.shlibs, rules:

	More Debian updates.
	
2004-04-28 04:07  taniwha

	* include/r_cvar.h, libs/video/renderer/gl/gl_mod_alias.c,
	libs/video/renderer/gl/gl_rmain.c,
	libs/video/targets/vid_common_gl.c:

	* taniwha mutters about end-runs (sorry, Grievre)
	
2004-04-28 01:43  taniwha

	* NEWS:

	getting ready for 0.5.5
	
2004-04-28 00:46  deek

	* debian/: changelog, control, quakeforge-common.shlibs, rules:

	Debian updates.
	
2004-04-28 00:43  deek

	* tools/qfcc/doc/qfcc.lyx:

	Small changes to the QFCC book.
	
2004-04-28 00:42  deek

	* ruamoko/: include/debug.h, include/entities.h, lib/debug.r,
	lib/entities.r:

	Ruamoko builtin declaration/implementation cleanup/simplification. Incomplete,
	but working.
	
2004-04-27 23:17  deek

	* tools/qfcc/source/: expr.c, idstuff.c, lines.c, modules.c:

	Some signed/unsigned formatting stuff found by lint.
	
2004-04-27 22:18  taniwha

	* include/r_cvar.h, libs/video/renderer/gl/gl_mod_alias.c,
	libs/video/renderer/gl/gl_rmain.c,
	libs/video/targets/vid_common_gl.c:

	Grievre's lighting tweeks
	
2004-04-27 21:58  snax

	* configure.ac, include/QF/Makefile.am, include/QF/object.h,
	libs/Makefile.am, qw/source/Makefile.am, qw/source/sv_main.c:

	Disable libQFobject from being built or used, since it doesn't serve
	any purpose right now.
	
2004-04-27 21:56  snax

	* libs/object/: ArrayList.c, Collection.c, Double.c, Makefile.am,
	object.c:

	Last few changes to libQFobject, in case anyone wants to use the code
	for something.
	
2004-04-27 20:24  taniwha

	* tools/qfcc/: doc/man/qfcc.1, include/options.h, source/expr.c,
	source/options.c:

	fast-float code option (defaults to on). kills almost 3000 statements from
	prozac
	
2004-04-27 03:45  taniwha

	* qw/source/sv_user.c:

	patch from Grievre to add a cvar to control "fake" filtering and change the
	fake kick default
	
2004-04-23 22:53  taniwha

	* include/QF/quakefs.h, libs/console/filelist.c,
	libs/util/quakefs.c:

	fix an oopsie that broke skyboxlist (early morning paper routes are bad for
	coding:)
	
2004-04-22 02:49  taniwha

	* ruamoko/include/Makefile.am:

	make dist fix
	
2004-04-20 23:01  taniwha

	* ruamoko/: include/qfs.h, lib/Makefile.am, lib/qfs.r:

	add bindings for the qfs functions
	
2004-04-20 22:52  taniwha

	* include/QF/quakefs.h, libs/console/filelist.c,
	libs/ruamoko/rua_qfs.c, libs/util/quakefs.c:

	strip parameter to QFS_FilelistFill and add rua support
	
2004-04-20 22:25  taniwha

	* include/QF/quakefs.h, libs/console/filelist.c,
	libs/util/quakefs.c:

	move the filelist building code into quakefs
	
2004-04-20 05:34  snax

	* qw/source/sv_main.c:

	Remove references to the broken and soon-to-be-removed object system.
	
2004-04-16 04:21  taniwha

	* libs/video/targets/in_x11.c:

	fix a braino
	
2004-04-16 03:24  taniwha

	* libs/video/renderer/: r_cvar.c, sw/sw_rmain.c, sw32/sw32_rmain.c:

	add r_norefresh support to sw and sw32 and rename the console side of the
	cvar to get around the evil in customtf
	
2004-04-15 06:14  taniwha

	* qw/source/cl_main.c:

	don't do hostname lookup on an empty string
	
2004-04-14 03:31  taniwha

	* libs/video/renderer/: gl/gl_screen.c, sw/screen.c, sw32/screen.c:

	full path reporting when writing screenshots
	
2004-04-14 02:15  taniwha

	* libs/util/quakefs.c:

	rework contains_updir to allow a specified number of ..s. QFS_FOpenFile now
	allows one .. in the path (won't be able to find any files in a pak file
	and is horribly inefficient, but oh well)
	
2004-04-13 04:42  taniwha

	* libs/util/quakefs.c:

	QFS_Open more secure and simplify contains_updir
	
2004-04-13 03:38  taniwha

	* libs/util/quakefs.c:

	don't create the path in QFS_Open if not writing
	
2004-04-13 02:23  taniwha

	* qw/source/cl_main.c:

	oops, fix some minor breakage
	
2004-04-13 02:13  taniwha

	* libs/video/targets/vid_fbdev.c:

	add a -novideo option to allow for headless operation
	
2004-04-13 01:13  taniwha

	* qw/source/cl_main.c:

	optionally allow recomte commands from a specified host address
	
2004-04-12 23:46  taniwha

	* tools/qfcc/source/linker.c:

	fix a silly that messed up type mismatch errors
	
2004-04-12 23:38  taniwha

	* include/netchan.h, libs/net/nc/net_udp.c, libs/net/nc/net_udp6.c,
	qw/source/cl_main.c:

	make local command ip address checking sane
	
2004-04-12 12:20  wildcode

	* qw/source/crudefile.c:

	oops, added append support to other functions that require it
	
2004-04-12 11:25  wildcode

	* qw/source/crudefile.c:

	append support added to cfopen
	
2004-04-09 18:18  snax

	* libs/gib/gib_function.c:

	For some reason, using static nested function as callback = segfault.
	Fixed.
	
2004-04-09 04:30  taniwha

	* tools/qfcc/source/expr.c:

	get the field offset correctly
	
2004-04-09 04:12  taniwha

	* tools/qfcc/: include/expr.h, source/expr.c, source/type.c:

	quaternion field access now works
	
2004-04-09 03:47  taniwha

	* tools/qfcc/source/qc-parse.y:

	update the scope of local defs to the parent scope when the creation scope
	goes away (doesn't get updated to the global scope). fixes a bug where
	local defs would be miscounted (and sometimes lost)
	
2004-04-09 03:45  taniwha

	* tools/qfcc/source/linker.c:

	allow .imm fields (need a better test, I think)
	
2004-04-09 02:20  taniwha

	* tools/qfcc/source/def.c:

	fix a couple out-by-one errors highlighted by quaternions
	
2004-04-08 18:53  taniwha

	* tools/qfcc/: include/type.h, source/type.c:

	spelling fixes
	
2004-04-08 05:13  taniwha

	* libs/util/mathlib.c, tools/qfcc/source/expr.c:

	fix a few bugs. basics seem to be working
	
2004-04-08 05:04  taniwha

	* tools/qfcc/source/expr.c:

	oops
	
2004-04-08 04:59  taniwha

	* tools/qfcc/source/expr.c:

	quaternion conjugate
	
2004-04-08 04:57  taniwha

	* include/QF/pr_comp.h, libs/gamecode/engine/pr_exec.c,
	libs/gamecode/engine/pr_opcode.c:

	quaternion conjugate support (engine side)
	
2004-04-08 03:32  taniwha

	* libs/gamecode/engine/pr_strings.c, tools/qfcc/include/struct.h,
	tools/qfcc/source/function.c, tools/qfcc/source/idstuff.c,
	tools/qfcc/source/immediate.c, tools/qfcc/source/qc-lex.l,
	tools/qfcc/source/type.c:

	more quaternion work (should be working, haven't come up with tests yet)
	
2004-04-08 02:33  taniwha

	* libs/gamecode/engine/pr_debug.c, nq/source/sv_progs.c,
	qw/source/sv_progs.c, tools/qfcc/source/constfold.c,
	tools/qfcc/source/expr.c, tools/qfcc/source/qfprogs.c,
	tools/qfcc/source/type.c:

	compile fixes (oops) and start working on quaternion support in qfcc
	
2004-04-08 00:56  taniwha

	* include/QF/pr_comp.h, libs/gamecode/engine/pr_exec.c,
	libs/gamecode/engine/pr_opcode.c:

	engine side quaternion support
	
2004-04-07 18:01  taniwha

	* include/QF/mathlib.h, libs/util/mathlib.c:

	more readability and add the quaternion functions
	
2004-04-07 02:29  taniwha

	* include/QF/mathlib.h:

	make the vector macros more readable
	
2004-04-07 02:29  taniwha

	* include/QF/qtypes.h:

	add quat_t for quaternions (not used yet)
	
2004-04-07 02:09  taniwha

	* debian/: .cvsignore, control, quakeforge-stub.postinst, rules:

	create the quakeforge-stub package (whee, my first .deb:)
	
2004-04-06 22:02  taniwha

	* qw/source/: sv_ccmds.c, sv_demo.c, sv_main.c, sv_pr_cmds.c,
	sv_send.c, sv_user.c:

	various mvd fixes for bots, especially getting the angles written
	
2004-04-06 04:04  taniwha

	* qw/source/sv_demo.c:

	parenthesize a couple of casts. fixes the mvd recording crash
	
	*taniwha dons his brown paper bag
	
2004-04-06 03:30  taniwha

	* configure.ac:

	bsp2img doesn't need qfbsp includes
	
2004-04-05 23:33  taniwha

	* qw/source/pmovetst.c:

	make sure trace.allsolid gets set properly when skipping the
	PM_RecursiveHullCheck call. Fixes the lg + pent + water map ejection bug.
	
2004-04-05 04:28  taniwha

	* doc/config/gib/qfadmin.gib:

	more recent version of DrSpliff's qfadmin script (1.17 2003/03/28)
	
2004-04-04 05:34  taniwha

	* libs/util/Makefile.am, nq/source/Makefile.am,
	qw/source/Makefile.am:

	fix up some accidental asm compilation when it's not wanted
	
2004-04-04 02:34  taniwha

	* include/QF/skin.h, qw/source/cl_parse.c:

	Grievre's skin DoS fix
	
2004-03-31 21:40  taniwha

	* include/: Makefile.am, menu.h:

	haven't needed that for a while
	
2004-03-31 19:14  taniwha

	* qw/: include/sv_demo.h, source/sv_send.c:

	minor cleanups
	
2004-03-30 02:31  taniwha

	* tools/qfcc/test/for.r:

	for loop tests
	
2004-03-30 02:31  taniwha

	* tools/qfcc/source/qc-parse.y:

	fix "for (;;)" etc
	
2004-03-26 02:52  wildcode

	* libs/util/sys.c:

	fixed stalls and mis-placed rocket which was seen only in the cygwin->mingw32 builds, also removed redundant stdin_ready code and forcing of timeout setting for win32 build
	
2004-03-25 05:41  taniwha

	* tools/qflight/source/: entities.c, ltface.c:

	get the spotlight working
	
2004-03-23 22:39  taniwha

	* qw/source/: cl_ents.c, sv_ccmds.c, sv_demo.c:

	cl_ents.c:
		bring back the location markers
	sv_ccmds.c:
		a few demo related fixes
	sv_demo.c:
		minor cleanups
	
2004-03-22 04:22  taniwha

	* nq/source/: host_skin.c, sv_ded.c:

	make "color" work in nq-server (worked fine in nq-x11 -dedicaged)
	
2004-03-22 03:23  taniwha

	* libs/video/targets/context_x11.c:

	make sure the mouse input updates properly when going from fullscreen to
	windowed
	
2004-03-22 02:16  taniwha

	* libs/video/targets/context_x11.c:

	do the viewport forcing in configure_notify. fixes Grievre's uncentered
	viewport
	
2004-03-21 20:21  taniwha

	* libs/video/targets/vid_x11.c:

	don't know why the expose event was being waited for. doesn't seem to be
	needed (now, anyway) when going windowed and causes lockup when starting
	fullscreen
	
2004-03-21 18:53  despair

	* tools/qfbsp/source/writebsp.c:

	More compile fixes for current gcc.
	
2004-03-21 05:39  taniwha

	* include/context_x11.h:

	the initial event mask now needs to include mouse motion events otherwise
	the x11 clients will "lock up" when they start fullscreened
	
2004-03-21 05:21  taniwha

	* include/context_x11.h, libs/video/targets/context_x11.c,
	libs/video/targets/in_x11.c:

	Want for the mouse to move when going fullscreen before moving the
	viewport. This should fix the uncetnered viewport when going fullscreen.
	Also discard mouse events caused by fullscreen toggling to avoid chaning
	orientation.
	
2004-03-21 04:59  despair

	* libs/audio/cd/cd_sdl.c:

	Fixes compilation with current GCC. Also a safety improvement (if macro should
	use param more than once), taniwha tells me.
	
2004-03-21 04:54  taniwha

	* qw/source/sv_demo.c:

	fix some new gcc warnings (from my experience with qfcc, such casts are
	potentially dangerous anyway)
	
2004-03-21 00:34  taniwha

	* include/context_x11.h, libs/video/targets/context_x11.c,
	libs/video/targets/in_x11.c:

	so that's why you would want to use XMaskEvent... don't lose the FocusIn
	and EnterNotify events when starting fullscreened
	
2004-03-20 00:23  taniwha

	* qw/source/sv_ccmds.c:

	add optional reason to kick and ban
	
2004-03-19 21:12  taniwha

	* libs/video/targets/context_x11.c:

	dead code removal
	
2004-03-19 20:24  taniwha

	* include/context_x11.h, libs/video/targets/context_x11.c,
	libs/video/targets/in_x11.c, libs/video/targets/vid_glx.c,
	libs/video/targets/vid_x11.c:

	minor cleanup of window position handling. hopefully no more window off
	screen issues (wait for ConfigureNotify instead of MapNotify on window
	creation (ConfigureNotify gives us our window position)).
	
2004-03-19 02:20  taniwha

	* tools/qfvis/source/qfvis.c:

	fix a really stupid error (missing {}s) that caused vis data to basicly get
	lost when reading the new portal file format
	
2004-03-19 00:41  taniwha

	* tools/qfvis/source/qfvis.c:

	hopefully handle \r\n endings
	
2004-03-19 00:38  taniwha

	* tools/bsp2img/bsp2img.c:

	open output file in binary mode
	
2004-03-18 06:05  taniwha

	* include/context_x11.h, libs/video/targets/context_x11.c:

	minor cleanups preparing for an overhaul
	
2004-03-18 05:58  taniwha

	* libs/util/cvar.c:

	even better, use seta (new command) instead so config.cfg automaticly sets
	the archive bit
	
2004-03-18 05:45  taniwha

	* libs/util/cvar.c:

	all archived cvars now get written to the config file prefixed with set
	
2004-03-17 20:22  taniwha

	* tools/qfbsp/source/map.c:

	fix a silly bug that caused all parsed keys to be ""
	
2004-03-17 04:53  taniwha

	* libs/video/renderer/r_light.c:

	hopefully more correct surface marking for dlights
	
2004-03-17 04:47  taniwha

	* libs/video/renderer/gl/gl_lightmap.c:

	don't fudge the maxdist by 0.75. no clue why that was done, but it was the
	cause of the bogusly lit surfaces (not sure why, though. imaginary numbers,
	maybe?). timedemo runs are a little more variable :/
	
2004-03-16 04:15  taniwha

	* include/QF/: mathlib.h, progs.h:

	multi statement macro fixes as pointed out by Grievre
	
2004-03-16 04:12  taniwha

	* include/QF/keys.h, libs/video/targets/in_x11.c,
	libs/video/targets/keys.c, libs/video/targets/old_keys.c:

	M_BUTTON6 and M_BUTTON7. nuff said :)
	
2004-03-15 21:45  despair

	* libs/video/renderer/gl/gl_sky.c:

	Make nearer cloud layer speed more sane for skydomes.
	
2004-03-15 21:44  despair

	* libs/video/targets/vtxarray.c:

	Fix from Grievre.
	
2004-03-15 21:32  despair

	* include/QF/mathlib.h, libs/video/renderer/gl/gl_mod_alias.c,
	libs/video/renderer/gl/gl_rmain.c,
	libs/video/targets/vid_common_gl.c:

	Lots of optimizations, particularly for GL state changes, and tweak lighting a
	bit more.
	
	Also a cleanup from Grievre: Use VectorIsZero in two places in gl_mod_alias.c.
	
2004-03-15 20:41  taniwha

	* qw/source/sv_user.c:

	bring back the missing chat logging
	
2004-03-15 00:32  taniwha

	* nq/source/cl_main.c:

	oops, old_origin is for trails
	
2004-03-11 04:13  taniwha

	* nq/source/: cl_main.c, sv_main.c:

	insert entities into the bsp tree for later renderer queuing based on vis
	rather than directly into the queue. gives a 6.6% speedup for bigass1,
	maybe slight loss for demo1 and definitly minor loss for nullrendering.
	However, it gives us potential access to info we wouldn't otherwise have
	ready access to.
	
2004-03-11 01:03  despair

	* libs/video/: renderer/gl/gl_mod_alias.c, targets/vid_common_gl.c:

	More of my experimental GL lighting tweaks.
	
2004-03-10 08:14  despair

	* include/QF/GL/qf_funcs_list.h, include/QF/GL/qf_vid.h,
	libs/video/renderer/gl/gl_mod_alias.c,
	libs/video/renderer/gl/gl_rmain.c,
	libs/video/targets/vid_common_gl.c:

	Grievre's lighting patch, plus some of my own changes.
	My changes:
	Emit normals if truform is enabled.
	Attempt to avoid 0,0,0 normals (makes lighting & tesselation unhappy).
	Fix some (ancient) apparent bugs in GetAliasFrameVerts16().
	Clamp minlight, instead of adding it.
	Apply colormod as glColor, rather than adding it to emission, to prevent QSG2
	 issues with fullbrights.
	Rearrange init code, and don't go quite as wild with responsiveness to lights.
	
	Material & lightmode settings will need tweaking & testing to work well on all
	 cards. Feedback needed there.
	
2004-03-08 18:42  wildcode

	* libs/video/renderer/gl/gl_lightmap.c:

	fix for gl_overbright init order bug, maybe Despair can come up with a better way
	
2004-03-07 23:51  despair

	* include/r_cvar.h, include/QF/GL/qf_rmain.h,
	include/QF/GL/qf_vid.h, libs/video/renderer/gl/gl_lightmap.c,
	libs/video/renderer/gl/gl_rmain.c,
	libs/video/targets/vid_common_gl.c:

	Remove gl_doublebright, remove fractional overbrights, clean up init a bit,
	uglify init a bit. Stuff for taniwha to look at. Nothing to see here, move
	along.
	
2004-03-07 00:25  taniwha

	* qw/source/: sv_ents.c, sv_send.c:

	if we're not going to check the pvs, why bother calculating it?
	
2004-03-06 04:42  taniwha

	* qw/: include/sv_demo.h, source/sv_demo.c:

	bit of a tidy up to make following things a bit easier
	
2004-03-06 04:34  taniwha

	* qw/source/cl_parse.c:

	remove debug print (oops)
	
2004-03-06 03:18  taniwha

	* qw/: include/sv_demo.h, source/sv_ccmds.c, source/sv_demo.c,
	source/sv_main.c:

	hide SV_Stop_f
	
2004-03-05 23:42  taniwha

	* qtv/source/server.c, qw/include/server.h, qw/include/sv_qtv.h,
	qw/source/cl_parse.c, qw/source/sv_main.c, qw/source/sv_qtv.c:

	more progress for qtv
	
2004-03-05 21:53  taniwha

	* libs/video/renderer/gl/gl_lightmap.c:

	gl_lightmap_subimage 2 now works, but only if using r_lightmap_components 4
	(with dri, anyway, ymmv).
	
2004-03-04 00:13  taniwha

	* qw/: include/Makefile.am, include/sv_qtv.h, source/Makefile.am,
	source/sv_main.c, source/sv_qtv.c:

	initial commit of sv_qtv stuff. doesn't do much of anything yet but I need
	to clean up DirectConnect first
	
2004-03-02 03:55  taniwha

	* include/r_screen.h, include/sbar.h, include/QF/screen.h,
	libs/console/client.c, libs/video/renderer/r_screen.c,
	nq/include/server.h, nq/source/cl_parse.c, nq/source/sbar.c,
	nq/source/sv_ded.c, nq/source/sv_main.c, qw/source/cl_parse.c,
	qw/source/sbar.c:

	final (?) cleanup of center printing. turns out there's no reason to keep
	it in the renderer and every reason to pull it out (ok, some might
	disagree:)
	
2004-03-02 00:58  taniwha

	* include/QF/screen.h, libs/video/renderer/r_screen.c,
	nq/source/sbar.c, qw/source/sbar.c:

	more centerprint cleanup.
	
2004-03-02 00:02  taniwha

	* nq/source/cl_screen.c, qw/source/cl_screen.c:

	better screen function list selection
	
2004-03-01 23:47  taniwha

	* include/sbar.h, include/QF/screen.h,
	libs/video/renderer/r_screen.c, libs/video/renderer/gl/gl_screen.c,
	libs/video/renderer/sw/screen.c, libs/video/renderer/sw32/screen.c,
	nq/source/cl_screen.c, nq/source/sbar.c, qw/source/cl_screen.c,
	qw/source/sbar.c:

	first step of centerprint/finale cleanup. fixes the misplaced text for
	end-of-episode text
	
2004-03-01 23:45  taniwha

	* qw/source/sv_main.c:

	beginnings of qtv support
	
2004-03-01 21:09  despair

	* libs/audio/renderer/snd_mem.c:

	Slightly ugly fix for an optimization bug.
	
2004-03-01 11:51  despair

	* libs/audio/renderer/midi.c:

	Space, the final frontier...
	
2004-03-01 11:51  despair

	* libs/audio/renderer/: snd_dma.c, snd_mem.c, snd_mix.c:

	A couple of small optimizations. If you are exiting early, avoid some stuff
	only needed later. And reduce worst-case number of if tests in a few places.
	
2004-02-29 07:12  taniwha

	* libs/util/quakeio.c:

	fix Qgets for when zlib isn't available
	
2004-02-29 05:32  despair

	* libs/video/renderer/r_cvar.c:

	Less surprising default.
	
2004-02-29 04:50  despair

	* libs/video/: renderer/gl/gl_lightmap.c, targets/vid_common_gl.c:

	Lighting init fixes.
	
2004-02-29 04:24  taniwha

	* libs/models/brush/model_brush.c:

	do some sanity checking on the header lumps in case of truncated file
	
2004-02-29 02:58  despair

	* include/QF/GL/qf_lightmap.h:

	Whee.
	
2004-02-29 01:49  despair

	* libs/video/: renderer/gl/gl_lightmap.c, targets/vid_common_gl.c:

	Reduce ifs a bit, clean up init a bit. Minor problem with gl_doublebright. LIH.
	
2004-02-27 21:42  despair

	* libs/video/renderer/gl/gl_rmain.c:

	Multitexture state fix. Harmless so far, but testing carefully helps us avoid
	state leak horrors.
	
2004-02-27 21:36  despair

	* libs/video/renderer/gl/gl_lightmap.c:

	Fix overzealous optimization which did interesting things to lightmapping when
	not using multitexture.
	
2004-02-27 20:40  despair

	* libs/video/targets/vid_common_gl.c:

	If (!var) checking for a cvar setup. Can't believe that one slipped by for so
	long... Also set a few globals static.
	
2004-02-27 15:49  despair

	* libs/video/renderer/gl/gl_lightmap.c:

	Make whitespace consistent. yay.
	
2004-02-27 08:51  despair

	* libs/video/renderer/gl/gl_mod_alias.c:

	...space
	
2004-02-27 08:29  despair

	* libs/video/renderer/gl/gl_lightmap.c:

	Tiny bit of loop unrolling.
	
2004-02-27 00:10  taniwha

	* qtv/: include/qtv.h, include/server.h, source/qtv.c,
	source/server.c:

	make sure the server being connected to supports qtv
	
2004-02-26 23:24  taniwha

	* qtv/include/qtv.h:

	type forward delc issues
	
2004-02-26 23:15  taniwha

	* qw/source/sv_send.c:

	fix a couple places where reliable messages were getting sent to bots.
	fixes the segs on bot_add in fbxa
	
2004-02-26 22:53  taniwha

	* libs/video/renderer/: sw/sw_rbsp.c, sw32/sw32_rbsp.c:

	seem to have the itterative world rendering working now (fingers crossed:)
	
2004-02-26 00:33  taniwha

	* libs/video/renderer/gl/gl_lightmap.c:

	don't bother binding unmodified lightmaps
	
2004-02-25 02:38  taniwha

	* ruamoko/lib/Makefile.am:

	move hash.r and plist.r to libr where they belong
	
2004-02-24 20:58  taniwha

	* qw/: include/sv_demo.h, source/sv_demo.c:

	whitespace
	
2004-02-24 20:53  despair

	* libs/video/renderer/gl/gl_sky.c:

	Fix multipass skydome rendering. Not sure layer speeds are right, but at least
	they move at different speeds like they are supposed to.
	
2004-02-24 20:50  despair

	* include/r_cvar.h, include/QF/GL/defines.h,
	include/QF/GL/extensions.h, include/QF/GL/qf_vid.h,
	libs/video/renderer/r_cvar.c, libs/video/renderer/gl/gl_lightmap.c,
	libs/video/renderer/gl/gl_mod_alias.c,
	libs/video/renderer/gl/gl_rmain.c,
	libs/video/renderer/gl/gl_rsurf.c,
	libs/video/targets/vid_common_gl.c:

	Optimize fullbright testing for brushes, assorted other cleanups, test for
	functions built into current GL drivers, as well as the old extensions, and
	add incorrectly rendering BGRA support.
	Whee!
	
2004-02-24 20:38  taniwha

	* bootstrap:

	OS-X fixes from nano
	
2004-02-24 20:06  despair

	* nq/source/world.c, qw/source/pmovetst.c, qw/source/world.c:

	Whitespace, plus inline a few small functions.
	
2004-02-24 02:56  taniwha

	* tools/qfcc/TODO:

	add a note about memory consuption
	
2004-02-23 21:40  taniwha

	* include/Makefile.am:

	make dist fix
	
2004-02-23 07:17  taniwha

	* include/QF/model.h, libs/models/brush/model_brush.c,
	libs/video/renderer/r_light.c:

	some micro-optimisations
	
2004-02-23 04:46  taniwha

	* libs/video/renderer/gl/gl_rsurf.c:

	the inline went wandering by mistake. gives a tiny (< 0.5%) gain, but a
	gain none the less
	
2004-02-23 04:25  despair

	* libs/video/renderer/gl/gl_rsurf.c:

	Remove no-longer needed parameters from function calls.
	
2004-02-22 06:19  taniwha

	* qtv/: include/client.h, include/qtv.h, source/client.c,
	source/qtv.c:

	add backbufs to client_t. can now easily send reliable data to the client
	
2004-02-22 06:00  despair

	* include/QF/GL/qf_rsurf.h, libs/video/renderer/gl/gl_rmain.c,
	libs/video/renderer/gl/gl_rsurf.c,
	libs/video/targets/vid_common_gl.c:

	Reorder a lot of code, removing tons of ifs. multitexture paths are a bit more
	sane now. Also optimize QSG2 color handling, and fix some QSG2 bugs. Not that
	anyone cares, nobody uses it anyways.
	Should be faster, but isn't here. *grmbl*
	
2004-02-22 05:40  taniwha

	* include/Makefile.am, include/netchan.h, include/qw/msg_backbuf.h,
	include/qw/protocol.h, libs/qw/Makefile.am, libs/qw/msg_backbuf.c,
	qw/include/bothdefs.h, qw/include/server.h, qw/source/Makefile.am,
	qw/source/cl_ents.c, qw/source/sv_ccmds.c, qw/source/sv_main.c,
	qw/source/sv_nchan.c, qw/source/sv_pr_cmds.c, qw/source/sv_send.c,
	qw/source/sv_user.c:

	move ClientReliable* from sv_nchan to MSG_Reliabe* in msg_backbuf so the
	backbuffer code can be shared between qw-server and qtv
	
2004-02-22 01:32  taniwha

	* qw/source/sv_user.c:

	remove some debug code (oops)
	
2004-02-21 10:33  wildcode

	* libs/video/renderer/gl/gl_rsurf.c:

	Grievres' non-mtex FB being brighter than mtex FB fix. Note: it breaks non-RGBA replacement textures
	
2004-02-21 09:04  wildcode

	* libs/video/: renderer/gl/gl_rmain.c, targets/vid_common_gl.c:

	Grievres' water HOM and mtex FB only rendering FB texture fix
	
2004-02-21 05:58  taniwha

	* tools/qfcc/: include/function.h, source/obj_file.c:

	remove a mostly unused field
	
2004-02-21 05:52  taniwha

	* tools/qfcc/: include/def.h, include/function.h, source/expr.c,
	source/function.c, source/idstuff.c:

	auto-init for uninitialized locals in traditional mode as requested by
	Grievre
	
2004-02-21 05:36  despair

	* include/QF/GL/qf_rsurf.h, libs/video/renderer/gl/gl_mod_alias.c,
	libs/video/renderer/gl/gl_rmain.c,
	libs/video/renderer/gl/gl_rsurf.c,
	libs/video/targets/vid_common_gl.c:

	Fix a bunch of state leaks that made multitextured fullbrights smear the world.
	Now just have one (known) issue with bmodels with fullbright textures not
	rendering their base texture. Floating fullbrights are nifty!
	
	Also a number of optimizations, which need wider performance testing.
	
2004-02-21 05:08  taniwha

	* configure.ac, include/qw/msg_ucmd.h, libs/Makefile.am,
	libs/qw/.cvsignore, libs/qw/Makefile.am, libs/qw/msg_ucmd.c,
	qtv/include/Makefile.am, qtv/include/client.h, qtv/include/qtv.h,
	qtv/source/Makefile.am, qtv/source/client.c, qtv/source/qtv.c,
	qw/include/Makefile.am, qw/include/msg_ucmd.h,
	qw/source/Makefile.am, qw/source/cl_ents.c, qw/source/cl_input.c,
	qw/source/msg_ucmd.c, qw/source/sv_ents.c, qw/source/sv_user.c:

	move the ucmd message code into a common qw lib (more will likely follow)
	
2004-02-21 04:23  taniwha

	* libs/video/renderer/r_light.c:

	Grievre's patch to makes R_MarkLights and R_RecursiveMarkLights use the
	same function for actual marking.. which reduces code redundancy and fixes
	the fact that world submodels
	
2004-02-21 02:31  taniwha

	* include/Makefile.am, include/qw/protocol.h,
	qtv/include/connection.h, qtv/include/server.h,
	qtv/source/client.c, qtv/source/connection.c, qtv/source/qtv.c,
	qtv/source/server.c, qw/include/Makefile.am, qw/include/cl_cam.h,
	qw/include/cl_demo.h, qw/include/cl_input.h, qw/include/client.h,
	qw/include/pmove.h, qw/include/protocol.h, qw/include/server.h,
	qw/source/cl_parse.c, qw/source/master.c, qw/source/msg_ucmd.c,
	qw/source/net_packetlog.c, qw/source/sv_user.c:

	move qw/include/protocol.h to include/qw/protocol.h making life easier
	
	qtv can now connect to a server (won't stay connected though)
	
2004-02-21 01:34  taniwha

	* tools/qfbsp/source/map.c:

	remove some more arbitrary limits: tokens and keys can now be any size
	
2004-02-20 22:50  despair

	* libs/video/renderer/gl/: gl_mod_alias.c, noisetextures.c:

	Pale void.
	
2004-02-20 20:35  taniwha

	* qw/source/sv_user.c:

	fix a blooper discovered by nano
	
2004-02-20 05:37  taniwha

	* qtv/: include/Makefile.am, include/client.h, source/Makefile.am,
	source/client.c, source/qtv.c:

	clients can now connect, but all that happens is the qtv console fills up
	with "hi"
	
2004-02-20 04:29  taniwha

	* qtv/: include/Makefile.am, include/connection.h,
	source/Makefile.am, source/connection.c, source/qtv.c:

	now responds to ping and status commands via connectionless packets
	
2004-02-20 02:39  taniwha

	* qtv/: include/Makefile.am, include/server.h, source/Makefile.am,
	source/qtv.c, source/server.c:

	start working on server connections. can add, list and delete servers
	
2004-02-20 00:25  taniwha

	* libs/gamecode/engine/pr_exec.c:

	handle x % 0 by giving a 0 result
	
2004-02-19 23:38  taniwha

	* qtv/source/qtv.c:

	read the config files
	
2004-02-19 23:11  taniwha

	* include/netchan.h, qtv/source/qtv.c:

	disable logging for outgoing packets until I come up with a clean way of
	enabling it
	
2004-02-19 23:06  taniwha

	* include/netchan.h, libs/net/net_chan.c, qtv/source/qtv.c,
	qw/source/cl_main.c, qw/source/sv_main.c:

	a bit more netchan cleanup
	
2004-02-19 22:29  taniwha

	* libs/net/nc/net_udp.c:

	nuke an is_server
	
2004-02-19 22:18  taniwha

	* configure.ac:

	fix a windows build issue
	
2004-02-19 08:58  taniwha

	* include/netchan.h, libs/net/net_chan.c, qtv/source/qtv.c,
	qw/source/cl_demo.c, qw/source/cl_main.c, qw/source/sv_main.c,
	qw/source/sv_pr_cmds.c, qw/source/sv_user.c:

	except for packet logging, netchan is much cleaner (no more cls in the
	server!)
	
2004-02-19 01:29  taniwha

	* qw/source/Makefile.am:

	qf-client and qf-server haven't existed for a /long/ time
	
2004-02-19 00:49  taniwha

	* qtv/source/qtv.c:

	console and netchan linked in (icky mess with netchan:/).
	
2004-02-18 23:21  taniwha

	* Makefile.am, configure.ac, qtv/.cvsignore, qtv/Makefile.am,
	qtv/include/.cvsignore, qtv/include/Makefile.am,
	qtv/source/.cvsignore, qtv/source/Makefile.am, qtv/source/qtv.c:

	get the QWTV (qtv) project going :)
	
2004-02-18 06:28  taniwha

	* include/QF/Makefile.am, ruamoko/gui/Makefile.am,
	ruamoko/include/Makefile.am, ruamoko/lib/Makefile.am:

	pkgincludedir and pkglibdir patch from
	"Alexey I. Froloff" <sir_raorn@immo.ru> (raorn)
	
2004-02-18 03:19  taniwha

	* libs/util/sys_ia32.S:

	needed EXPORT in both ends if the #if/#else/#endif
	
2004-02-17 05:12  taniwha

	* nq/source/sv_progs.c, qw/source/sv_progs.c:

	work with progs that use @self instead of self
	
2004-02-17 04:29  taniwha

	* qw/source/pmovetst.c:

	check if the physent bbox (if there is one available) interects with the
	bbox of the move and don't bother calling PM_RecursiveHullCheck if it
	doesn't. Results in PM_RecursiveHullCheck getting about 5% of the calls it
	used to (for overkill).
	
2004-02-17 00:47  taniwha

	* nq/source/: cl_parse.c, sv_ded.c, sv_main.c:

	Grievre's patch to fix the sound channel leak.
	
2004-02-17 00:39  taniwha

	* tools/qfcc/: include/options.h, source/class.c, source/def.c,
	source/emit.c, source/expr.c, source/method.c, source/options.c:

	all warnings (except for @self and self) are now fully controllable
	
2004-02-16 07:17  taniwha

	* qw/source/pmovetst.c:

	partially reworked PM_RecursiveHullCheck on the path to non-recursive.
	Doesn't seem to be any slower than the old version (still there for now,
	but not used) and might even be slightly faster already even though there's
	not difference in call counts. Committing this now so I don't lose my work
	(mostly to me getting frustrated and killing it:)
	
2004-02-15 19:56  despair

	* libs/video/renderer/gl/gl_rsurf.c:

	Grievre's crash fix.
	
2004-02-15 19:55  despair

	* libs/video/renderer/gl/gl_lightmap.c:

	Slightly reorder cases for legibility. (decreasing order instead of random).
	
2004-02-15 03:46  taniwha

	* libs/video/renderer/: gl/gl_rsurf.c, sw/sw_rbsp.c,
	sw32/sw32_rbsp.c:

	make R_RecursiveWorldNode non-recursive (needs a new name, now :). 0.4%
	speedup in null-renderer gl: unknown for sw and sw32 (could be slightly
	slower, left recursive version in but #if 0ed out jic)
	
2004-02-15 03:40  wildcode

	* include/r_screen.h, include/QF/screen.h,
	libs/video/renderer/r_screen.c, libs/video/renderer/gl/gl_screen.c,
	libs/video/renderer/sw/screen.c, libs/video/renderer/sw32/screen.c,
	libs/video/targets/in_win.c, libs/video/targets/vid_wgl.c,
	nq/source/sys_win.c, qw/source/cl_sys_win.c:

	removal of legacy MGL block_drawing variable. Fixed window restore bug that prevented the screen from being updated.
	
2004-02-15 00:02  despair

	* include/r_cvar.h, include/QF/GL/extensions.h,
	include/QF/GL/qf_vid.h, libs/video/renderer/r_cvar.c,
	libs/video/renderer/gl/gl_lightmap.c,
	libs/video/renderer/gl/gl_rsurf.c,
	libs/video/renderer/sw/sw_rmain.c,
	libs/video/renderer/sw32/sw32_rmain.c,
	libs/video/targets/vid_common_gl.c:

	QF, now complete with underbrights, thanks to Grievre.
	Play with gl_overbright and gl_doublebright. That's an order.
	
2004-02-14 19:17  despair

	* libs/video/renderer/gl/gl_rsurf.c:

	Grievre's fix for texture state leak.
	
2004-02-14 08:36  misty

	* libs/video/renderer/gl/gl_rsurf.c:

	Grievre passed a one line patch to me which according to his description:
	"Fixes a bug in dynamic lights (lightstyles weren't being rendered correctly
	due to bad assumptions about dlightbits)"
	
	It compiles fine, and seems to work, so, here it is.
	
	Hikaru
	
2004-02-14 08:05  taniwha

	* libs/util/sys_ia32.S:

	hopefully fix nq segging on windows
	
2004-02-14 07:53  taniwha

	* libs/video/targets/in_x11.c:

	should fix the seg on ^C early in the startup
	
2004-02-14 07:39  taniwha

	* libs/video/renderer/gl/gl_lightmap.c:

	undo my incorrect commit
	
2004-02-14 07:38  taniwha

	* libs/video/renderer/r_light.c:

	oops, committed the wrong file
	
2004-02-14 07:32  taniwha

	* libs/video/renderer/gl/gl_lightmap.c:

	if a leaf isn't in the frustum, don't bother lighting it
	
2004-02-14 05:33  taniwha

	* ruamoko/cl_menu/client_menu.qc:

	oops, needed menu_draw_hud. don't need the state stuff any more, though :)
	
2004-02-14 05:10  taniwha

	* include/QF/GL/qf_vid.h, libs/video/renderer/gl/gl_lightmap.c,
	libs/video/renderer/gl/gl_rsurf.c,
	libs/video/targets/vid_common_gl.c:

	Grievre's lightmap/fullbright multitexture patch (fbs not tested due to
	lack of drivers supporting 3 tmus)
	
2004-02-14 05:02  taniwha

	* ruamoko/cl_menu/: Makefile.am, hud_interface.qc,
	inputline_util.qc:

	more cleanup
	
2004-02-14 04:51  taniwha

	* ruamoko/cl_menu/console.qc:

	not needed
	
2004-02-14 04:35  taniwha

	* ruamoko/cl_menu/controls_o.qc:

	whitespace
	
2004-02-14 04:01  taniwha

	* ruamoko/cl_menu/options.qc:

	control options "done"
	
2004-02-14 03:18  taniwha

	* ruamoko/cl_menu/: options.qc, options_util.h, options_util.qc:

	control options menu almost done (yay for oo:)
	
2004-02-14 02:56  taniwha

	* libs/ruamoko/rua_cvar.c, ruamoko/cl_menu/options.qc,
	ruamoko/cl_menu/options_util.qc, ruamoko/include/cvar.h,
	ruamoko/lib/cvar.r:

	rename Cvar_GetCvarString to Cvar_GetString and add
	Cvar_Set{String,Float,Integer,Vector} and
	Cvar_Get{String,Float,Integer,Vector}. use them in the menus
	
2004-02-14 02:09  taniwha

	* ruamoko/: cl_menu/options.qc, cl_menu/options_util.h,
	cl_menu/options_util.qc, include/draw.h, lib/draw.r:

	video options "done"
	
2004-02-14 00:18  taniwha

	* libs/video/renderer/gl/gl_draw.c:

	get the placement of the nice crosshairs right. make cs_data a square to
	avoid weird mapping effects
	
2004-02-13 23:16  taniwha

	* include/QF/draw.h, libs/video/renderer/r_progs.c,
	libs/video/renderer/gl/gl_draw.c, libs/video/renderer/sw/draw.c,
	libs/video/renderer/sw32/draw.c:

	provide a builtin to draw a crosshair.
	
2004-02-13 23:08  taniwha

	* tools/qfcc/source/struct.c:

	don't seg on null field names
	
2004-02-13 22:16  taniwha

	* libs/video/renderer/: gl/gl_draw.c, sw/draw.c, sw32/draw.c:

	break the crosshair draw code into separate functions and give sw and sw32
	crosshair 3
	
2004-02-13 06:42  taniwha

	* ruamoko/cl_menu/: options.qc, options_util.h, options_util.qc:

	player options are now grouped
	
2004-02-13 05:49  taniwha

	* ruamoko/: cl_menu/options.qc, gui/InputLine.r:

	network options are now in a group
	
2004-02-13 05:36  taniwha

	* ruamoko/: cl_menu/client_menu.qc, cl_menu/options.qc,
	cl_menu/servlist.qc, gui/Group.r, gui/InputLine.r, gui/Pic.r,
	gui/Text.r, gui/View.r, include/gui/InputLine.h:

	make an inputline with a text box behind it
	
2004-02-13 04:57  taniwha

	* tools/qfcc/source/qc-parse.y:

	make sure messages generated by issues within a function don't get
	"At top level"
	
2004-02-13 04:46  taniwha

	* tools/qfcc/: doc/man/qfcc.1, source/options.c:

	change --include FILE to pre-include a file rather than add a directory search
	path. Maps to -include FILE on the cpp command line.
	
2004-02-13 02:53  taniwha

	* ruamoko/cl_menu/options.qc:

	audio and features options menus are now almost fully object-ized (as
	close as they're going to get until everything else is)
	
2004-02-13 02:52  taniwha

	* ruamoko/: gui/Makefile.am, gui/Pic.r, include/Makefile.am,
	include/gui/Pic.h:

	add Pic and CenterPic views
	
2004-02-13 02:51  taniwha

	* ruamoko/: gui/Group.r, gui/Point.r, gui/Rect.r, gui/Size.r,
	gui/Slider.r, gui/Text.r, gui/View.r, include/gui/Group.h:

	call [self init] rather than [super init] (and variants where possible) to
	ease derived class initialization (all allocation can be done in -init).
	Objective-C rocks :)
	
2004-02-13 01:21  taniwha

	* ruamoko/cl_menu/options.qc:

	fix a typo
	
2004-02-13 00:21  taniwha

	* ruamoko/cl_menu/options.qc:

	more object usage
	
2004-02-12 21:58  taniwha

	* tools/qfcc/doc/.cvsignore:

	ignore pdf files
	
2004-02-12 01:37  taniwha

	* tools/qfcc/source/qc-parse.y:

	fix some type classes in older bison
	
2004-02-11 08:09  taniwha

	* tools/qfcc/source/qc-parse.y:

	allow computed functions for "think" in state expressions
	
2004-02-11 06:52  taniwha

	* include/QF/pr_comp.h, libs/gamecode/engine/pr_exec.c,
	libs/gamecode/engine/pr_opcode.c:

	change FNC to FN and fnc to fn for function based opcodes
	
2004-02-11 04:00  taniwha

	* tools/qfcc/source/qc-parse.y:

	allow non-const expressions for the frame number and make sure the time
	step is a float (for state expressions)
	
2004-02-11 02:23  taniwha

	* tools/qfcc/test/: base.r, bool.r, chat.r, convert.r, debug.r,
	defs.h, fold.r, foo.r, func.r, libfrikbot.h, membarray.r,
	message.r, offset.r, prec.qc, precedence.r, progs.src, selector.r,
	semi.r, shortcircuit.r, state.r, switch.r, test.qc, test.r:

	some tests I've accumulated over time. don't want to lose them accidently
	:)
	
2004-02-11 01:53  taniwha

	* tools/qfcc/source/: function.c, qc-parse.y:

	catch redefined functions
	
2004-02-11 01:43  taniwha

	* include/QF/pr_comp.h, libs/gamecode/engine/pr_exec.c,
	libs/gamecode/engine/pr_opcode.c, tools/qfcc/include/expr.h,
	tools/qfcc/include/opcodes.h, tools/qfcc/source/emit.c,
	tools/qfcc/source/expr.c, tools/qfcc/source/opcodes.c,
	tools/qfcc/source/qc-parse.y:

	new opcode: state.f. same as state, but takes a 3rd float operand to
	specify the step for calculating nextthink. accessed using
	[frame, think, step] (state is [frame, think])
	
2004-02-11 00:36  taniwha

	* tools/qfcc/: include/function.h, source/function.c,
	source/qc-parse.y:

	C style functions can now (optionally) be used (void foo ();)
	
2004-02-10 23:49  taniwha

	* tools/qfcc/source/qc-parse.y:

	fix misparse of void () foo;
	
2004-02-10 23:20  taniwha

	* tools/qfcc/source/qc-parse.y:

	; at the end of a function is no longer required. void () foo = {} and
	void () foo = {}; are both valid now.
	
2004-02-10 04:42  taniwha

	* libs/gamecode/engine/: pr_debug.c, pr_edict.c:

	oops, fix the line number doubling the /right/ way
	
2004-02-10 03:25  taniwha

	* tools/qfcc/source/: qc-lex.l, qc-parse.y:

	getting closer to optional ; at the end of functions. also gets rid of the
	need for the context-sensitivity hack used for distinquishing frunction
	inits from struct/array inits
	
2004-02-10 01:54  taniwha

	* libs/gamecode/engine/pr_debug.c:

	don't double the source line number when on the function's first line
	
2004-02-09 16:51  despair

	* tools/qfcc/doc/man/qfcc.1:

	Fix an ypo. ;)
	
2004-02-09 07:53  taniwha

	* nq/source/sv_pr_cmds.c:

	fix a misleading var name and make WriteBytes resemble qw's WriteBytes more
	closely
	
2004-02-09 07:35  taniwha

	* tools/qfcc/source/qc-parse.y:

	compress the 4 method building rules into 2
	
2004-02-09 07:17  taniwha

	* tools/qfcc/source/qc-parse.y:

	forgot to look after current_storage with methods
	
2004-02-09 06:55  taniwha

	* nq/source/sv_pr_cmds.c:

	bring in WriteBytes, WriteAngleV and WriteCoordV from qw
	
2004-02-09 04:16  despair

	* qw/source/: cl_parse.c, sv_ents.c:

	Palespace.
	
2004-02-09 04:13  despair

	* libs/video/renderer/gl/: gl_rmain.c, gl_screen.c:

	Whitespace, slight code reorder in gl_rmain.c
	
2004-02-09 04:11  despair

	* libs/video/targets/context_x11.c:

	Inconsequential changes.
	
2004-02-09 04:02  despair

	* libs/video/targets/vid_common_gl.c:

	Mysteriously uncommitted. Fixed.
	
2004-02-09 02:23  taniwha

	* tools/qfcc/source/expr.c:

	don't seg when constants are involved in && or || expressions
	
2004-02-08 23:46  taniwha

	* tools/qfcc/source/qc-parse.y:

	step one towards more flexible function declarations
	
2004-02-08 05:28  taniwha

	* tools/qfcc/source/expr.c:

	ensure a op= b treats b as if it was (b)
	
2004-02-08 02:53  despair

	* tools/qfvis/source/: base-vis.c, flow.c, qfvis.c, soundphs.c:

	Whitespace, codingstyle, pouncing shalraths.
	
2004-02-08 02:49  despair

	* include/QF/bspfile.h, include/QF/model.h, include/QF/modelgen.h,
	include/QF/qtypes.h, include/QF/spritegn.h, libs/models/model.c,
	libs/models/alias/model_alias.c, libs/models/sprite/model_sprite.c,
	libs/video/renderer/gl/gl_mod_alias.c,
	libs/video/renderer/sw/sw_ralias.c,
	libs/video/renderer/sw32/sw32_ralias.c,
	tools/qfmodelgen/source/modelgen.c:

	Working towards merging q2 model, sprite, and map support. Check back in a few
	years, might be finished. ;)
	
2004-02-08 02:39  despair

	* libs/audio/cd/cd_file.c:

	More improvements from ashridah.
	
2004-02-08 00:37  taniwha

	* include/QF/render.h, include/QF/screen.h,
	libs/video/renderer/r_screen.c, libs/video/renderer/gl/gl_rmisc.c,
	libs/video/renderer/gl/gl_screen.c,
	libs/video/renderer/sw/screen.c, libs/video/renderer/sw/sw_rmain.c,
	libs/video/renderer/sw/sw_rmisc.c,
	libs/video/renderer/sw32/screen.c,
	libs/video/renderer/sw32/sw32_rmain.c,
	libs/video/renderer/sw32/sw32_rmisc.c:

	serious cleanup of refdef calculations.
	
2004-02-07 07:50  taniwha

	* libs/audio/cd/cd_file.c:

	another tidy-up patch from ashridah
	
2004-02-07 07:47  taniwha

	* include/QF/hash.h, include/QF/qfplist.h, libs/util/hash.c,
	libs/util/qfplist.c:

	hash.[ch]:
		add Hash_NumElements to get the number of elements in the hash table
	qfplist.[ch]:
		add PL_A_NumObjects and PL_D_NumKeys, to get the number of objects or
		number of keys in the array or dictionary, respectively
	
2004-02-07 07:00  taniwha

	* libs/audio/cd/cd_file.c:

	loop cleanup patch from ashridah
	
2004-02-07 06:21  taniwha

	* libs/audio/cd/cd_file.c:

	comment fixups
	
2004-02-07 06:18  taniwha

	* libs/audio/cd/cd_file.c:

	implement pause properly. works for me, hopefully for others
	
2004-02-07 06:09  taniwha

	* libs/audio/cd/cd_file.c:

	correct a couple function calls
	
2004-02-07 05:56  despair

	* libs/audio/cd/cd_file.c:

	Grr.
	
2004-02-07 05:46  taniwha

	* libs/audio/cd/cd_file.c:

	ashridah's cd info patch with some whitespace and string handling tweaks
	
2004-02-07 05:35  despair

	* libs/audio/cd/: cd_file.c, cd_linux.c, cd_sdl.c, cd_sgi.c,
	cd_win.c, cd_xmms.c:

	Whitespace, codingstyle, clean out dead comments, redundant returns, and
	generally sanitize the cd plugins.
	
2004-02-07 04:48  deek

	* libs/audio/cd/cd_file.c:

	strip a couple of unnecessary braces
	
2004-02-07 04:47  deek

	* libs/audio/cd/cd_file.c:

	Misc. cleanups.
	
2004-02-07 01:57  taniwha

	* libs/gamecode/engine/pr_debug.c:

	don't seg if the field def can't be found
	
2004-02-07 00:19  taniwha

	* nq/source/sv_progs.c, qw/source/sv_progs.c:

	fix a goofed hardcoding
	
2004-02-07 00:10  taniwha

	* ruamoko/cl_menu/options_util.qc:

	arg, committed debug code again
	
2004-02-07 00:09  taniwha

	* ruamoko/: cl_menu/options.qc, cl_menu/options_util.h,
	cl_menu/options_util.qc, include/cvar.h, lib/cvar.r:

	most of the video menu now uses CvarToggle and CvarToggleView (and rename
	RangeSlider to CvarRangeView)
	
2004-02-07 00:08  taniwha

	* libs/ruamoko/rua_cvar.c:

	add Cvar_Toggle
	
2004-02-07 00:04  taniwha

	* libs/gamecode/engine/pr_load.c:

	check return value... prevents segfault in menu code if menu.dat has issues
	
2004-02-06 15:16  deek

	* libs/audio/cd/cd_file.c:

	Whitespace and coding style.
	
2004-02-06 14:59  deek

	* libs/audio/cd/cd_file.c:

	Updates from ashridah.
	
2004-02-06 08:58  taniwha

	* tools/qfcc/source/def.c:

	give temp defs a name, making it easier to read disassembly output (.tmpN)
	
2004-02-06 08:40  taniwha

	* tools/qfcc/source/expr.c:

	make autoconvertion work for return
	
2004-02-06 08:03  taniwha

	* libs/gamecode/engine/pr_debug.c:

	make globals without a def a lot easier to read (don't need to print the
	address twice:)
	
2004-02-06 05:44  taniwha

	* libs/audio/cd/cd_file.c:

	cleanup patch from ashridah
	basically, moves all the tracklist work into a single function, moves a few
	functions around, cleans up a few issues with things like reset, and whatnot
	
2004-02-06 01:23  taniwha

	* nq/source/host.c:

	<==> QuakeForge initialized<==> to <==> QuakeForge initialized <==>
	
2004-02-06 00:58  taniwha

	* include/QF/vid.h, include/QF/GL/funcs.h,
	libs/video/targets/qfgl_ext.c, libs/video/targets/vid_3dfxsvga.c,
	libs/video/targets/vid_common_gl.c, libs/video/targets/vid_glx.c,
	libs/video/targets/vid_sgl.c, libs/video/targets/vid_wgl.c:

	don't look up the gl functions until after the context has been setup, just
	incase it affects which functions glGetProcAddress actually returns.
	
2004-02-05 23:46  taniwha

	* tools/bsp2img/bsp2img.c:

	a little easier to read
	
2004-02-05 04:11  taniwha

	* tools/qfbsp/source/: outside.c, portals.c, solidbsp.c, tjunc.c,
	writebsp.c:

	various impovements from Vic via hqbsp (lordhavoc)
	
2004-02-05 03:27  wildcode

	* tools/qfcc/source/qfcc.c:

	win32 fix for over-compliant getopt
	
2004-02-05 00:13  taniwha

	* tools/qfbsp/source/map.c:

	terminate buf properly (\r\n -> \n translation can cause the bytes read to
	be /much/ smaller than expected)
	
2004-02-04 23:26  taniwha

	* ruamoko/include/Makefile.am:

	missed Slider.h
	
2004-02-04 07:36  taniwha

	* configure.ac, include/QF/Makefile.am, include/QF/GL/.cvsignore,
	include/QF/GL/Makefile.am, include/QF/classes/.cvsignore,
	include/QF/classes/Makefile.am, include/QF/plugin/.cvsignore,
	include/QF/plugin/Makefile.am:

	use a little less make recursion. should speed up builds a bit
	
2004-02-04 07:14  taniwha

	* ruamoko/cl_menu/options.qc:

	now all range indicators use the RangeSlider view (need a better name:P)
	
2004-02-04 06:56  taniwha

	* ruamoko/cl_menu/: options.qc, options_util.h, options_util.qc:

	in_mouse_amp finally working properly :)
	forced to move to CMV for the indicator because I ran out of params...
	
2004-02-04 06:41  taniwha

	* tools/qfcc/source/constfold.c:

	cast block expressions
	
2004-02-04 06:31  taniwha

	* tools/qfcc/source/expr.c:

	don't seg if the method can't be found
	
2004-02-04 06:00  taniwha

	* tools/qfcc/source/: constfold.c, method.c:

	these changes from earlier seem to be ok
	
2004-02-04 05:49  taniwha

	* ruamoko/cl_menu/options.qc, ruamoko/cl_menu/options_util.qc,
	tools/qfcc/source/expr.c:

	autoconvert for function parameters now works :)
	
2004-02-04 05:45  taniwha

	* ruamoko/include/Makefile.am:

	install the gui headers properly
	
2004-02-04 04:49  taniwha

	* ruamoko/cl_menu/options_util.qc, tools/qfcc/include/method.h,
	tools/qfcc/source/constfold.c, tools/qfcc/source/expr.c,
	tools/qfcc/source/method.c:

	that made a royal mess :(
	
2004-02-04 04:33  taniwha

	* ruamoko/cl_menu/options_util.qc, tools/qfcc/include/method.h,
	tools/qfcc/source/constfold.c, tools/qfcc/source/expr.c,
	tools/qfcc/source/method.c:

	better auto-conversion of function parameters (ugh, this is getting messy
	:( )
	
2004-02-04 02:35  taniwha

	* ruamoko/: cl_menu/options.qc, cl_menu/options_util.h,
	cl_menu/options_util.qc, gui/Group.r, gui/InputLine.r,
	gui/Makefile.am, gui/Text.r, gui/View.r, include/Array.h,
	include/Makefile.am, include/gui/Group.h, include/gui/InputLine.h,
	include/gui/Point.h, include/gui/Rect.h, include/gui/Size.h,
	include/gui/Slider.h, include/gui/Text.h, include/gui/View.h:

	moving towards object-ized menus :)
	
2004-02-04 02:30  taniwha

	* tools/qfcc/source/expr.c:

	broke returning NIL
	
2004-02-04 01:30  taniwha

	* tools/qfcc/source/: expr.c, qc-parse.y:

	warn on return foo (); where foo returns void
	
2004-02-04 00:56  taniwha

	* ruamoko/lib/: Array.r, Object.r:

	Object error doesn't return anything...
	
2004-02-04 00:36  taniwha

	* tools/qfcc/source/qfprogs.c:

	need to do relocs separately from ddef creation due to pr_globals needing
	to be allocated first
	
2004-02-04 00:30  taniwha

	* tools/qfcc/source/constfold.c:

	oops, messed up things like float = int
	
2004-02-04 00:27  taniwha

	* tools/qfcc/source/constfold.c:

	fix some over-conversions
	
2004-02-03 13:35  taniwha

	* ruamoko/cl_menu/: options.qc, options_util.h, options_util.qc:

	all slider indicators now use Slider. nuke draw_perc_bar
	
2004-02-03 13:33  taniwha

	* ruamoko/gui/Slider.r:

	correct the math for calculating the position of the slider indicator
	
2004-02-03 08:31  taniwha

	* configure.ac, ruamoko/Makefile.am, ruamoko/cl_menu/Frame.h,
	ruamoko/cl_menu/HUD.h, ruamoko/cl_menu/Makefile.am,
	ruamoko/cl_menu/client_menu.h, ruamoko/cl_menu/client_menu.qc,
	ruamoko/cl_menu/options.qc, ruamoko/cl_menu/servlist.qc,
	ruamoko/gui/.cvsignore, ruamoko/gui/InputLine.r,
	ruamoko/gui/Makefile.am, ruamoko/gui/Point.r, ruamoko/gui/Rect.r,
	ruamoko/gui/Size.r, ruamoko/gui/Slider.r, ruamoko/gui/View.r,
	ruamoko/include/InputLine.h, ruamoko/include/Makefile.am,
	ruamoko/include/Point.h, ruamoko/include/Rect.h,
	ruamoko/include/Size.h, ruamoko/include/View.h,
	ruamoko/include/gui/InputLine.h, ruamoko/include/gui/Point.h,
	ruamoko/include/gui/Rect.h, ruamoko/include/gui/Size.h,
	ruamoko/include/gui/Slider.h, ruamoko/include/gui/View.h,
	ruamoko/lib/InputLine.r, ruamoko/lib/Makefile.am,
	ruamoko/lib/Point.r, ruamoko/lib/Rect.r, ruamoko/lib/Size.r,
	ruamoko/lib/View.r:

	start working on a gui lib with a Slider class. use the slider class for
	the volume settings. doesn't /quite/ work properly yet
	
2004-02-03 07:48  taniwha

	* tools/qfcc/source/class.c:

	make implementation methods not in the interface work properly when
	-Winterface-check isn't specified and make sure classes don't clash with
	defs or enums
	
2004-02-03 07:29  taniwha

	* tools/qfcc/source/qc-parse.y:

	make @class foo work when foo is already defined
	
2004-02-03 06:24  taniwha

	* ruamoko/: include/math.h, lib/math.r:

	make the math functions Grievre provided available
	
2004-02-03 06:00  taniwha

	* ruamoko/: cl_menu/Makefile.am, game/Makefile.am, lib/Makefile.am:

	hopefully better library arrangement
	
2004-02-03 05:59  taniwha

	* ruamoko/cl_menu/: client_menu.qc, options.qc, options_util.qc:

	use casts rather than ftoi and itof
	
2004-02-03 05:30  taniwha

	* tools/qfcc/source/Makefile.am:

	finally found the correct way to handle generated source
	
2004-02-03 05:16  despair

	* nq/source/cl_input.c:

	Rename some functions. Now have IN_DownPress instead of IN_DownDown.
	Slightly more obvious at a glance what is going on, without rooting around in
	source.
	
2004-02-03 03:38  taniwha

	* tools/qfcc/include/Makefile.am:

	and another one
	
2004-02-03 03:22  taniwha

	* tools/: pak/Makefile.am, qfcc/source/Makefile.am:

	make dist fixes
	
2004-02-03 03:01  taniwha

	* include/QF/quakefs.h, libs/audio/cd/cd_file.c,
	libs/audio/renderer/snd_dma.c, libs/util/quakefs.c,
	libs/video/renderer/gl/gl_draw.c, qw/source/cl_main.c,
	qw/source/cl_parse.c, qw/source/cl_tent.c:

	Grievre's gamedir callback patch to fix mangled sounds on gamedir change
	plus a couple minor tweaks I notcied needed doing.
	
2004-02-03 02:40  taniwha

	* tools/qfcc/source/.cvsignore:

	update with qfprogs
	
2004-02-02 21:18  despair

	* qw/source/cl_input.c:

	Improvements in time accounting. Accurate to +-0.5ms, instead of -1,0 like
	others.
	
	Based on Grievre's and zquake's code.
	
2004-02-02 06:15  taniwha

	* Makefile.am:

	fix a misplaced reference to zpak
	
2004-02-02 05:44  taniwha

	* tools/qfvis/: include/vis.h, source/qfvis.c:

	support old-style portal files again
	
2004-01-31 08:34  taniwha

	* libs/gamecode/engine/: pr_debug.c, pr_edict.c, pr_load.c,
	pr_opcode.c:

	minor cleanups and use escapes when printing strings
	
2004-01-31 07:29  taniwha

	* libs/gamecode/engine/pr_debug.c:

	fix an uninitialized variable
	
2004-01-31 04:26  taniwha

	* include/QF/progs.h, libs/gamecode/engine/pr_debug.c,
	libs/gamecode/engine/pr_exec.c, libs/gamecode/engine/pr_opcode.c,
	tools/qfcc/source/disassemble.c:

	make printing of global contents in PR_PrintStatement optional so
	disassembly output is cleaner
	
2004-01-31 04:11  taniwha

	* tools/qfcc/source/expr.c:

	fix for perc = itof (perc_val) / (100 / itof (size));
	ie, better detection of function calls in binary expressions
	
2004-01-30 08:46  taniwha

	* libs/gamecode/engine/: pr_debug.c, pr_edict.c:

	make global printing a little more robust
	
2004-01-30 07:55  taniwha

	* libs/gamecode/engine/pr_debug.c:

	minor cleanup
	
2004-01-30 07:29  taniwha

	* tools/qfcc/source/qfprogs.c:

	remove debug info
	
2004-01-30 07:17  taniwha

	* tools/qfcc/source/qfprogs.c:

	perform relocations so disassembly dumps of qfo files make sense
	
2004-01-30 07:16  taniwha

	* tools/qfcc/include/reloc.h:

	fix a couple struct forward ref issues
	
2004-01-30 05:35  taniwha

	* tools/qfcc/source/qfprogs.c:

	convert the debug info, too. seems to work
	
2004-01-29 08:22  taniwha

	* tools/qfcc/source/qfprogs.c:

	init entity info
	
2004-01-29 08:11  taniwha

	* tools/qfcc/source/strings.c:

	pr_stringsize hasn't reflected static strings size for a while...
	
2004-01-29 07:43  taniwha

	* tools/qfcc/source/: Makefile.am, qfprogs.c, stub.c:

	while not yet perfect, qfprogs now works with qfo files
	
2004-01-28 10:25  misty

	* libs/util/qfplist.c:

	
	Another patch from Grievre, this prevents a bad ogg tracklist.cfg from crashing
	the game, since that event is already handled correctly.
	
	Timothy C. McGrath
	(Hikaru)
	
2004-01-28 10:07  misty

	* libs/audio/cd/cd_file.c:

	
	
	Patch from Grievre to fix cd_file so it does not cause the game to segmentation
	fault when snd_output is set to null. Also some debugging stuff added just in
	case.
	
	This was tested only with making sure that it works when snd_output is null and
	non null. Whoever authored this might want to go test this and make sure it
	still works :)
	
	Timothy C. McGrath
	(Hikaru)
	
2004-01-28 05:34  taniwha

	* tools/qfcc/source/: Makefile.am, qfpreqcc:

	move qfpreqcc in with qfcc for relationship reasons
	
2004-01-28 05:31  taniwha

	* tools/: graph-timeframes, qfgl_gen.pl, misc/graph-timeframes,
	misc/qfgl_gen.pl:

	move graph-timeframes and qfgl_gen.pl into misc. general tidy up
	
2004-01-28 05:29  taniwha

	* tools/: Makefile.am, zpak, pak/Makefile.am, pak/zpak:

	move zpak in with pak since they're intimately related
	
2004-01-28 05:23  taniwha

	* configure.ac, tools/Makefile.am, tools/qfcc/include/qfprogs.h,
	tools/qfcc/source/Makefile.am, tools/qfcc/source/disassemble.c,
	tools/qfcc/source/globals.c, tools/qfcc/source/lines.c,
	tools/qfcc/source/modules.c, tools/qfcc/source/qfodump.c,
	tools/qfcc/source/qfprogs.c, tools/qfcc/source/strings.c:

	move qfprogs in with qfcc (it's going to need to share code)
	
2004-01-28 02:49  despair

	* include/r_cvar.h, include/QF/GL/funcs.h,
	include/QF/GL/qf_funcs_list.h, libs/video/targets/qfgl_ext.c,
	libs/video/targets/vid_common_gl.c, tools/3dfx_stub/gl_stub.c,
	tools/gl_stub/gl_stub.c, tools/gl_stub/glx_funcs_list.h:

	Add QFGL_WANT, and ability to handle non-required extensions.
	
2004-01-27 08:31  taniwha

	* tools/qflight/: include/Makefile.am, include/entities.h,
	include/options.h, include/properties.h, source/Makefile.am,
	source/entities.c, source/options.c, source/properties.c,
	source/qflight.c:

	start of my properties work. doesn't seem to have broken anything :)
	
2004-01-27 08:12  taniwha

	* tools/qflight/source/: entities.c, options.c:

	make "havoc" map to the correct attenuation type
	
2004-01-27 06:02  taniwha

	* nq/source/host.c:

	don't allow non-set commands to be executed outside _Host_Frame because
	they can call Host_Error which calls longjmp and it's _Host_Frame that
	calls setjmp... fixes the segfault when +connect foo fails
	
2004-01-27 05:38  taniwha

	* nq/source/: sys_unixd.c, sys_wind.c:

	fix auto-addition of -dedictated
	
2004-01-27 05:23  taniwha

	* libs/console/server.c:

	bah, fix one, create another...
	
2004-01-27 05:08  taniwha

	* tools/qfvis/qfvis.1:

	correct a couple of falsehoods
	
2004-01-27 04:41  taniwha

	* tools/qfcc/source/qc-parse.y:

	fix a missing ;
	
2004-01-26 20:07  despair

	* tools/qflight/source/ltface.c:

	Compile fixes, plus a couple of minor optimizations.
	
2004-01-26 07:39  taniwha

	* tools/qflight/: include/entities.h, include/noise.h,
	include/options.h, source/Makefile.am, source/entities.c,
	source/ltface.c, source/noise.c, source/options.c, source/trace.c:

	bring in OpenQuartz's extentions (except -ikmap: got tired:)
	go back to id's lighting model being default. LordHavoc's is selectable
	via --attentuation havoc. Also selectable on a per-light basis.
	
2004-01-26 03:58  despair

	* libs/video/targets/vid_common_gl.c:

	Warn users if their system doesn't support GL_ATI_pn_triangles.
	
2004-01-26 01:21  taniwha

	* libs/audio/renderer/snd_dma.c:

	segfault fix from ashridah
	
2004-01-26 00:40  despair

	* libs/video/targets/vid_common_gl.c:

	Fix help for gl_tessellate cvar.
	
2004-01-26 00:13  despair

	* include/QF/GL/Makefile.am, include/QF/GL/ati.h,
	include/QF/GL/extensions.h, include/QF/GL/qf_funcs_list.h,
	include/QF/GL/qf_vid.h, libs/video/renderer/gl/gl_rmain.c,
	libs/video/targets/vid_common_gl.c:

	TruForm support. Controlled by gl_tessellate
	
2004-01-25 22:08  taniwha

	* tools/qfcc/source/qc-parse.y:

	initialized locals are a little trickier...
	
2004-01-25 21:45  taniwha

	* tools/qfcc/source/expr.c:

	warn on if (a = b)
	
2004-01-25 21:36  taniwha

	* tools/qfcc/source/: constfold.c, expr.c, function.c, qc-parse.y:

	better timing for constant folding
	
2004-01-25 19:59  taniwha

	* libs/audio/targets/snd_sun.c:

	this should fix thuglife's segfault
	
2004-01-25 08:59  taniwha

	* tools/qfcc/source/emit.c:

	disable debug output
	
2004-01-25 08:55  taniwha

	* tools/qfcc/: include/expr.h, source/Makefile.am,
	source/constfold.c, source/emit.c, source/expr.c,
	source/function.c, source/qc-parse.y, source/switch.c,
	source/type.c:

	better constant folding with auto-conversion between scalar types (might
	make that optional for non-constants)
	
2004-01-25 07:19  taniwha

	* qw/source/sv_pr_cmds.c:

	implement an optimisation Griever found. hopefully doesn't cause any
	problems
	
2004-01-25 07:12  taniwha

	* qw/source/sv_pr_cmds.c:

	bah, my findradius fix got stomped on :P
	
2004-01-25 05:27  taniwha

	* qw/source/sv_progs.c:

	arg, forgot to terminate the arrays again
	
2004-01-22 07:02  taniwha

	* doc/: template.c, template.h:

	another year goes by...
	
2004-01-22 06:36  taniwha

	* configure.ac:

	qnx doesn't need any pthread flags when linking
	
2004-01-22 06:27  taniwha

	* libs/ruamoko/rua_math.c:

	d'oh
	
2004-01-22 06:26  taniwha

	* libs/ruamoko/rua_math.c:

	implement the invers hyper trig functions locally because they're not
	available everywhere.
	
2004-01-22 05:43  taniwha

	* include/rua_internal.h, libs/ruamoko/Makefile.am,
	libs/ruamoko/rua_init.c, libs/ruamoko/rua_math.c:

	ruamoko math functions from Grievre
	
2004-01-22 04:42  taniwha

	* libs/console/server.c:

	d'oh
	
2004-01-22 04:28  taniwha

	* libs/console/server.c:

	fix the print mangling of scrolled back screens (thought of this about 10s
	after committing:P)
	
2004-01-22 04:16  taniwha

	* tools/qfcc/source/qfcc.c:

	proper error checking when openning progs.src
	
2004-01-22 04:07  taniwha

	* libs/console/server.c:

	scrollback 90% working. prints will mangle things, but ^L will clean it up
	
2004-01-22 03:43  wildcode

	* libs/util/sys.c:

	win32 server console now works
	
2004-01-22 02:26  taniwha

	* include/asm_i386.h, libs/util/math.S:

	export BoxOnPlaneSide properly in windows so it doesn't cause a segfault
	
2004-01-22 01:33  taniwha

	* ruamoko/cl_menu/: controls_o.qc, options.qc:

	fix the key bindings menus (invalid strings) and add a music volume knob
	
2004-01-22 01:04  taniwha

	* tools/qfcc/source/: expr.c, linker.c:

	linker.c:
		I think I found the real reason doxygen gets confused
	expr.c:
		add a check for x & y == 2 (or similar) doesn't work for constant y at
		the moment.
	
2004-01-21 23:09  taniwha

	* qw/source/sv_progs.c:

	d'oh, forgot to fix this in qw
	
2004-01-21 21:58  taniwha

	* tools/qfcc/source/expr.c:

	more constant folding
	
2004-01-21 21:43  taniwha

	* tools/qfcc/source/qc-lex.l:

	don't seg when in traditional mode and @ is seen
	
2004-01-21 21:21  wildcode

	* configure.ac:

	cygwin changes to create dlls
	
2004-01-21 21:06  taniwha

	* libs/audio/cd.c:

	make "file" the default cd plugin
	
2004-01-21 20:54  taniwha

	* configure.ac, RPM/quakeforge.spec.in, debian/control,
	debian/rules, tools/Makefile.am:

	don't need qfdefs any more since the servers now do its job themselves
	
2004-01-21 20:09  taniwha

	* nq/source/: cl_parse.c, sv_ded.c, sv_main.c:

	no more Max Headroom impersonations during level changes
	
2004-01-21 19:35  taniwha

	* libs/audio/cd/cd_file.c:

	used the function I'd created for loading sounds :P (fixes cd_file plugin
	loading)
	
2004-01-21 08:09  taniwha

	* include/QF/progs.h, libs/gamecode/engine/pr_load.c,
	libs/gamecode/engine/pr_resolve.c, nq/source/sv_progs.c,
	qw/source/sv_progs.c:

	first step to making qfdefs redundant. "standard" progs now get resolved
	staticly rather than looking up the defs. "broken" progs should now work.
	
2004-01-21 04:49  taniwha

	* libs/: Makefile.am, gib/Makefile.am:

	don't know why I thought gib depended on console...
	
2004-01-21 03:16  taniwha

	* libs/audio/cd/cd_file.c:

	oops, uninitialized variable
	
2004-01-21 02:59  taniwha

	* libs/audio/cd/cd_file.c:

	make some prints developer
	
2004-01-21 02:51  taniwha

	* include/snd_render.h, include/QF/sound.h,
	include/QF/plugin/snd_render.h, libs/audio/snd.c,
	libs/audio/cd/cd_file.c, libs/audio/renderer/snd_dma.c,
	libs/audio/renderer/snd_mem.c:

	extend the sound api slightly to ease things like cd_file and make cd_file
	work as intended :)
	
2004-01-21 00:15  taniwha

	* include/QF/mathlib.h, libs/util/Makefile.am, libs/util/mathlib.c:

	this should fix static win32 builds
	
2004-01-20 22:20  taniwha

	* libs/audio/cd/cd_file.c:

	whitespace
	
2004-01-20 22:14  taniwha

	* libs/audio/targets/snd_alsa.c:

	snd_alsa.c doesn't work for 0.9.x so don't mention it :)
	
2004-01-20 21:59  taniwha

	* debian/: quakeforge-common.shlibs, rules:

	quick hacks to get my snapshots building
	
2004-01-20 08:47  taniwha

	* libs/audio/cd/cd_file.c:

	fix a couple of compile issues with older gcc
	
2004-01-20 08:34  taniwha

	* include/QF/plugin/cd.h, libs/audio/cd/cd_file.c,
	libs/audio/cd/cd_linux.c, libs/audio/cd/cd_sdl.c,
	libs/audio/cd/cd_sgi.c, libs/audio/cd/cd_win.c,
	libs/audio/cd/cd_xmms.c:

	remove two redundant functions from cd_funcs_t and convert all the cd
	plugins to using pre-initialized structs
	
2004-01-20 08:26  taniwha

	* configure.ac:

	need to /always/ set ALSA_PLUGIN
	
2004-01-20 06:58  taniwha

	* configure.ac, doc/tracklist.cfg, libs/audio/cd/Makefile.am,
	libs/audio/cd/cd_file.c:

	ashridah's file based cd plugin (ie, it will play any sound file QF can
	load as background music).
	
2004-01-20 06:10  taniwha

	* include/QF/msg.h, libs/net/net_main.c, libs/net/nc/net_udp.c,
	libs/net/nc/net_udp6.c, libs/util/msg.c, qw/include/net_svc.h,
	qw/source/net_packetlog.c, qw/source/net_svc.c:

	Mike Gorchak's <mike@malva.ua> second (final for now:) QNX patch. renames
	msg_t to qmsg_t.
	
2004-01-20 05:57  taniwha

	* configure.ac, libs/audio/snd.c, libs/audio/cd/cd_sdl.c,
	libs/audio/cd/cd_win.c, libs/console/client.c, libs/util/wadfile.c,
	libs/video/targets/vid_sdl32.c, nq/source/host_cmd.c,
	nq/source/sv_user.c, nq/source/sys_unixd.c:

	first chunk of Mike Gorchak's <mike@malva.ua> QNX patches
	
2004-01-20 05:43  taniwha

	* configure.ac, RPM/quakeforge.spec.in:

	autoconfiscate the alsa plugin name
	
2004-01-20 03:47  taniwha

	* configure.ac, include/QF/mathlib.h,
	libs/audio/renderer/snd_mixa.S, libs/console/filelist.c,
	libs/ruamoko/rua_file.c, libs/util/math.S, libs/util/pakfile.c,
	libs/util/quakefs.c, libs/util/quakeio.c, libs/util/sys.c,
	libs/util/sys_ia32.S, libs/util/wadfile.c,
	libs/video/renderer/sw/fpua.S, libs/video/renderer/sw/sw_raclipa.S,
	libs/video/targets/vid_sdl.c, libs/video/targets/vid_sdl32.c,
	libs/video/targets/vid_sgl.c, nq/source/sys_sdl.c,
	qw/source/cl_sys_sdl.c, qw/source/sv_main.c,
	tools/qfmodelgen/source/cmdlib.c:

	be consistent with WIN32 and _WIN32 (now all _WIN32)
	
2004-01-20 00:19  taniwha

	* RPM/quakeforge.spec.in:

	update for the new ruamoko lib
	
2004-01-19 21:48  despair

	* include/alsa_funcs_list.h, libs/audio/targets/snd_alsa_0_9.c:

	Argh.
	
2004-01-19 21:41  mindhog

	* configure.ac:

	refixed test for HAVE_ALSA
	
2004-01-19 21:21  despair

	* configure.ac:

	Fix for poor syntax. Thanks mindhog.
	
2004-01-19 20:37  despair

	* configure.ac:

	This should get ALSA 0.9 support working again. ALSA 0.9 users please test.
	Report any compile or ./configure failures especially. If it reports you have
	ALSA0_9, you should be using `set snd_plugin "alsa0_9"`.
	
2004-01-19 07:47  taniwha

	* configure.ac, include/QF/gib.h, include/QF/mathlib.h,
	include/QF/plugin.h, include/QF/quakefs.h, include/QF/plugin/cd.h,
	include/QF/plugin/console.h, include/QF/plugin/general.h,
	include/QF/plugin/input.h, include/QF/plugin/snd_output.h,
	include/QF/plugin/snd_render.h, libs/Makefile.am,
	libs/audio/Makefile.am, libs/audio/cd/cd_xmms.c,
	libs/console/Makefile.am, libs/gamecode/builtins/Makefile.am,
	libs/gamecode/engine/Makefile.am, libs/gib/Makefile.am,
	libs/gib/gib_builtin.c, libs/image/Makefile.am,
	libs/models/Makefile.am, libs/models/null_model.c,
	libs/object/Makefile.am, libs/ruamoko/Makefile.am,
	libs/util/Makefile.am, libs/util/quakefs.c, libs/video/Makefile.am,
	libs/video/renderer/Makefile.am, nq/source/Makefile.am,
	nq/source/sv_ded.c, nq/source/sv_model.c, qw/source/Makefile.am,
	qw/source/sv_model.c:

	several libs can now get built as dlls in windows: console, gamecode,
	gamecode_builtins, gib, image, modules, object, ruamoko and util.
	
2004-01-19 02:54  taniwha

	* nq/: include/client.h, source/cl_main.c, source/cl_tent.c:

	*sigh*, got a little too eager.
	
2004-01-19 02:43  taniwha

	* nq/: include/client.h, source/cl_main.c, source/cl_tent.c:

	nq blood particle hack from Grievre
	
2004-01-18 09:18  wildcode

	* libs/audio/targets/: snd_dx.c, snd_win.c:

	add snd_bits/rate/stereo cvars to win and dx sound targets
	
2004-01-18 07:50  taniwha

	* libs/gamecode/engine/pr_strings.c:

	when clearing the return strings, it's a good idea to clear them completely
	
2004-01-18 06:55  taniwha

	* tools/qfvis/qfvis.1:

	refer to the correct program
	
2004-01-17 22:41  despair

	* libs/audio/targets/: Makefile.am, snd_alsa_0_9.c:

	Bring back alsa 0.9 support as a separate module.
	
2004-01-17 22:03  despair

	* libs/audio/targets/snd_alsa.c:

	Check return conditions during ALSA setup.
	Error checking during setup is a good thing...
	
2004-01-17 08:09  taniwha

	* include/QF/qfplist.h:

	more doxygen fixes
	
2004-01-17 07:14  taniwha

	* libs/models/model.c, nq/source/cl_tent.c, qw/source/cl_tent.c:

	temporary hack to avoid crashing when s_explod.mdl isn't precached but
	explosions are requested
	
2004-01-17 05:11  taniwha

	* libs/: models/alias/gl_model_alias.c, util/quakeio.c:

	fix a buffer overflow and an underflow
	
2004-01-16 08:02  taniwha

	* configure.ac, include/rua_internal.h, include/QF/progs.h,
	libs/console/menu.c, libs/gamecode/engine/Makefile.am,
	libs/gamecode/engine/pr_load.c, libs/gamecode/engine/pr_obj.c,
	libs/ruamoko/Makefile.am, libs/ruamoko/rua_init.c,
	libs/ruamoko/rua_obj.c, nq/source/sv_pr_cmds.c,
	qw/source/sv_pr_cmds.c, tools/qwaq/main.c:

	move the OO runtime support code from libQFgamecode to libQFruamoko where
	it really belongs :)
	
2004-01-16 07:03  taniwha

	* include/Makefile.am, include/rua_internal.h,
	include/QF/ruamoko.h, libs/console/menu.c, libs/ruamoko/rua_cbuf.c,
	libs/ruamoko/rua_cmd.c, libs/ruamoko/rua_cvar.c,
	libs/ruamoko/rua_file.c, libs/ruamoko/rua_hash.c,
	libs/ruamoko/rua_init.c, libs/ruamoko/rua_plist.c,
	libs/ruamoko/rua_qfile.c, libs/ruamoko/rua_qfs.c,
	libs/ruamoko/rua_string.c, nq/source/host.c,
	nq/source/sv_pr_cmds.c, qw/source/cl_main.c,
	qw/source/sv_pr_cmds.c, qw/source/sv_progs.c:

	more rua cleanups: now just one init function to call (it calls the rest)
	
2004-01-16 05:46  taniwha

	* configure.ac, include/QF/Makefile.am, include/QF/csqc.h,
	include/QF/keys.h, include/QF/ruamoko.h, libs/Makefile.am,
	libs/console/menu.c, libs/gamecode/builtins/Makefile.am,
	libs/gamecode/builtins/bi_cbuf.c, libs/gamecode/builtins/bi_cmd.c,
	libs/gamecode/builtins/bi_cvar.c, libs/gamecode/builtins/bi_file.c,
	libs/gamecode/builtins/bi_hash.c, libs/gamecode/builtins/bi_init.c,
	libs/gamecode/builtins/bi_plist.c,
	libs/gamecode/builtins/bi_qfile.c, libs/gamecode/builtins/bi_qfs.c,
	libs/gamecode/builtins/bi_string.c,
	libs/gamecode/builtins/pr_cmds.c, libs/ruamoko/.cvsignore,
	libs/ruamoko/Makefile.am, libs/ruamoko/rua_cbuf.c,
	libs/ruamoko/rua_cmd.c, libs/ruamoko/rua_cvar.c,
	libs/ruamoko/rua_file.c, libs/ruamoko/rua_hash.c,
	libs/ruamoko/rua_init.c, libs/ruamoko/rua_plist.c,
	libs/ruamoko/rua_qfile.c, libs/ruamoko/rua_qfs.c,
	libs/ruamoko/rua_string.c, nq/source/Makefile.am, nq/source/host.c,
	nq/source/sv_ded.c, qw/source/Makefile.am, qw/source/cl_main.c,
	qw/source/sv_progs.c:

	move the bulk of what whas libQFcsqc to libQFruamoko.
	
2004-01-16 02:50  taniwha

	* libs/audio/targets/snd_oss.c:

	don't block if the sound device is busy (from Grievre)
	
2004-01-16 00:45  despair

	* include/alsa_funcs_list.h:

	Fix headers for alsa 0.9.
	
2004-01-15 23:05  taniwha

	* qw/source/sv_pr_qwe.c:

	fix a missing terminator found by Grievre
	
2004-01-15 20:19  taniwha

	* acinclude.m4:

	need those functions, dang it :(
	
2004-01-15 20:06  taniwha

	* acinclude.m4:

	fix warnings pointed out by automake 1.8 and clean out some cruft
	
2004-01-15 07:16  taniwha

	* include/QF/wad.h, include/QF/wadfile.h, libs/util/pakfile.c,
	libs/util/wadfile.c, tools/qfbsp/include/bsp5.h,
	tools/qfbsp/include/options.h, tools/qfbsp/source/options.c,
	tools/qfbsp/source/qfbsp.c, tools/qfbsp/source/readbsp.c,
	tools/qfbsp/source/writebsp.c, tools/wad/wad.c:

	can now dump a map's textures to a wad file (name currently based on bsp
	file name (eg, foo.bsp -> foo.wad)
	
2004-01-15 04:04  taniwha

	* tools/cross/cross.sh:

	update for latest mingw and flex
	
2004-01-13 21:30  taniwha

	* include/QF/sys.h, libs/gib/gib_builtin.c, libs/util/sys.c:

	Sys_PathType has been unnecessary for a while so nuke it
	
2004-01-13 06:47  taniwha

	* tools/qfbsp/source/writebsp.c:

	use the wadfile support in libQFutil instead of a local version
	
2004-01-13 06:39  taniwha

	* libs/util/wadfile.c:

	support compressed wads (.wad.gz) and read the lump count correctly
	
2004-01-13 03:07  taniwha

	* tools/qfcc/source/cpp.c:

	remove redundant cast
	
2004-01-13 03:02  taniwha

	* tools/qfbsp/: include/bsp5.h, source/qfbsp.c, source/readbsp.c:

	minor cleanup: LoadBSP really shouldn't be doing the bsp2prt stuff :)
	
2004-01-12 06:38  taniwha

	* libs/util/dstring.c:

	oops, forgot the ~. fixes wildcode's lockup and should fix rxr's
	
2004-01-12 05:36  wildcode

	* tools/qfcc/source/cpp.c:

	fix incompatable pointer type
	
2004-01-12 05:34  wildcode

	* libs/audio/targets/snd_dx.c:

	fix dereferencing type-punned pointer errors
	
2004-01-12 02:23  wildcode

	* configure.ac, include/win32/dirent.h, libs/util/dirent.c:

	dirent.c and dirent.h brought in from cygwin for win32 builds
	
2004-01-12 02:09  taniwha

	* tools/qfbsp/source/readbsp.c:

	t-juctions don't affect portals so don't mess with the loaded faces
	
2004-01-12 01:52  taniwha

	* tools/qfbsp/source/readbsp.c:

	qfbsp --portal foo.bsp now works :) produces identical results for simple
	maps.
	
2004-01-12 01:49  taniwha

	* tools/qfbsp/source/portals.c:

	whitespace
	
2004-01-11 08:48  taniwha

	* tools/qfbsp/: include/bsp5.h, include/options.h,
	source/Makefile.am, source/options.c, source/qfbsp.c,
	source/readbsp.c:

	first stab at getting bsp to portal working. produces a portal file that
	looks ok at first glance but the numbers are a tad bogus. More loading
	errors, I guess.
	
2004-01-11 05:56  taniwha

	* doc/quakeforge.dox.in:

	don't run doxygen in Forge: it doesn't grok Objective-C
	
2004-01-11 05:52  taniwha

	* tools/qfcc/source/linker.c:

	hopefully shut doxygen up about a "const char" function
	
2004-01-10 08:05  taniwha

	* configure.ac, libs/util/wadfile.c, tools/Makefile.am,
	tools/wad/.cvsignore, tools/wad/Makefile.am, tools/wad/wad.1,
	tools/wad/wad.c, tools/wad/wad.h:

	add a wad tool along the lines of pak. can't yet be used for wad creation
	(that's a little more complicated), but it can be used for listing and
	extracting the contents of a wad file. watch out for *foo :)
	
2004-01-10 06:11  taniwha

	* libs/util/qfplist.c:

	more consistency fixes
	
2004-01-09 23:37  taniwha

	* libs/video/targets/vid_glx.c:

	it seems ATI's libGL needs to be loaded with global symbols in order to
	work properly.
	
2004-01-09 23:34  taniwha

	* include/QF/Makefile.am, include/QF/wad.h, include/QF/wadfile.h,
	libs/util/Makefile.am, libs/util/wad.c, libs/util/wadfile.c,
	tools/qfbsp/source/writebsp.c:

	partial work on wad file access cleanup in preparation of making a wad
	utility
	
2004-01-09 23:04  taniwha

	* libs/object/object.c:

	use calloc instead of malloc when creating objects. clears up some
	uninitialized memory usages pointed out by valgrind.
	
2004-01-09 22:28  taniwha

	* libs/util/quakefs.c:

	remove some debug prints
	
2004-01-09 03:48  taniwha

	* libs/audio/renderer/: snd_dma.c, snd_mix.c:

	name changes to make figuring out what's private and what's not easier
	
2004-01-09 03:32  taniwha

	* include/QF/qfplist.h:

	doxygen didn't like that construct
	
2004-01-08 04:04  taniwha

	* libs/gamecode/engine/pr_debug.c:

	allocate the aux function map properly
	
2004-01-08 04:03  taniwha

	* include/QF/progs.h, libs/gamecode/engine/pr_strings.c:

	I had forgotten the free string refs list /had/ to be in the progs vm
	
2004-01-08 03:46  taniwha

	* include/snd_render.h, include/QF/sound.h,
	include/QF/plugin/snd_output.h, libs/audio/renderer/snd_dma.c,
	libs/audio/targets/snd_alsa.c, libs/audio/targets/snd_disk.c,
	libs/audio/targets/snd_dx.c, libs/audio/targets/snd_mme.c,
	libs/audio/targets/snd_oss.c, libs/audio/targets/snd_sdl.c,
	libs/audio/targets/snd_sgi.c, libs/audio/targets/snd_sun.c,
	libs/audio/targets/snd_win.c:

	fix shm properly :)
	
2004-01-08 03:33  despair

	* libs/models/alias/gl_model_alias.c:

	/, not // in paths. textures//foo.png is ugly. ;)
	
2004-01-08 01:48  taniwha

	* include/snd_render.h, libs/audio/snd.c,
	libs/audio/renderer/midi.c, libs/audio/renderer/snd_dma.c,
	libs/audio/renderer/snd_mix.c:

	more sound static cleanup
	
2004-01-08 01:02  taniwha

	* qw/source/cl_parse.c:

	disable the "don't download sounds with -nosound" feature until I get
	things sorted
	
2004-01-08 00:25  taniwha

	* libs/audio/: snd.c, renderer/snd_dma.c:

	clean up snd.c a little
	
2004-01-07 20:06  taniwha

	* include/QF/qfplist.h, libs/util/qfplist.c:

	fix some inconsistencies pointed out by doxygen
	
2004-01-07 08:54  taniwha

	* libs/util/quakefs.c:

	fix more string ownership issues
	
2004-01-07 08:45  despair

	* libs/audio/snd.c:

	Codestyle. Grr!
	
2004-01-07 08:16  taniwha

	* libs/audio/snd.c:

	fix some weird whitespace
	
2004-01-07 08:02  deek

	* libs/util/qfplist.c:

	oops. :)
	
2004-01-07 07:36  taniwha

	* include/QF/csqc.h, libs/console/menu.c,
	libs/gamecode/builtins/Makefile.am,
	libs/gamecode/builtins/bi_init.c,
	libs/gamecode/builtins/bi_string.c, ruamoko/cl_menu/client_menu.qc,
	ruamoko/include/string.h, ruamoko/lib/string.r:

	add some string builtins (only the basics for now, but enough to deal with
	temporary strings) and fix the game load/save menus.
	
2004-01-07 07:28  taniwha

	* nq/source/host.c:

	gah, c&p strikes again
	
2004-01-07 07:01  deek

	* include/QF/qfplist.h, libs/util/qfplist.c:

	plist functions that add objects return qboolean, not int. Also doc fixes.
	
2004-01-07 06:40  taniwha

	* libs/util/quakefs.c:

	close a nasty hole in the gamedir code
	
2004-01-07 06:29  taniwha

	* nq/source/host.c, qw/source/cl_main.c:

	don't write config.cfg until /after/ it's been read :)
	
2004-01-07 06:19  taniwha

	* include/QF/qfplist.h, libs/gamecode/builtins/bi_plist.c,
	libs/util/qfplist.c, ruamoko/include/plist.h, ruamoko/lib/plist.r:

	change the dict and array add functions to return true/false and add some
	more docs
	
2004-01-07 05:35  taniwha

	* libs/util/qfplist.c:

	remove the FIXMEs. plist takes ownership of the item
	
2004-01-07 05:22  taniwha

	* include/QF/progs.h, libs/gamecode/engine/pr_edict.c,
	libs/gamecode/engine/pr_load.c, libs/gamecode/engine/pr_parse.c,
	libs/gamecode/engine/pr_strings.c:

	use a cycled pool of "return strings". I'd love to come up with something
	better, but this will do (similar to what qwe does, but qf style:)
	
2004-01-07 02:52  taniwha

	* doc/progs/vm-mem.fig:

	start documenting the progs engine. memory map initially
	
2004-01-07 02:48  taniwha

	* libs/gamecode/engine/pr_builtins.c:

	make a local copy of the builtins table being register as it might need to
	be modified
	
2004-01-07 00:14  taniwha

	* qw/include/Makefile.am:

	make dist fix
	
2004-01-07 00:04  taniwha

	* ruamoko/lib/: crudefile.r, infokey.r, math.r, physics.r,
	qw_physics.r, server.r, string.r, system.r:

	set all of our static builtin extentions to 0x000fxxxx. fixes the invalid
	builtin crash in menus
	
2004-01-07 00:03  taniwha

	* tools/qfcc/source/qc-parse.y:

	allow constant expressions to be used for builtin numbers
	
2004-01-06 23:23  taniwha

	* qw/source/sv_progs.c:

	should have compile tested. oops
	
2004-01-06 23:04  taniwha

	* qw/source/: sv_pr_qwe.c, sv_progs.c:

	ensure ucmd_unkown and sv_cbuf->unkown_command always point somewhere sane
	
2004-01-06 11:09  deek

	* include/QF/qfplist.h, libs/util/qfplist.c:

	Change PL_D_AddObject() so that it replaces values instead of stacking them.
	Add PL_D_AllKeys(), which returns a list of all keys in a dictionary.
	Rename PL_FreeItem() to PL_Free() -- what was I smoking?
	Document some of the property list system for doxygen.
	
2004-01-06 11:05  deek

	* libs/util/hash.c:

	one-line whitespace, didn't look too hard at the rest though. :)
	
2004-01-06 08:40  taniwha

	* libs/util/hash.c:

	better memory management for hash tables
	
2004-01-06 08:09  taniwha

	* libs/gamecode/engine/pr_edict.c:

	print an address if the def name is blank
	
2004-01-06 07:33  taniwha

	* libs/util/quakefs.c:

	expand ~ for fs_dirconf
	
2004-01-06 07:00  taniwha

	* include/QF/progs.h, libs/gamecode/builtins/pr_cmds.c,
	libs/gamecode/engine/pr_builtins.c, nq/include/sv_progs.h,
	nq/source/sv_pr_cmds.c, nq/source/sv_progs.c,
	qw/include/sv_pr_qwe.h, qw/include/sv_progs.h,
	qw/source/Makefile.am, qw/source/sv_pr_cmds.c,
	qw/source/sv_pr_qwe.c, qw/source/sv_progs.c:

	provide builtin mappings for id (none, really), qf and ktpro/qwe (qw only),
	add qwe builtin extensions to qw-server. provide sv_progs_ext to control
	the builtin mapping. valid values are "id", "qf" (our old static builtins),
	"qwe"/"ktpro" (either works. for ktpro mod support) and "none" (no
	mapping). any other value is equivalent to "none".
	
2004-01-06 06:08  taniwha

	* include/QF/progs.h, libs/gamecode/engine/pr_builtins.c:

	add builtin mapping support (not used yet) and fix an uninitialized
	variable
	
2004-01-06 05:51  taniwha

	* include/QF/progs.h, libs/console/menu.c,
	libs/gamecode/builtins/bi_cbuf.c, libs/gamecode/builtins/bi_cmd.c,
	libs/gamecode/builtins/bi_cvar.c, libs/gamecode/builtins/bi_file.c,
	libs/gamecode/builtins/bi_gib.c, libs/gamecode/builtins/bi_hash.c,
	libs/gamecode/builtins/bi_inputline.c,
	libs/gamecode/builtins/bi_plist.c,
	libs/gamecode/builtins/bi_qfile.c, libs/gamecode/builtins/bi_qfs.c,
	libs/gamecode/builtins/pr_cmds.c,
	libs/gamecode/engine/pr_builtins.c, libs/gamecode/engine/pr_obj.c,
	libs/video/renderer/r_progs.c, libs/video/targets/pr_keys.c,
	nq/source/sv_pr_cmds.c, nq/source/sv_progs.c,
	qw/source/sv_pr_cmds.c, qw/source/sv_progs.c, qw/source/sv_user.c,
	tools/qwaq/builtins.c:

	move to using a hash table for builtin number -> builtin lookup so sparse
	ranges can be used efficiently. move the auto-allocated builtins to
	0x10000000-0x7fffffff. should be more than enough :)
	
	use static builtin tables ("nul" terminated) instead of a series of
	function calls to add builtins to a vm. should be more memory efficient.
	
2004-01-06 03:38  despair

	* libs/video/targets/vid_wgl.c:

	Whitespace.
	
2004-01-06 03:38  despair

	* libs/video/targets/joy.c:

	Futureproofing.
	
2004-01-06 03:24  despair

	* libs/audio/: Makefile.am, targets/snd_oss.c:

	Whitespace
	
2004-01-06 03:18  taniwha

	* libs/gamecode/engine/pr_builtins.c:

	make the bad builtin number a warning and provide a suitable function in
	case the function is called: allows progs with bad (but unused) builtins
	to run anyway
	
2004-01-05 09:06  taniwha

	* ruamoko/: include/Makefile.am, include/math.h, include/message.h,
	include/physics.h, include/server.h, include/string.h,
	lib/Makefile.am, lib/math.r, lib/message.r, lib/physics.r,
	lib/server.r, lib/string.r, lib/system.r:

	quick and dirty fix to get menus loading again. libr.a really needs to be
	cleaned up: most of the stuff in it should /not/ be in the standard library
	
2004-01-05 08:52  taniwha

	* libs/gamecode/engine/pr_builtins.c:

	report all bad builtins rather than just the first
	
2004-01-05 08:08  taniwha

	* include/QF/progs.h, libs/gamecode/engine/pr_builtins.c,
	libs/gamecode/engine/pr_exec.c:

	do the builtin function lookup at load time rather than runtime and store
	the function address in the progs function descriptor. this will speed up
	calls to builtin functions, especially when ranges get introduced.
	
2004-01-05 07:10  taniwha

	* include/QF/progs.h, libs/console/menu.c,
	libs/gamecode/builtins/bi_gib.c, libs/gamecode/engine/pr_debug.c,
	libs/gamecode/engine/pr_exec.c, libs/gamecode/engine/pr_obj.c,
	libs/gamecode/engine/pr_strings.c, qw/source/sv_ccmds.c,
	qw/source/sv_user.c, tools/qwaq/main.c:

	add PR_PushFrame and PR_PopFrame so temp strings are easy to use for
	parameters to progs functions.
	
	double the progs stack sizes (call depth of 32? eek)
	
	allow one extra call on the progs stack :)
	
	misc minor cleanups
	
2004-01-05 01:41  taniwha

	* libs/gamecode/engine/pr_obj.c:

	implement a couple more obj functions
	
2004-01-05 00:48  mindhog

	* qw/source/sv_pr_cmds.c:

	Treat cs_server clients like non-client entities for GIB "frag" event
	
2004-01-05 00:25  mindhog

	* qw/source/sv_send.c:

	Added the missing null terminator for a reliable message send.
	
2004-01-04 07:42  taniwha

	* include/QF/progs.h, libs/gamecode/builtins/pr_cmds.c,
	libs/gamecode/engine/pr_builtins.c,
	libs/gamecode/engine/pr_strings.c, libs/util/dstring.c,
	qw/source/sv_init.c, tools/qwaq/builtins.c, tools/qwaq/main.qc:

	new internal printf engine for progs, mostly thanks to Deek.
	also a few cleanup bits
	
2004-01-04 03:24  taniwha

	* libs/gamecode/builtins/pr_cmds.c:

	micro-tidy while pondering how to rework this whole mess
	
2004-01-04 02:03  taniwha

	* include/QF/progs.h, libs/gamecode/engine/pr_strings.c,
	qw/source/sv_main.c, tools/qwaq/builtins.c:

	Nuke PR_GarbageCollect as it's both redundant with the new temp strings
	and wrong anyway (could free strings it wasn't supposed to).
	
	Don't free the string pointed to by a strref since it's already been
	implicity freed (whole memory space nuked). Fixes new map crash.
	
2004-01-04 01:20  despair

	* libs/models/alias/gl_model_alias.c:

	Check for %s_luma as well as %s_glow. Also a bit of whitespace.
	
2004-01-03 08:43  taniwha

	* include/QF/progs.h, libs/gamecode/engine/pr_exec.c,
	libs/gamecode/engine/pr_load.c, libs/gamecode/engine/pr_strings.c,
	tools/qwaq/main.c, tools/qwaq/main.qc:

	 o  all progs strings are now stored in progs memory
	 o  temporary strings automaticly get freed when the function they're
	    created in (results of str + str and most strings returned from
		builtins). a way to keep temp strings will be provided later
	 o	fix up qwaq to test the temp strings
	
2003-12-28 05:25  taniwha

	* libs/: models/model.c, models/alias/gl_model_alias.c,
	models/alias/model_alias.c, models/brush/gl_model_brush.c,
	util/quakefs.c, video/renderer/gl/gl_sky.c:

	better external skin handling from Grievre
	
2003-12-23 22:24  despair

	* libs/video/renderer/gl/gl_sky.c:

	Fix loading of some sky textures.
	
2003-12-23 20:05  despair

	* include/QF/model.h, libs/models/model.c,
	libs/models/brush/gl_model_brush.c:

	gl_external_textures -> gl_textures_external, plus whitespace & codingstyle.
	
2003-12-23 08:38  taniwha

	* include/QF/model.h, libs/models/model.c:

	more texture tweeks from Griever: gl_external_textures
	
2003-12-23 07:22  taniwha

	* libs/models/brush/gl_model_brush.c:

	luma tweak (redundant code removal) from Grievre
	
2003-12-22 23:40  taniwha

	* qw/source/sv_send.c:

	make sure outputbuf's mem gets initialized (oops:)
	
2003-12-22 23:35  taniwha

	* include/QF/dstring.h, libs/util/dstring.c:

	dstrings now have individual memory management functions
	
2003-12-22 20:51  taniwha

	* configure.ac, libs/net/Makefile.am, libs/net/nc/Makefile.am,
	libs/net/nm/Makefile.am, libs/util/Makefile.am,
	libs/video/renderer/Makefile.am,
	libs/video/renderer/sw/Makefile.am, libs/video/targets/Makefile.am,
	nq/source/Makefile.am, qw/include/server.h, qw/source/Makefile.am:

	--disable-static now works (thanks for the heads-up, raorn)
	
2003-12-22 19:59  taniwha

	* libs/video/targets/Makefile.am:

	fix a typo that prevented the asm lib getting the correct flags
	
2003-12-22 19:58  taniwha

	* libs/gamecode/engine/pr_load.c:

	use the passed "size" parameter rather than qfs_filesize: no telling
	/where/ the progs really came from :)
	
2003-12-22 01:07  despair

	* include/alsa_funcs_list.h, libs/audio/targets/snd_alsa.c:

	Update ALSA sound target to support 1.0.
	Breaks 0.9 support, but 1.0 is in 2.6.0. So either update, or revert to older
	snd_alsa.c & alsa_funcs_list.h.
	
2003-12-21 08:02  despair

	* libs/models/brush/gl_model_brush.c:

	Luma texture support for brush models (From Fuh, by way of Grievre).
	
2003-12-19 04:59  taniwha

	* tools/qfcc/source/class.c:

	give an error message instead of segging for the following code:
	
	@class foo;
	@interface bar : foo
	@end
	
2003-12-19 04:50  taniwha

	* nq/source/Makefile.am:

	clients now need to link in the server console plugin when static
	
2003-12-19 04:25  taniwha

	* include/QF/classes/.cvsignore, libs/object/.cvsignore:

	don't need to see these :)
	
2003-12-19 03:41  taniwha

	* nq/source/host.c:

	dedicated server needs/wants the text (server) console plugin, not the
	console plugin (ie, when static)
	
2003-12-09 06:57  snax

	* include/garbage.h, include/QF/object.h, libs/object/garbage.c,
	libs/object/object.c:

	Added a finalize method to all Objects and modified the garbage
	collector to deal with objects that might gain references during
	finalization.
	
2003-12-09 04:29  taniwha

	* qw/source/sv_pr_cmds.c, nq/source/sv_pr_cmds.c:

	eek, had the entity center-point calculation wrong. thanks, grievre
	
2003-12-09 02:00  snax

	* include/garbage.h, include/QF/object.h,
	include/QF/classes/ArrayList.h, libs/object/ArrayList.c,
	libs/object/Double.c, libs/object/garbage.c, libs/object/object.c,
	qw/source/sv_main.c:

	Garbage collection:
	Moved from reference counting over to a mark and sweep method.  Objects
	are now required to implement an allRefs method which returns a pointer
	to a list of all other referenced objects.  How the list is maintained
	is up to each object.  The retain/release mechanism still works; objects
	with any references will not be garbage collected, even if the collector
	thinks they should be.
	
2003-12-07 22:45  snax

	* include/Makefile.am, include/garbage.h, include/QF/object.h,
	libs/object/ArrayList.c, libs/object/Makefile.am,
	libs/object/garbage.c, libs/object/object.c, qw/source/sv_main.c:

	Fix a bug with ArrayList_Deinit_f (tried too hard to be clever), and add
	an incremental, reference counting garbage collector for QFobjects.  A
	different kind of collector will eventually be needed to run once in a
	while to sweep up cyclic structures.
	
2003-12-07 04:50  snax

	* configure.ac, include/QF/Makefile.am, include/QF/object.h,
	include/QF/classes/ArrayList.h, include/QF/classes/Collection.h,
	include/QF/classes/Double.h, include/QF/classes/Exception.h,
	include/QF/classes/Integer.h, include/QF/classes/Iterator.h,
	include/QF/classes/List.h, include/QF/classes/Makefile.am,
	include/QF/classes/Number.h, include/QF/classes/String.h,
	libs/Makefile.am, libs/object/ArrayList.c,
	libs/object/Collection.c, libs/object/Double.c,
	libs/object/Integer.c, libs/object/Iterator.c, libs/object/List.c,
	libs/object/Makefile.am, libs/object/Number.c,
	libs/object/String.c, libs/object/object.c, libs/util/Makefile.am,
	libs/util/object.c, qw/source/Makefile.am:

	Move the QF object system into it's own library, fix up the standard
	classes.
	
2003-12-07 04:21  taniwha

	* libs/image/png.c:

	correct gamma test thanks to Grievre
	
2003-12-06 22:49  taniwha

	* include/QF/progs.h:

	more whitespace
	
2003-12-06 05:06  taniwha

	* qw/source/sv_user.c:

	fix an incorrect parameter bug found by Grievre
	
2003-12-05 22:33  taniwha

	* include/QF/progs.h:

	white space
	
2003-12-02 23:42  taniwha

	* qw/source/cl_ents.c:

	mask off non-light bits from effects in CL_NewDlight as EF_FLAG1 etc
	shouldn't affect light effects.
	
2003-11-29 23:09  snax

	* include/QF/object.h, libs/util/object.c:

	Add the instanceOf() macro and supporting function, and try to fix
	gcc 2.95 support again.
	
2003-11-29 22:51  snax

	* include/QF/object.h:

	This should fix object.h on gcc 2.95.
	
2003-11-29 04:40  snax

	* include/QF/Makefile.am, include/QF/object.h,
	libs/util/Makefile.am, libs/util/object.c, qw/source/sv_main.c:

	First commit of an experimental low-level object system.  At some point
	GIB will be reworked to use it, and hopefully Rua will also so that the
	two languages can share objects, events, etc.
	
	Warning: This uses quite a few hacks and tortured macros, it might cause
	breakage.
	
2003-11-29 02:01  snax

	* include/QF/gib.h, libs/gib/gib_builtin.c, libs/gib/gib_classes.c,
	libs/gib/gib_execute.c, libs/gib/gib_semantics.c:

	Change some error names, mark a few things static that should be.  Instead
	of using a colon to specify a parent class in a GIB class definition,
	"extends" is now used.  If no parent class is specified, it now defaults to
	Object.
	
2003-11-25 03:22  taniwha

	* qw/source/sv_send.c:

	send the correct number of bytes
	
2003-11-25 02:47  taniwha

	* libs/util/cmd.c:

	make certain Cmd_ExecuteString calls the command system with an active cbuf
	
2003-11-21 21:34  taniwha

	* include/QF/progs.h, include/QF/qfplist.h,
	libs/gamecode/builtins/bi_gib.c, libs/gamecode/builtins/pr_cmds.c,
	libs/gamecode/engine/pr_edict.c, libs/gamecode/engine/pr_exec.c,
	libs/gamecode/engine/pr_parse.c, libs/gamecode/engine/pr_strings.c,
	libs/util/qfplist.c, tools/qwaq/builtins.c:

	PR_GetString should have been returning const char *. now does
	
2003-11-21 20:04  taniwha

	* qw/source/sv_user.c:

	fixed an uninitialized variable. took reordering operations a bit to do so
	
2003-11-21 06:09  taniwha

	* qw/: include/server.h, include/sv_demo.h, include/sv_progs.h,
	source/sv_ccmds.c, source/sv_main.c, source/sv_nchan.c,
	source/sv_phys.c, source/sv_pr_cmds.c, source/sv_progs.c,
	source/sv_send.c, source/sv_user.c:

	better command output redirection handling: maplist over rcon should show
	all (or most, there are limits still) of the maps on a server with many
	maps.
	
	move the optional progs funcs into sv_funcs_t and add UserInfoChanged,
	ChatMessage and LocalinfoChanged callback support.
	
	clean up PF_setinfo (and SV_SetInfo_f and SV_Localinfo_f) using shared code
	where possible und to use the UserInfoChanged and LocalinfoChanged
	callbacks.
	
	add chat message callback to SV_Say. if it returns zero, normal chat
	handling is done, otherwise it's assumed to have been handled by the progs.
	
	provide a hook for unkown user commands. non-zero return means it's been
	handled.
	
2003-11-21 05:01  taniwha

	* qw/source/Makefile.am:

	whitespace
	
2003-11-21 04:53  taniwha

	* nq/source/sbar.c:

	this should fix the scores in deathmatch (thanks, xi)
	
2003-11-20 21:12  taniwha

	* nq/source/sbar.c:

	wonder what I was smoking...
	
2003-11-20 08:02  taniwha

	* libs/console/menu.c:

	use the new pr load hook for resolving the globals
	
2003-11-20 08:01  taniwha

	* libs/gamecode/engine/pr_load.c:

	d'oh, forgot to relocate the builtins :P
	
2003-11-20 07:46  taniwha

	* include/QF/progs.h, libs/gamecode/builtins/pr_cmds.c,
	libs/gamecode/engine/pr_debug.c, libs/gamecode/engine/pr_load.c,
	libs/gamecode/engine/pr_obj.c, libs/gamecode/engine/pr_opcode.c,
	libs/gamecode/engine/pr_resolve.c,
	libs/gamecode/engine/pr_strings.c:

	PF_VarString return a plain char * and make it easier to add "at load" init
	functions
	
2003-11-20 07:03  taniwha

	* libs/console/client.c:

	white space and add a {}
	
2003-11-20 07:02  taniwha

	* include/QF/cbuf.h, libs/util/cmd.c:

	allow cbufs to have a callback for unknown commands. if the callback
	returns non-zero the unknown command is assumed to have been handled and no
	error is reported
	
2003-11-20 07:00  taniwha

	* include/QF/sys.h, libs/util/sys.c:

	add Sys_TimeOfDay from QWE (HighlandeR)
	
2003-11-16 07:17  taniwha

	* tools/qfcc/source/expr.c:

	fix a real oopsie with if (const)
	
2003-11-03 18:58  taniwha

	* doc/quakeforge.dox.in:

	remove obsolete settings
	
2003-10-27 21:48  taniwha

	* tools/qfcc/source/expr.c:

	remove some buggy debug code :P
	
2003-10-25 04:35  taniwha

	* tools/qfcc/source/: expr.c, qc-parse.y:

	more gccisms in the error reporting (In function ...)
	
2003-10-24 22:23  taniwha

	* tools/qfcc/source/: expr.c, qc-parse.y:

	recover from errors in bool expressions (ie, don't segfault)
	
2003-10-24 21:23  taniwha

	* tools/qfcc/: doc/man/qfcc.1, source/options.c:

	only one define/undefine/include per option
	
2003-10-23 06:21  taniwha

	* tools/qfcc/TODO:

	yay, short circuit logic done :)
	
2003-10-23 03:53  despair

	* libs/video/renderer/: sw/sw_rpart.c, sw32/sw32_rpart.c:

	Make trails in sw renderers const-friendly.
	
2003-10-23 03:52  despair

	* acinclude.m4, configure.ac:

	Typos and other legibility improvements. Enjoy the reconfigures & recompiles. Whee!
	
2003-10-22 22:21  despair

	* libs/video/renderer/gl/gl_dyn_part.c:

	Make particle effects not mess with stuff they shouldn't. Also fix an
	improperly declared variable.
	
2003-10-22 21:49  taniwha

	* tools/qfcc/source/qfcc.c:

	mske sure .self and .this are defined in progs.src mode (ie, @self and
	@this)
	
2003-10-22 20:20  despair

	* libs/video/renderer/gl/gl_dyn_part.c:

	l = 64, and taniwha is much happier.
	
2003-10-22 20:08  despair

	* configure.ac:

	QuakeForge doesn't need any ooptions.
	
2003-10-22 16:49  taniwha

	* tools/qfcc/source/expr.c:

	fix bools in function calls
	
2003-10-22 09:14  taniwha

	* tools/qfcc/source/: emit.c, expr.c, qc-parse.y:

	fix a few bugs
	
2003-10-22 09:04  taniwha

	* libs/console/server.c:

	flush sv_logfile on each print
	
2003-10-22 08:30  taniwha

	* tools/qfcc/source/expr.c:

	fix a secfault in return_expr
	
2003-10-22 08:27  taniwha

	* tools/qfcc/: doc/man/qfcc.1, include/options.h, source/expr.c,
	source/options.c:

	short circuit logic can now be controlled (see man page)
	
2003-10-22 08:05  taniwha

	* tools/qfcc/: include/expr.h, source/emit.c, source/expr.c,
	source/qc-parse.y:

	short circuit logic for && and || (as per C). forces standard precedence
	(ie, breaks --traditional) when enabled (no choice at the moment, next fix)
	
2003-10-22 06:00  despair

	* include/r_dynamic.h, libs/video/renderer/r_part.c,
	libs/video/renderer/gl/gl_dyn_part.c,
	libs/video/renderer/sw/sw_rpart.c,
	libs/video/renderer/sw32/sw32_rpart.c:

	Make R_DarkFieldParticles & R_EntityParticles work in all renderers.
	
2003-10-22 01:04  despair

	* libs/video/renderer/r_part.c:

	Optimize and slightly clean up R_DarkFieldParticles & R_EntityParticles.
	
2003-10-19 00:51  snax

	* include/gib_function.h, include/QF/gib.h, libs/gib/gib_builtin.c,
	libs/gib/gib_classes.c, libs/gib/gib_execute.c,
	libs/gib/gib_function.c, libs/gib/gib_object.c,
	libs/gib/gib_semantics.c, tools/carne/main.c:

	Add support for named arguments in GIB functions and methods, fix a few
	bugs, allow subclasses of classes written in GIB to access the same set
	of instance variables.
	
2003-10-18 22:23  taniwha

	* NEWS:

	mention my oopsy
	
2003-10-18 01:52  taniwha

	* NEWS, debian/rules:

	merge in fixes from the 0.5.3 branch that I forgot to do for 0.5.4 (damn
	emergency release:P). Fixes the missing menu.dat from the debs
	
2003-10-15 20:40  wildcode

	* libs/audio/renderer/midi.c:

	proper implementation to prevent the fastforward effect
	
2003-10-09 19:16  despair

	* libs/image/: image.c, pcx.c:

	Add support for supplying NULL palettes to LoadPCX() [uses the .pcx's palette].
	Change convert in LoadPCX() to use rgb rather than rgba, since it was just
	supplying 255 for A anyways.
	Also restructure image.c a bit, remove unneeded ifs.
	
2003-09-25 02:05  taniwha

	* tools/qfcc/source/qc-parse.y:

	initialized locals aren't constant
	
2003-09-24 04:01  taniwha

	* qw/source/cl_ents.c:

	handle PF_QF bit iff the server is actually a qsg 2.0 server
	
2003-09-24 02:24  taniwha

	* qw/source/sbar.c:

	fix misplaced [    ] in teamplay mode
	
2003-09-24 00:59  taniwha

	* tools/qfvis/source/flow.c:

	make cluster recursion a warning rather than an error (see how this goes)
	
2003-09-23 21:49  taniwha

	* ruamoko/cl_menu/options.qc:

	show_* -> hud_*. Thanks for the headsup, IrcMonkey
	
2003-09-23 17:59  taniwha

	* tools/qfcc/source/qc-parse.y:

	remove nested scopes for traditional mode
	
2003-09-23 16:57  taniwha

	* tools/qfcc/source/expr.c:

	make void functions actually return float in traditional mode (qcc allowed
	things like foo = void_function)
	
2003-09-23 16:42  taniwha

	* tools/qfcc/source/expr.c:

	mangle precedence of = relative to && and || for --traditional (bletch).
	also make noise when assigning to bad lvalues (eg !x = y)
	
2003-09-22 23:17  taniwha

	* nq/source/sys_unixd.c, nq/source/sys_wind.c, qw/source/sv_main.c,
	qw/source/sv_sys_win.c:

	remove redundant calls to COM_InitArgv
	
2003-09-22 22:15  taniwha

	* tools/qfcc/source/expr.c:

	--traditional now "fixes" (ie, breaks) operator precedence to match qcc
	except for the relationship between "=" and "&&" and "||": not sure I want
	to go that far towards bug compatability.
	
2003-09-21 00:30  snax

	* include/QF/gib.h, libs/gib/gib_classes.c, libs/gib/gib_object.c:

	Make GIB_Reply an actual function, store object handles as a string, add
	the ObjectHash class.
	
2003-09-20 05:24  taniwha

	* tools/qwaq/Makefile.am:

	oops, forgot about this
	
2003-09-20 04:29  despair

	* libs/video/renderer/gl/gl_draw.c:

	Whitespace, remove misleading .png extension from external conchars loader.
	
2003-09-20 04:13  taniwha

	* tools/qfcc/: doc/man/qfcc.1, include/options.h, source/options.c:

	kill -t for --traditional, add --advanced, default to --traditional for
	progs.src mode and --advanced otherwise
	
2003-09-19 20:50  taniwha

	* tools/qfcc/source/qc-parse.y:

	correct the operator precendece to match C. hopefully won't cause any
	problems :)
	
2003-09-19 06:22  taniwha

	* libs/video/renderer/gl/gl_draw.c:

	external conchars patch from DrSpliff
	
2003-09-18 22:50  taniwha

	* libs/gamecode/engine/pr_obj.c:

	check for null function
	
2003-09-17 22:46  taniwha

	* tools/qfbsp/source/qfbsp.c:

	world is supposed to be portalized using the "detail" portals
	
2003-09-17 21:03  taniwha

	* tools/qfbsp/source/: brush.c, qfbsp.c:

	brush.c:
		quieten point off plane warning
	qfbsp.c:
		allocate less memory for clipped winding
	
2003-09-17 20:26  taniwha

	* tools/qfbsp/source/brush.c:

	force axis aligned planes to truely be axis aligned (fixes degenerate
	polygons being generated by ClipWinding) and use LordHavoc's point off
	plane correction code
	
2003-09-15 21:13  taniwha

	* libs/gamecode/engine/pr_exec.c:

	fix an accounting error
	
2003-09-15 16:33  taniwha

	* tools/texpaint/.cvsignore:

	ignore some more files
	
2003-09-12 23:13  taniwha

	* tools/qfvis/source/qfvis.c:

	progress "meter"
	
2003-09-12 23:12  taniwha

	* include/QF/progs.h, nq/include/sv_progs.h, qw/include/sv_progs.h:

	fix E_POINTER and E_FUNCTION
	
2003-09-12 22:03  taniwha

	* tools/texpaint/texturepaint.c:

	it's gimp-paintbrush rather than gimp_paintbrush
	
2003-09-12 20:52  deek

	* tools/texpaint/: .cvsignore, config.h.in, configure.ac:

	Minor cleanups.
	
2003-09-12 20:40  taniwha

	* tools/qflight/source/qflight.c:

	seems printf isn't threadsafe
	
2003-09-12 18:41  deek

	* tools/texpaint/: COPYING, Makefile.am, README, acinclude.m4,
	bootstrap, config.h.in, configure.ac, dialog.glade, gladesig.c,
	gladesig.h, gladesrc.c, gladesrc.h, main.c, model.h, model1.c,
	model2.c, open.c, pack.c, pack.h, q1pal.h, texturepaint.c,
	texturepaint.h, trackball.c, trackball.h, Pixmaps/begin.xpm,
	Pixmaps/end.xpm, Pixmaps/pause.xpm, Pixmaps/play.xpm,
	Pixmaps/question.xpm, Pixmaps/stop.xpm, Pixmaps/warning.xpm:

	Okay, all. This is the TexturePaint 1.1 GIMP plugin, modified by me long ago
	to work under GIMP 1.2.x -- at taniwha's urging, I am checking this into CVS.
	
	You need libgtk+ v1.2, libgtkglarea v5, libgimp v1.2 (or thereabouts) to get
	this to work.
	
2003-09-12 18:35  taniwha

	* tools/qflight/source/threads.c:

	oops, else in wrong spot
	
2003-09-12 17:14  taniwha

	* tools/pak/pak.c:

	fix a typo
	
2003-09-12 16:43  taniwha

	* tools/qflight/source/options.c:

	all numeric args now check the validity of their arg (that it's a number)
	
2003-09-11 18:52  taniwha

	* tools/qflight/source/qflight.c:

	error checking
	
2003-09-11 18:21  taniwha

	* tools/qflight/source/qflight.c:

	allow reading of gzipped bsps
	
2003-09-11 18:11  taniwha

	* tools/qfbsp/source/options.c:

	fix a typo pointed out by IrcMonkey
	
2003-09-11 08:51  snax

	* include/QF/gib.h, libs/gib/gib_buffer.c, libs/gib/gib_builtin.c,
	libs/gib/gib_classes.c, libs/gib/gib_execute.c,
	libs/gib/gib_object.c:

	Made reference counting of objects more sane.  If a message is sent by an
	object, the sending object is included in the message.  This is available
	in GIB-scripted methods as the local variable "sender", which will be 0
	if the sender was not an object.
	
2003-09-11 06:03  snax

	* include/Makefile.am, include/gib_buffer.h, include/gib_classes.h,
	include/gib_function.h, include/gib_handle.h, include/gib_object.h,
	include/gib_thread.h, include/gib_tree.h, include/gib_vars.h,
	include/QF/cbuf.h, include/QF/gib.h, include/QF/llist.h,
	libs/gamecode/builtins/bi_gib.c, libs/gib/Makefile.am,
	libs/gib/gib_buffer.c, libs/gib/gib_builtin.c,
	libs/gib/gib_classes.c, libs/gib/gib_execute.c,
	libs/gib/gib_function.c, libs/gib/gib_handle.c,
	libs/gib/gib_init.c, libs/gib/gib_object.c,
	libs/gib/gib_semantics.c, libs/gib/gib_thread.c,
	libs/gib/gib_vars.c, libs/util/cbuf.c, libs/util/llist.c,
	nq/source/Makefile.am, qw/source/Makefile.am,
	ruamoko/cl_menu/HUD.h, ruamoko/cl_menu/HUD.r,
	ruamoko/cl_menu/client_menu.qc, ruamoko/cl_menu/hud_interface.qc,
	ruamoko/include/gib.h, ruamoko/lib/gib.r, tools/carne/main.c:

	Introducing the GIB Object System (TM).  This breaks scriptable HUD for now
	and probably has enough bugs to leave the Orkin man scratching his head,
	but it works and allows you to do neat things like write classes in GIB
	(amazing!) and subclass builtin classes (which are Object and Thread at the
	moment, Hash should be coming soon as a replacement for stem and leaf
	variables).
	
2003-09-10 22:02  taniwha

	* RPM/quakeforge.spec.in, debian/quakeforge-alsa.postinst,
	debian/quakeforge-alsa.prerm, debian/rules:

	missed some alsa0_9 refs
	
2003-09-10 21:09  taniwha

	* tools/qflight/source/: ltface.c, trace.c, vis.c:

	some serious speedups. that memset was fiendishly expensive (oops:) and
	redundant anyway (d'oh, paranoia bit me in the bum).
	
2003-09-10 20:48  taniwha

	* include/QF/pakfile.h, libs/util/pakfile.c, tools/pak/pak.c:

	convert \ to / while extracting and accecpt file names on the command line
	to control extraction.
	
2003-09-10 15:48  taniwha

	* tools/qflight/: include/entities.h, include/light.h,
	include/options.h, source/entities.c, source/ltface.c,
	source/options.c, source/qflight.c, source/threads.c,
	source/trace.c, source/vis.c:

	LordHavoc's colored lighting support (not his relight stuff (yet?) though)
	
2003-09-10 05:20  wildcode

	* configure.ac, include/snd_render.h,
	libs/audio/renderer/Makefile.am, libs/audio/renderer/midi.c,
	libs/audio/renderer/snd_mem.c:

	added SND_NoResampleStereo so that streams that don't need resampling aren't forced to, also added midi support via libWildMidi, MIDI FILES RULE
	
2003-09-09 22:20  taniwha

	* libs/audio/renderer/snd_mem.c:

	support streams that don't want any resampling
	
2003-09-09 18:43  taniwha

	* configure.ac, libs/audio/targets/Makefile.am,
	libs/audio/targets/snd_alsa.c, libs/audio/targets/snd_alsa_0_5.c,
	libs/audio/targets/snd_alsa_0_9.c:

	drop alsa 0.5 support and rename snd_alsa_0_9.c to snd_alsa.c. also rename
	the alsa0_9 plugin to alsa.
	
2003-09-09 16:18  taniwha

	* include/QF/png.h, libs/image/png.c:

	PNG write support from DrSpliff
	
2003-09-09 15:29  taniwha

	* tools/qflight/source/vis.c:

	parse the vis data properly
	
2003-09-09 08:13  taniwha

	* tools/qflight/: include/entities.h, include/light.h,
	include/options.h, source/Makefile.am, source/entities.c,
	source/ltface.c, source/options.c, source/qflight.c, source/vis.c:

	bring in lordhavoc's vis data optimisations (doesn't work properly yet) and
	parsing of his extra fields.
	
2003-09-08 22:56  taniwha

	* libs/audio/targets/snd_alsa_0_9.c:

	make the default pcm device "default"
	
2003-09-08 21:57  taniwha

	* tools/qfbsp/source/qfbsp.c:

	it seems wine doesn't like %i in *scanf
	
2003-09-08 20:07  despair

	* libs/image/png.c:

	Clean out silly typedef bloat, clean up whitespace.
	
2003-09-08 19:50  taniwha

	* tools/qfbsp/source/outside.c:

	make the reached entity warning display even without verbose
	
2003-09-08 15:49  taniwha

	* include/winquake.h, include/QF/GL/extensions.h, libs/image/png.c:

	windows has a LoadImage #define, so kill it :)
	
2003-09-08 14:32  taniwha

	* configure.ac, libs/image/Makefile.am, libs/image/png.c:

	autoconfiscate the png support
	
2003-09-08 03:46  taniwha

	* tools/qflight/source/entities.c:

	oops, forgot to edit the checks for specified fields
	
2003-09-08 03:39  taniwha

	* tools/qflight/: include/entities.h, source/entities.c:

	remove some arbitrary limits and add some of the fields from hlight
	
2003-09-08 03:25  taniwha

	* tools/qfbsp/: include/bsp5.h, source/qfbsp.c:

	same with MAX_POINTS_ON_WINDING
	
2003-09-08 03:00  taniwha

	* tools/qfbsp/: include/bsp5.h, source/brush.c, source/csg4.c,
	source/map.c, source/merge.c, source/outside.c, source/qfbsp.c,
	source/region.c, source/solidbsp.c, source/surfaces.c,
	source/tjunc.c:

	MAXEDGES? What MAXEDGES? :)
	
2003-09-05 06:55  taniwha

	* libs/video/renderer/gl/gl_screen.c:

	don't flush garbage to the screen on the first render frame
	
2003-09-05 06:48  taniwha

	* libs/video/targets/vid_common_gl.c:

	fix alpha blending in 2d mode when 3d has never been rendered
	
2003-09-05 04:07  taniwha

	* libs/image/png.c:

	correction pointed out by DrSpliff
	
2003-09-05 03:47  taniwha

	* tools/qfbsp/source/writebsp.c:

	error checking in LoadLump and handle muptiple wad files better (ie,
	properly:P)
	
2003-09-05 02:27  taniwha

	* tools/qfbsp/source/portals.c:

	D'OH!!! fixes totally borked vis data :)
	
2003-09-04 22:29  taniwha

	* include/context_x11.h, include/QF/input.h,
	libs/video/targets/context_x11.c, libs/video/targets/in_x11.c:

	in_mouse_accel patch from qize@gmx.net
	
2003-09-04 21:24  taniwha

	* libs/image/png.c:

	eliminate the global variables
	
2003-09-04 18:59  taniwha

	* include/QF/Makefile.am, include/QF/image.h, include/QF/texture.h,
	libs/image/image.c, libs/image/pcx.c, libs/image/png.c,
	libs/image/tga.c, libs/models/alias/gl_model_alias.c,
	libs/models/brush/gl_model_brush.c,
	libs/models/sprite/gl_model_sprite.c,
	libs/video/renderer/r_screen.c, libs/video/renderer/gl/gl_draw.c,
	libs/video/renderer/gl/gl_screen.c,
	libs/video/renderer/gl/gl_skin.c, libs/video/renderer/gl/gl_sky.c,
	libs/video/renderer/sw/screen.c,
	libs/video/renderer/sw/sw_ralias.c,
	libs/video/renderer/sw32/screen.c,
	libs/video/renderer/sw32/sw32_ralias.c, nq/source/cl_screen.c,
	nq/source/skin.c, qw/source/cl_screen.c, qw/source/skin.c:

	nuke QF/texture.h moving it's contents into QF/image.h (yay, finally, a
	real home for tex_t:)
	
2003-09-04 18:46  taniwha

	* include/QF/image.h, libs/image/image.c,
	libs/models/alias/gl_model_alias.c,
	libs/models/brush/gl_model_brush.c,
	libs/models/sprite/gl_model_sprite.c,
	libs/video/renderer/gl/gl_draw.c, libs/video/renderer/gl/gl_sky.c:

	LoadImage is now used for all external textures giving almost transparent
	.png and .tga support.
	
2003-09-04 18:09  taniwha

	* include/QF/image.h, include/QF/png.h, libs/image/image.c:

	use dtrings to do the filename manipulation
	
2003-09-04 17:17  taniwha

	* include/QF/dstring.h, libs/util/dstring.c:

	dstring.h:
		document the functions (for doxygen)
	dstring.c:
		fix a bunch of potential buffer overflows
	
2003-09-04 16:32  taniwha

	* include/QF/Makefile.am, include/QF/image.h,
	libs/image/Makefile.am, libs/image/image.c:

	DrSpliff's LoadImage code (thanks:)
	
2003-09-04 16:26  taniwha

	* libs/models/brush/gl_model_brush.c:

	use the correct bytes per pixel count
	
2003-09-04 15:14  taniwha

	* libs/image/tga.c:

	since the tex data is rgba, /say/ it's rgba, not rgb :P
	
2003-09-04 05:30  taniwha

	* libs/gamecode/engine/pr_opcode.c:

	better formats for load* and store[bp]*
	
2003-09-04 05:24  taniwha

	* include/QF/Makefile.am, include/QF/png.h, libs/image/Makefile.am,
	libs/image/png.c:

	PNG reading support, much thanks to DrSpliff
	
2003-09-04 05:22  taniwha

	* libs/video/renderer/gl/gl_textures.c:

	make GL_LoadTexture support RGB textures (ie, 24 bit). I'm not happy with
	the solution, but at least it works.
	
2003-09-03 23:04  taniwha

	* tools/qfbsp/: include/options.h, source/options.c,
	source/portals.c:

	hopefully add watervis support
	
2003-09-03 22:54  taniwha

	* tools/qfbsp/source/map.c:

	use the right plane when calculating the texture normals
	
2003-09-03 22:32  taniwha

	* tools/qfbsp/source/: map.c, writebsp.c:

	tighten up hl texture alignment parsing and don't print
	"adding 0 texture frames".
	
2003-09-03 22:16  taniwha

	* libs/video/renderer/sw/sw_rpart.c,
	libs/video/renderer/sw32/sw32_rpart.c, nq/source/sv_cl_phys.c,
	nq/source/sv_phys.c, qw/source/cl_cam.c, qw/source/cl_ents.c,
	qw/source/cl_parse.c, qw/source/sv_phys.c, qw/source/sv_user.c,
	tools/qflight/source/ltface.c, tools/qfmodelgen/source/modelgen.c,
	tools/qfvis/source/flow.c, tools/qfvis/source/qfvis.c:

	replace all VectorSubtract (vec3_origin, ... and
	VectorCopy (vec3_origin, ... with VectorNegate (... and VectorZero (...,
	respectively. Should be a small speedup.
	
2003-09-03 22:00  taniwha

	* include/QF/mathlib.h, tools/qfbsp/include/map.h,
	tools/qfbsp/source/brush.c, tools/qfbsp/source/csg4.c,
	tools/qfbsp/source/map.c, tools/qfbsp/source/merge.c,
	tools/qfbsp/source/outside.c, tools/qfbsp/source/portals.c,
	tools/qfbsp/source/qfbsp.c, tools/qfbsp/source/region.c,
	tools/qfbsp/source/solidbsp.c, tools/qfbsp/source/surfaces.c,
	tools/qfbsp/source/tjunc.c, tools/qfbsp/source/writebsp.c:

	bring in many of LordHavoc's changes to qbsp: HalfLife WorldCraft texture
	alighnment, partial "point of plane" autocorrection (currently disabled: I
	want to make it optional), large map support (not sure where that's
	hiding), hipnotic entity rotation
	
2003-09-03 18:27  taniwha

	* tools/qfbsp/source/map.c:

	good line number reporting for errors and treat ^Z and ^D as whitespace
	
2003-09-03 01:30  taniwha

	* qw/source/cl_main.c:

	make sure all + commands have been executed
	
2003-09-03 01:27  taniwha

	* ruamoko/lib/List.r:

	bunch of bug fixes. rather important part of the bot fixes (oops:)
	
2003-09-02 20:20  taniwha

	* tools/qfbsp/source/map.c:

	fix a buffer overflow (ouch)
	
2003-09-02 17:41  taniwha

	* tools/qfcc/: include/expr.h, source/expr.c:

	access arrays in structs more efficiently (especially when using constant
	indeces)
	
2003-09-02 16:53  taniwha

	* tools/qfcc/source/switch.c:

	use a cast expression rather than and bind expression to do the unsigned
	comparison for switches. clears the notice (bind seems to be correct in
	general) and is more correct conceptually anyway.
	
2003-09-02 16:45  taniwha

	* tools/qfcc/source/emit.c:

	cast between integer and unsigned just by changing access method
	effectively deprecating conv.ui and conv.iu (they'll die eventually:)
	
2003-09-02 06:23  taniwha

	* tools/qfcc/source/emit.c:

	wrong place to decrement uses. now have a problem in switch :/
	
2003-09-02 04:57  taniwha

	* libs/util/quakefs.c:

	make the escape attempt notification a developer print
	
2003-09-02 04:52  taniwha

	* libs/gamecode/engine/pr_edict.c:

	make sure the pointed to def has a name before attempting to print it
	
2003-09-01 03:23  despair

	* qw/source/cl_main.c:

	Typo fix.
	
2003-09-01 01:52  despair

	* doc/config/gib/ln.gib, include/r_cvar.h, qw/source/cl_main.c:

	Qize's patches. Add some more backwards-compatibility aliases to ln.gib,
	remove a dead cvar, and don't display a message about what to do to connect
	when use +connect already...
	
2003-08-31 05:24  taniwha

	* doc/quakeforge.dox.in, include/QF/hash.h,
	tools/qfcc/source/linker.c:

	some doxygen tweaks
	
2003-08-30 22:39  taniwha

	* libs/models/brush/gl_model_brush.c:

	don't seg when using 1 component lightmaps
	
2003-08-29 00:50  taniwha

	* tools/misc/mdl.py:

	make the bbox output easier to read
	
2003-08-28 23:26  taniwha

	* include/QF/bspfile.h, nq/include/game.h, qw/include/host.h:

	get rid of some unneeded defines and ifdefs
	
2003-08-28 19:50  taniwha

	* libs/video/renderer/gl/gl_rsurf.c:

	fix the gl stack overflow (and make sure all skybrush surfaces get checked
	and queued)
	
2003-08-28 14:54  taniwha

	* bootstrap:

	test for darwin explicity rather than using which
	
2003-08-28 02:24  taniwha

	* libs/video/renderer/sw/d_polysa.S:

	remove some magic numbers (sloppy coder:P)
	
2003-08-27 23:11  taniwha

	* qw/source/sv_user.c:

	make the waterjumptime <-> teleport_time interface work as intended
	
2003-08-27 22:50  taniwha

	* libs/video/targets/vid_glx.c:

	try to fix segfault caused by VID_Shutdown getting called before VID_Init
	(error conditions).
	
2003-08-27 22:20  despair

	* nq/source/cl_parse.c, qw/source/cl_parse.c,
	libs/video/renderer/gl/gl_dyn_part.c,
	libs/video/renderer/sw/sw_rpart.c, include/r_local.h,
	libs/video/renderer/sw32/sw32_rpart.c:

	Prettier particles! Renderer is now informed of sv_gravity changes in qw. Not
	supportable without protocol changes in nq.
	
2003-08-27 17:47  taniwha

	* libs/net/nc/net_udp.c:

	ports < 1024 are bad, period :)
	
2003-08-27 01:12  taniwha

	* tools/qfbsp/source/brush.c:

	make FindPlane much pickier about matching planes
	
2003-08-26 07:00  taniwha

	* include/anorm_dots.h, libs/video/renderer/gl/gl_mod_alias.c:

	make the two normals arrays consistent
	
2003-08-25 01:47  taniwha

	* libs/gamecode/engine/pr_obj.c:

	oops, who let C++ into C? :)
	
2003-08-25 01:11  taniwha

	* qw/source/sv_user.c:

	allow server clients to be tracked while spectating
	
2003-08-24 20:38  taniwha

	* tools/qfcc/source/emit.c:

	get the type for the destination from the right place (hope that wasn't
	a bugfix for something else:)
	
2003-08-24 08:17  taniwha

	* tools/qfcc/source/emit.c:

	correct the temp def counting when casting
	
2003-08-24 08:03  taniwha

	* tools/qfcc/source/: emit.c, expr.c:

	allow casts between pointers and integers
	
2003-08-24 07:26  taniwha

	* tools/qfcc/source/options.c:

	make sure __VERSION6__ is defined when it should be
	
2003-08-24 07:23  taniwha

	* libs/gamecode/engine/pr_exec.c:

	bah, forgot to -1 the instruction pointer for jumpb
	
2003-08-24 05:53  taniwha

	* libs/gamecode/engine/pr_exec.c:

	fix the unsigned comparison opcodes
	
2003-08-24 05:08  taniwha

	* libs/gamecode/engine/pr_debug.c:

	no code to dump for a null function
	
2003-08-24 03:44  taniwha

	* libs/gamecode/engine/pr_obj.c:

	implement class_get_class_method and (partially) class_pose_as
	
2003-08-23 22:16  taniwha

	* include/QF/progs.h, libs/gamecode/engine/pr_obj.c,
	tools/qwaq/main.qc:

	make sel_get_uid and class_get_instance_method work
	
2003-08-23 06:21  taniwha

	* libs/gamecode/engine/pr_obj.c:

	oops, forgot to remove developer forcing
	
2003-08-23 06:15  taniwha

	* tools/qfcc/include/def.h, tools/qfcc/include/emit.h,
	tools/qfcc/include/method.h, tools/qfcc/include/obj_file.h,
	include/QF/pr_comp.h, include/QF/pr_obj.h,
	libs/gamecode/engine/pr_obj.c, tools/qfcc/source/class.c,
	tools/qfcc/source/def.c, tools/qfcc/source/expr.c,
	tools/qfcc/source/immediate.c, tools/qfcc/source/method.c:

	correct pr_symtab_t to include the pointer to the array of selectors used
	in the module. Unfortunatly, this requires a version bump on both qfo and
	progs files due to the changes structure layout.
	
2003-08-23 06:12  taniwha

	* ruamoko/: include/Object.h, lib/Object.r:

	uncomment some functions that may or may not get implemented
	
2003-08-22 19:48  taniwha

	* libs/gamecode/engine/pr_exec.c:

	implement jumpb correctly
	
2003-08-22 19:48  taniwha

	* tools/qfcc/: include/expr.h, include/reloc.h, source/emit.c,
	source/expr.c, source/linker.c, source/obj_file.c,
	source/qfodump.c, source/reloc.c, source/switch.c:

	make rel_def_op work properly
	
2003-08-22 18:16  taniwha

	* tools/qfcc/source/emit.c:

	create the temp def for bound defs properly
	
2003-08-22 17:32  taniwha

	* libs/gamecode/engine/pr_edict.c:

	print the value even for unknown defs if the type is known
	
2003-08-22 06:34  taniwha

	* ruamoko/: cl_menu/controls_o.qc, game/Axe.r:

	fix some errors picked up by the recent changes to qfcc
	
2003-08-22 06:04  taniwha

	* tools/qfcc/source/expr.c:

	pass NIL though ... safely
	
2003-08-22 05:48  taniwha

	* tools/qfcc/source/method.c:

	don't seg on undefined vars
	
2003-08-22 05:26  taniwha

	* tools/qfcc/: include/method.h, source/expr.c, source/method.c:

	better message type checking
	
2003-08-22 04:08  taniwha

	* tools/qfcc/source/expr.c:

	typecheck message params when possible
	
2003-08-21 20:35  taniwha

	* qw/source/: sv_ents.c, sv_pr_cmds.c, sv_send.c:

	get server clients updated properly
	
2003-08-21 03:50  taniwha

	* qw/: include/server.h, source/sv_main.c, source/sv_pr_cmds.c,
	source/sv_user.c:

	allow server clients to be initialized properly (SV_Spawn) and send server
	client info to connecting clients
	
2003-08-21 02:24  taniwha

	* tools/qfcc/source/reloc.c:

	remove debug code
	
2003-08-21 02:21  taniwha

	* tools/qfcc/: include/reloc.h, source/emit.c, source/expr.c,
	source/linker.c, source/qfcc.c, source/reloc.c:

	better relocations: pointers to structure members now work
	
2003-08-20 22:37  taniwha

	* qw/source/sv_progs.c:

	link in the hash functions for progs
	
2003-08-20 22:36  taniwha

	* ruamoko/lib/hash.r:

	remove @extern from definitions
	
2003-08-20 22:35  taniwha

	* libs/gamecode/builtins/bi_hash.c, tools/qfcc/source/expr.c,
	tools/qfcc/source/linker.c:

	fix a bunch of segfaults
	
2003-08-20 20:28  taniwha

	* tools/qfcc/source/expr.c:

	convert NIL properly in function calls
	
2003-08-20 19:58  taniwha

	* tools/qfcc/: include/class.h, source/class.c, source/expr.c,
	source/qc-parse.y, source/struct.c:

	make @defs work properly and don't do uninitialized checks on structs
	
2003-08-20 07:22  snax

	* qw/source/cl_parse.c:

	In response to an apparent server-side exploit that has shown up on
	execpc's ProzacTF server, info strings for other players are checked to
	ensure that they contain the "name" key.  If the key is not present, it is
	set to "user-%i [exploit]", where %i is the userid of the player.  Players
	using this exploit should now show up on the scoreboard and users list
	and be visible during gameplay.  Although this renders the exploit useless
	against players using QF, the exact way in which it bypasses the extensive
	checks of a player's name by the server needs to be discovered so that it
	can be fixed.  The server in question uses a bastarized version of QF
	0.5.2, so it's possible that the problem still exists in QF today.
	
2003-08-20 05:43  taniwha

	* ruamoko/cl_menu/client_menu.qc:

	correct the vertical position of the lanconfig menu
	
2003-08-19 21:10  taniwha

	* ruamoko/: include/hash.h, lib/hash.r:

	correct the prototypes for the hash functions (oops:)
	
2003-08-18 06:26  taniwha

	* qw/source/sv_ents.c:

	send server client info to the clients
	
2003-08-18 06:11  taniwha

	* tools/qfcc/source/expr.c:

	make [super foo] work in category methods
	
2003-08-18 02:57  taniwha

	* tools/qfcc/source/: class.c, switch.c:

	class.c:
		whitespace
	switch.c:
		set up the relocations for the switch jump table properly
	
2003-08-16 05:29  taniwha

	* nq/source/host.c:

	separate the client frame code from _Host_Frame making things a little
	easier to follow
	
2003-08-16 03:58  taniwha

	* RPM/quakeforge.spec.in, debian/quakeforge-common.shlibs,
	debian/rules:

	add the new lib
	
2003-08-15 21:26  taniwha

	* tools/cross/cross.sh:

	update for mingw 3.0 (thanks, Dabb:)
	
2003-08-15 20:26  despair

	* libs/video/renderer/gl/gl_dyn_part.c:

	Commit experimental particle optimization. Reduces random particles from using
	6 15 bit rand() to 2 calls, with 5 bits for each of the 6.
	This is up to a 1% speedup for qf particles, and up to 2.1% for id.
	
	It may particularly affect explosions with r_particles_style 0.
	Please report any anomolies in any particle effects.
	
2003-08-15 16:19  taniwha

	* configure.ac, libs/Makefile.am, libs/image/.cvsignore,
	libs/image/Makefile.am, libs/image/pcx.c, libs/image/tga.c,
	libs/util/Makefile.am, libs/util/pcx.c, libs/util/tga.c,
	nq/source/Makefile.am, qw/source/Makefile.am:

	move pcx.c and tga.c out of libQFutil and into libQFimage with the hopes
	for more image formats :)
	
2003-08-13 22:42  taniwha

	* tools/misc/timeframes.py:

	handle multiple files better and auto-scale
	
2003-08-13 21:53  taniwha

	* qw/source/cl_demo.c:

	don't record frame times until we've actually `started' the demo (ie, don't
	record times for frames timedemo doesn't count in its fps calcs)
	
2003-08-13 18:17  taniwha

	* libs/video/targets/joy_win.c, libs/video/targets/vid_wgl.c,
	nq/source/sys_win.c:

	win32 compile fixes
	
2003-08-13 17:27  taniwha

	* libs/gamecode/engine/pr_exec.c:

	handle "return 0" a bit better. assumes location is is always 0, but it
	always has been (and always /should/ be anyway:)
	
2003-08-13 17:07  taniwha

	* libs/console/view.c:

	while downward overlapped memcpys are safe, shut up valgrind
	
2003-08-13 17:07  taniwha

	* libs/gamecode/engine/pr_exec.c:

	don't bother doing the copy if the value to be returned is already in the
	return slot
	
2003-08-13 16:08  taniwha

	* nq/source/cl_demo.c, qw/source/cl_demo.c:

	improve the timedemo fps output a little
	
2003-08-13 06:23  taniwha

	* nq/source/cl_parse.c:

	private cbuf in map_cfg in nq too
	
2003-08-12 23:22  taniwha

	* qw/source/cl_parse.c:

	use a private cbuf for map_cfg
	
2003-08-12 22:18  taniwha

	* tools/misc/timeframes.py:

	now sporting multiple runs (currently 3) and blending
	
2003-08-12 18:22  taniwha

	* tools/qfcc/source/Makefile.am:

	make qc-lex.c and qc-parse.[ch] part of the distribution (two less
	requirements for the average user)
	
2003-08-12 16:24  taniwha

	* tools/misc/timeframes.py:

	put the axes behind the graphs and don't skip the first couple frames
	
2003-08-12 16:04  taniwha

	* tools/misc/timeframes.py:

	correct white and add axes with ms and 100 frame ticks
	
2003-08-12 06:33  taniwha

	* qw/include/cl_demo.h, qw/source/cl_demo.c, qw/source/cl_main.c,
	tools/misc/timeframes.py:

	rename cl_timeframes to demo_timeframes and make it /not/ archive.
	move call to CL_TimeFrames_AddTimestamp from cl_main.c to cl_demo.c.
	
	add a hacky little python script to create a pnm (portable anymap file
	format) graph from timeframes.txt
	
2003-08-11 22:40  taniwha

	* include/QF/bspfile.h, libs/util/bspfile.c:

	make a LoadBSPMem function so bsp files can be read from already loaded
	images
	
2003-08-11 22:39  taniwha

	* libs/util/sys.c:

	we /do/ want full precision from Sys_DoubleTime :P
	
2003-08-11 20:48  despair

	* libs/video/renderer/gl/gl_dyn_part.c:

	More particle optimizations.
	
2003-08-11 20:43  taniwha

	* tools/qfbsp/source/: map.c, qfbsp.c:

	barf when given a bsp file instead of a map file (and don't zap the bsp file
	in the process!!!)
	
2003-08-11 17:11  taniwha

	* tools/qfbsp/source/: map.c, qfbsp.c, writebsp.c:

	don't seg if files can't be opened
	
2003-08-11 16:02  taniwha

	* acinclude.m4, configure.ac:

	make gcc 2.95 friendly (OpenBSD seems to still use it)
	
2003-08-11 06:05  taniwha

	* configure.ac, include/QF/mathlib.h,
	libs/gamecode/engine/pr_obj.c, libs/models/alias/gl_mesh.c,
	libs/models/alias/model_alias.c, libs/util/mathlib.c,
	libs/util/zone.c, libs/video/renderer/r_light.c,
	libs/video/renderer/gl/gl_lightmap.c,
	libs/video/renderer/gl/gl_mod_alias.c,
	libs/video/renderer/gl/gl_rsurf.c,
	libs/video/renderer/gl/gl_skin.c:

	don't let gcc automaticly inline functions but make gcc inline bigger
	functions when told to. also make gcc warn if it can't inline a function.
	
	Explicitly inline several functions (including moving VectorNormalize to
	mathlib.h so it /can/ be) resulting in a 5.5% speedup for spam2 (88 to 92
	fps)
	
2003-08-11 05:16  taniwha

	* libs/video/renderer/gl/gl_dyn_part.c:

	fix some warnings
	
2003-08-09 04:38  despair

	* libs/video/renderer/gl/gl_dyn_part.c:

	Fix a potential uninitialized variable segfault taniwha noticed, and optimize
	particle effects a bit more.
	
2003-08-08 17:33  taniwha

	* qw/source/cl_demo.c:

	add a "demo_quit" cvar to cause qf to quit automaticly at the end of a
	timedemo to make automation of profiling easier
	
2003-08-08 15:25  taniwha

	* qw/source/cl_cam.c, qw/source/cl_parse.c, include/QF/mathlib.h,
	libs/models/alias/gl_mesh.c, qw/source/cl_tent.c,
	qw/source/pmove.c, qw/source/sv_phys.c, qw/source/sv_pr_cmds.c,
	libs/util/mathlib.c, libs/video/renderer/r_light.c,
	libs/video/renderer/gl/gl_dyn_part.c,
	libs/video/renderer/gl/gl_lightmap.c,
	libs/video/renderer/gl/gl_mod_alias.c,
	libs/video/renderer/gl/gl_mod_sprite.c,
	libs/video/renderer/gl/gl_rmain.c, nq/source/cl_main.c,
	nq/source/cl_tent.c, nq/source/sv_cl_phys.c, nq/source/sv_phys.c,
	nq/source/sv_pr_cmds.c, tools/qfbsp/source/qfbsp.c,
	tools/qfbsp/source/tjunc.c, tools/qflight/source/ltface.c:

	rename VectorMA to VectorMultAdd, add VectorMultSub and use it in a few
	places. Not certain how much speed difference it makes :/
	
2003-08-07 21:05  taniwha

	* libs/video/renderer/gl/gl_lightmap.c:

	should be a minor speedup to mono lightmaps
	
2003-08-07 19:58  taniwha

	* libs/video/renderer/: r_light.c, gl/gl_lightmap.c:

	gain about 3 fps (180 to 183) in null-renderer
	
2003-08-06 21:36  taniwha

	* tools/qfcc/source/linker.c:

	grovel around for the source file and line of an undefined def to give
	better diagnostics
	
2003-08-06 18:20  taniwha

	* configure.ac, tools/qwaq/Makefile.am:

	configure fixes from MrFixit (+ a buch of "x..." for test) and make
	qwaq.dat depend on qfcc
	
2003-08-06 17:20  taniwha

	* configure.ac:

	freebsd is happy with "cpp %d %i %o"
	
2003-08-06 00:25  taniwha

	* debian/changelog:

	merge in 0.5.4 changes
	
2003-08-05 21:41  taniwha

	* tools/qfcc/source/emit.c:

	make the useless expression warning more interesting
	
2003-08-05 17:59  taniwha

	* NEWS:

	update
	
2003-08-05 17:48  taniwha

	* tools/qfcc/source/: expr.c, qfcc.c:

	expr.c:
		qcc actually had the precedence of "!x && y" correct, so don't invert
		the logic for it in traditional code.
	qfcc.c:
		allow the .debug_file def to be emitted in traditional mode.
	
2003-08-05 17:27  taniwha

	* libs/gamecode/engine/: pr_debug.c, pr_opcode.c:

	get some single source instruction formats right and handle empty paths
	properly
	
2003-08-05 01:45  taniwha

	* include/QF/info.h, libs/util/info.c, libs/util/quakefs.c,
	nq/source/sv_main.c, qw/include/sv_demo.h, qw/source/cl_main.c,
	qw/source/master.c, qw/source/sbar.c, qw/source/sv_ccmds.c,
	qw/source/sv_demo.c, qw/source/sv_pr_cmds.c, qw/source/sv_user.c:

	remove a whole swath of potential buffer overflows by removing the buffer.
	Also audit a few of the "FIXME: overflow" tags
	
2003-08-04 05:21  taniwha

	* libs/gamecode/engine/pr_parse.c:

	quick fix to handle .ent files starting with comments
	
2003-08-04 03:36  taniwha

	* libs/audio/targets/snd_alsa_0_9.c:

	hopefully fix the alsa-lib assertion bug
	
2003-08-04 01:50  taniwha

	* NEWS:

	more updates :)
	
2003-08-04 01:28  taniwha

	* libs/video/targets/context_x11.c:

	break out some duplicated code into a function and get the window coords
	"properly" (for this mess I'm not sure I'm willing to call code:)
	
2003-08-03 19:10  taniwha

	* ruamoko/include/Makefile.am:

	add Stack.h
	
2003-08-01 21:26  taniwha

	* tools/qfcc/source/class.c:

	blah, double ;
	
2003-08-01 21:20  taniwha

	* libs/gamecode/engine/pr_exec.c, libs/gamecode/engine/pr_opcode.c,
	ruamoko/include/Object.h, ruamoko/lib/AutoreleasePool.r,
	ruamoko/lib/Object.r, tools/qfcc/include/expr.h,
	tools/qfcc/source/expr.c, tools/qfcc/source/qc-parse.y:

	get unsigned mostly working
	
2003-08-01 19:53  taniwha

	* include/QF/plugin.h, libs/audio/cd/cd_linux.c,
	libs/audio/cd/cd_sdl.c, libs/audio/cd/cd_sgi.c,
	libs/audio/cd/cd_win.c, libs/audio/cd/cd_xmms.c,
	libs/audio/renderer/snd_dma.c, libs/audio/targets/snd_alsa_0_5.c,
	libs/audio/targets/snd_alsa_0_9.c, libs/audio/targets/snd_disk.c,
	libs/audio/targets/snd_dx.c, libs/audio/targets/snd_oss.c,
	libs/audio/targets/snd_sdl.c, libs/audio/targets/snd_sgi.c,
	libs/audio/targets/snd_sun.c, libs/audio/targets/snd_win.c,
	libs/console/client.c, libs/console/server.c:

	PLUGIN_INFO decl cleanup
	
2003-08-01 17:38  taniwha

	* ruamoko/include/: AutoreleasePool.h, Object.h:

	unsigned is partially implemented...
	
2003-08-01 16:42  deek

	* libs/gamecode/engine/pr_obj.c:

	Nuke the old-style Object's dead built-in methods.
	
2003-08-01 16:37  taniwha

	* ruamoko/: cl_menu/Makefile.am, include/Object.h,
	lib/AutoreleasePool.r, lib/ListNode.r:

	fix a bunch of FIXMEs now that qfcc has been fixed for these items
	
2003-08-01 16:24  taniwha

	* tools/qfcc/source/class.c:

	make private methods work properly and put overided methods into the
	correct class
	
2003-08-01 05:08  taniwha

	* tools/qfcc/: include/method.h, source/class.c, source/method.c:

	make methods showing up only in the implementation work when overiding an
	inherited method
	
2003-08-01 02:43  taniwha

	* tools/qfcc/source/struct.c:

	initialize the new field properly
	
2003-08-01 02:43  taniwha

	* tools/qfcc/source/qc-parse.y:

	fix an incorrect inherited attribute access caused by my "no ivars" fix
	(part of the struct re-work)
	
2003-07-31 06:17  taniwha

	* tools/qfcc/source/type.c:

	fix struct parsing and printing
	
2003-07-31 06:14  taniwha

	* tools/qfcc/source/struct.c:

	must use save_string when source of string is unknown :P
	
2003-07-31 02:16  taniwha

	* tools/qfcc/source/qc-parse.y:

	fix a couple "value computed is not used" not used warnings
	
2003-07-31 01:57  taniwha

	* libs/gamecode/engine/pr_debug.c:

	oops, %O should be in hex
	
2003-07-30 22:24  taniwha

	* libs/gamecode/engine/pr_debug.c:

	get the default right :P
	
2003-07-30 22:24  taniwha

	* include/QF/pr_comp.h, include/QF/progs.h,
	libs/gamecode/engine/pr_debug.c, libs/gamecode/engine/pr_edict.c,
	libs/gamecode/engine/pr_opcode.c:

	debugging improvements. opcodes now sport an optional format specifier for
	printing their args (default is "%Ga, %Gb, %gc") and PR_ValueString will
	try to print what a pointer points to
	
2003-07-30 21:55  taniwha

	* tools/qfcc/source/expr.c:

	heh, that was a symptom. forget &void :)
	
2003-07-30 20:57  taniwha

	* tools/qfcc/source/: emit.c, expr.c:

	handle addresses of void defs
	
2003-07-30 17:59  taniwha

	* tools/qfcc/source/type.c:

	oops, initialize type_param properly (D'OH:)
	
2003-07-30 17:44  taniwha

	* libs/gamecode/engine/pr_obj.c:

	missing/incorrect symbols fixed
	
2003-07-30 04:11  taniwha

	* ruamoko/cl_menu/controls_o.qc, ruamoko/include/InputLine.h,
	ruamoko/include/List.h, ruamoko/include/draw.h,
	ruamoko/include/hash.h, ruamoko/include/plist.h,
	ruamoko/include/qfile.h, ruamoko/lib/List.r,
	tools/qfcc/include/class.h, tools/qfcc/include/struct.h,
	tools/qfcc/include/type.h, tools/qfcc/source/class.c,
	tools/qfcc/source/def.c, tools/qfcc/source/emit.c,
	tools/qfcc/source/expr.c, tools/qfcc/source/method.c,
	tools/qfcc/source/qc-lex.l, tools/qfcc/source/qc-parse.y,
	tools/qfcc/source/struct.c, tools/qfcc/source/type.c:

	revamp the struct system so "struct foo;" does the right thing (ala C)
	
2003-07-29 19:53  taniwha

	* ruamoko/: cl_menu/Frame.h, cl_menu/Frame.r, cl_menu/HUD.h,
	cl_menu/HUD.r, cl_menu/hud_interface.qc, game/Axe.r, lib/Array.r,
	lib/List.r:

	update for recent changes to Object
	
2003-07-29 18:53  deek

	* tools/qfcc/source/class.c:

	Update the interface-check warning to be more descriptive.
	
2003-07-29 18:31  taniwha

	* tools/qfcc/: doc/man/qfcc.1, include/options.h, source/class.c,
	source/options.c:

	add interface-check warning option. defaults off
	
2003-07-29 18:23  deek

	* ruamoko/: include/Object.h, lib/Stack.r:

	Re-add -autorelease to the Object protocol.
	
2003-07-29 18:02  deek

	* ruamoko/: game/World.r, include/AutoreleasePool.h,
	include/ListNode.h, include/Makefile.am, include/Object.h,
	include/Stack.h, include/hash.h, lib/AutoreleasePool.r,
	lib/ListNode.r, lib/Makefile.am, lib/Object.r, lib/Rect.r,
	lib/Stack.r:

	Okay, y'all...the Ruamoko root class, Object, has been replaced with another
	class with the same name. This will break things. To support it, there are
	three new classes, one of which is incomplete (AutoreleasePool). It'll get
	finished soonish, but the rest of the class lib will need some updating to
	work.
	
2003-07-29 17:43  taniwha

	* ruamoko/: include/List.h, lib/List.r:

	add removeItemAtHead and removeItemAtTail
	
2003-07-29 17:38  taniwha

	* tools/qfcc/: include/method.h, source/class.c, source/expr.c,
	source/method.c:

	make method lookup work with id
	
2003-07-29 16:01  taniwha

	* ruamoko/: include/List.h, include/Makefile.am, lib/List.r,
	lib/Makefile.am:

	add a List class
	
2003-07-28 00:32  despair

	* include/QF/screen.h:

	Missed one. And fixed duplicate declaration of scr_viewsize Deek noticed.
	
2003-07-27 23:20  despair

	* NEWS, doc/QF-HOWTO, doc/config/gib/sshot.gib,
	include/QF/qtypes.h, nq/source/cl_main.c, nq/source/sbar.c,
	qw/include/client.h, qw/source/cl_main.c, qw/source/cl_parse.c,
	qw/source/sbar.c:

	show_fps -> hud_fps, show_ping -> hud_ping, show_pl -> hud_pl,
	show_time -> hud_time, show_scoresuid -> hud_scoreboard_uid
	
2003-07-27 22:51  taniwha

	* nq/source/sbar.c, qw/source/sbar.c:

	oops, stuff_view 1 cell too narrow
	
2003-07-27 22:30  taniwha

	* NEWS:

	doc fps change
	
2003-07-27 22:25  taniwha

	* nq/source/sbar.c, qw/source/sbar.c:

	show_fps now updates every 0.2 seconds and displays 10ths of an fps
	
2003-07-27 21:56  taniwha

	* NEWS:

	doc the save game fix
	
2003-07-27 21:45  taniwha

	* libs/util/idparse.c:

	be sure to clear com_token when end of file is hit
	
2003-07-27 21:33  taniwha

	* tools/qfcc/include/class.h:

	d'oh
	
2003-07-27 20:47  taniwha

	* libs/video/targets/vid.c:

	fix a misplaced _
	
2003-07-27 20:21  despair

	* NEWS:

	Update NEWS for current cvar migration patterns.
	
2003-07-27 20:20  despair

	* libs/video/targets/vid.c:

	Move vid_conwidth to con_width, and vid_conheight to con_height.
	
2003-07-27 19:57  taniwha

	* libs/gamecode/engine/pr_obj.c:

	fix some builtin method names due to the selector name fixes in qfcc
	
2003-07-27 19:47  taniwha

	* tools/qfcc/source/: class.c, expr.c:

	get -/+ into selector name for "does not respond to" warning.
	
2003-07-27 19:13  taniwha

	* tools/qfcc/source/method.c:

	get selector naming (and method name mangline) right
	
2003-07-27 18:50  taniwha

	* tools/qfcc/source/class.c:

	whitespace
	
2003-07-26 21:07  deek

	* include/QF/pr_comp.h, libs/gamecode/engine/pr_exec.c,
	libs/gamecode/engine/pr_opcode.c, tools/qfcc/source/qc-lex.l:

	Preliminary "unsigned" support for qfcc and the gamecode engine. Should still
	be compatible.
	
2003-07-25 22:29  taniwha

	* NEWS:

	document the cosole/demo_speed change and the renaming of some related
	cvars.
	
2003-07-25 22:21  taniwha

	* include/QF/console.h, include/QF/draw.h, include/QF/screen.h,
	include/QF/plugin/console.h, libs/console/client.c,
	libs/console/console.c, libs/console/server.c,
	libs/video/renderer/r_cvar.c, libs/video/renderer/r_screen.c,
	libs/video/renderer/gl/gl_draw.c, libs/video/renderer/sw/draw.c,
	libs/video/renderer/sw/screen.c, libs/video/renderer/sw32/draw.c,
	libs/video/renderer/sw32/screen.c, nq/source/cl_screen.c,
	nq/source/host.c, nq/source/sbar.c, qw/source/cl_main.c,
	qw/source/cl_screen.c, qw/source/sbar.c:

	make the console run at full speed no matter what demo_speed is at. what a
	lot of work for such a simple concept :P
	
2003-07-25 20:34  taniwha

	* tools/qfcc/source/qc-parse.y:

	fix <protocol_list>
	
2003-07-24 20:50  taniwha

	* ruamoko/: include/Array.h, lib/Array.r:

	add itterators and make -free actually free the Array object
	
2003-07-24 20:50  taniwha

	* TODO:

	update
	
2003-07-24 19:41  taniwha

	* tools/qfcc/source/class.c:

	make sure protocol_hash exists
	
2003-07-24 17:51  taniwha

	* tools/qfcc/: include/reloc.h, source/reloc.c:

	allow rel_def_op relocs to point just past the end of the code. needed for
	jump tables.
	
2003-07-23 19:51  taniwha

	* libs/util/plugin.c:

	don't want that QF in the plugin dll name. doesn't get built that way (if
	dlls got built in the first place:/) and way too much hassle to get it
	there
	
2003-07-23 18:40  taniwha

	* tools/qfcc/source/def.c:

	setup vector fields properly
	
2003-07-23 18:28  taniwha

	* tools/qfcc/: include/def.h, source/def.c, source/expr.c:

	fix some namespace issues with names both being a field and an ivar
	
2003-07-23 16:43  taniwha

	* libs/audio/snd.c:

	make dx default
	
2003-07-22 05:10  taniwha

	* debian/changelog (release_0_5_4):

	is this really all it takes?
	
2003-07-21 22:24  taniwha

	* libs/util/sys.c:

	put in a comment about mprotect and getpagesize
	
2003-07-21 20:55  taniwha

	* libs/util/sys.c:

	if a system with mprotect doesn't have getpagesize, the assumption is that
	mprotect doesn't care about page alignment (eg, QNX)
	
2003-07-21 20:51  taniwha

	* configure.ac, libs/util/sys.c:

	not all systems have _SC_PAGESIZE
	
2003-07-21 20:04  taniwha

	* debian/changelog:

	fix formatting
	
2003-07-21 19:26  taniwha

	* libs/util/sys.c:

	implement memcpy version of VA_COPY correctly
	
2003-07-18 12:18  despair

	* libs/util/sys.c:

	Use sysconf() by default instead of getpagesize(). getpagesize() still used if
	sysconf() not present. Since getpagesize is deprecated, it's only used as a
	fallback.
	
2003-07-18 06:27  snax

	* include/QF/Makefile.am, include/QF/llist.h,
	libs/util/Makefile.am, libs/util/llist.c, qw/include/Makefile.am,
	qw/include/cl_chat.h, qw/source/Makefile.am, qw/source/cl_chat.c,
	qw/source/cl_main.c, qw/source/cl_parse.c:

	Added llist.[ch], a set of general-purpose linked list routines.  Added
	cl_chat.[ch] to qw to hold advanced chat features, the first of which is
	the ability to ignore chat messages from annoying players.  Some polishing
	in this area still remains, but the current implementation seems to work.
	
2003-07-18 02:20  taniwha

	* debian/changelog (release_0_5_4):

	fix a formatting error
	
2003-07-17 22:53  taniwha

	* configure.ac:

	back to -CVS
	
2003-07-17 22:35  taniwha

	* NEWS, configure.ac, debian/changelog:

	good grief, 0.5.3 not even announced and 0.5.4 getting released :P
	
2003-07-17 22:14  taniwha

	* qw/source/cl_parse.c:

	fix an exploitable overflow (owwie)
	
2003-07-17 21:45  taniwha

	* libs/util/sys.c:

	magic numbers evil
	
2003-07-17 21:01  taniwha

	* configure.ac, libs/util/sys.c:

	not all systems (eg, QNX) that have mprotect have getpagesize
	
2003-07-17 20:04  taniwha

	* tools/qfcc/source/qfcc.c:

	QNX's printf doesn't like null pointers
	
2003-07-17 19:16  taniwha

	* include/QF/qtypes.h:

	turned out not to be the right solution
	
2003-07-17 18:40  taniwha

	* libs/util/string.c:

	fix an improperly stringed file found by DrSpliff
	
2003-07-17 18:27  taniwha

	* libs/gamecode/engine/pr_parse.c:

	start working on plist entity files
	
2003-07-17 17:55  snax

	* doc/gib.html:

	This is totally out of date now.
	
2003-07-17 15:17  taniwha

	* include/QF/qtypes.h, libs/gamecode/builtins/pr_cmds.c:

	qnx patch from DrSpliff
	
2003-07-15 21:46  snax

	* include/gib_regex.h, libs/gib/gib_builtin.c,
	libs/gib/gib_regex.c:

	Same changes, this time to HEAD.
	
2003-07-15 21:40  snax

	* include/gib_regex.h, libs/gib/gib_builtin.c, libs/gib/gib_regex.c
	(release_0_5_3):

	Add support for run-time regex options (REG_NOTBOL and REG_NOTEOL),
	and more text transformation functions.
	
2003-07-15 17:41  taniwha

	* libs/video/renderer/gl/gl_sky_clip.c:

	don't need that any more (yay:)
	
2003-07-15 16:34  taniwha

	* include/QF/progs.h, libs/gamecode/engine/pr_parse.c:

	minor house-keeping
	
2003-07-14 00:20  taniwha

	* RPM/quakeforge.spec.in:

	hmm, didn't propogate my fix properly
	
2003-07-12 21:50  taniwha

	* quakeforge.lsm.in, doc/man/quakeforge.1, qw/source/cl_ents.c,
	tools/qfcc/AUTHORS, tools/qfcc/qfcc.lsm.in (release_0_5_3):

	more mailing list corrections
	
2003-07-12 21:00  taniwha

	* quakeforge.lsm.in, doc/man/quakeforge.1, qw/source/cl_ents.c,
	tools/qfcc/AUTHORS, tools/qfcc/qfcc.lsm.in:

	more sourceforge addresses
	
2003-07-12 20:19  taniwha

	* RPM/quakeforge.spec.in (release_0_5_3):

	correct the list address
	
2003-07-12 20:19  taniwha

	* RPM/quakeforge.spec.in:

	finally got it working
	
2003-07-12 07:26  taniwha

	* configure.ac, RPM/quakeforge.spec.in:

	forgot rpm doesn't allow - in the version, so hack around it :)
	
2003-07-10 22:20  taniwha

	* libs/audio/targets/snd_oss.c:

	if at first you don't succeed...
	
2003-07-10 22:02  taniwha

	* configure.ac:

	update version to 0.5.3-CVS
	
2003-07-10 18:16  taniwha

	* NEWS (release_0_5_3):

	update NEWS. not 100% accurate, but that would take forever :P
	
2003-07-10 16:28  taniwha

	* NEWS (release_0_5_3):

	partial updates
	
2003-07-10 16:28  taniwha

	* configure.ac (release_0_5_3):

	target_cpu is much more appropriate for -march than host_cpu
	
2003-07-10 05:10  taniwha

	* configure.ac:

	target_cpu makes much more sense for -march
	
2003-07-10 02:03  taniwha

	* acinclude.m4:

	d'oh, half assed job
	
2003-07-10 01:48  taniwha

	* acinclude.m4:

	make sure the ogg and vorbis checks don't add /usr/{include,lib> or
	/usr/local/{include,lib} to CFLAGS or LDFLAGS
	
2003-07-09 21:43  taniwha

	* debian/rules (release_0_5_3):

	add menu.dat to quakeforge-common now that it has a proper home
	
2003-07-09 20:42  taniwha

	* configure.ac (release_0_5_3):

	bump the version
	
2003-07-09 15:38  taniwha

	* libs/util/quakefs.c:

	fix some silly bugs (sizeof (char*) :P)
	
2003-07-09 15:34  taniwha

	* libs/: gamecode/builtins/bi_qfile.c, gamecode/builtins/bi_qfs.c,
	models/brush/model_brush.c:

	remove some unneeded code
	
2003-07-09 06:28  taniwha

	* configure.ac, libs/audio/renderer/snd_mem.c, libs/util/pakfile.c,
	libs/util/quakefs.c, libs/util/riff.c,
	libs/video/renderer/gl/gl_sky_clip.c,
	libs/video/targets/old_keys.c:

	handle alloca properly
	
2003-07-09 04:21  taniwha

	* libs/util/quakefs.c:

	fix an incorrect usage of HAVE_* that finally bit my bum
	
2003-07-08 22:39  taniwha

	* include/QF/model.h, include/QF/quakefs.h, libs/models/model.c,
	libs/net/nm/net_dgrm.c, libs/net/nm/net_udp.c, libs/util/quakefs.c,
	libs/util/quakeio.c, nq/source/host.c, nq/source/sbar.c,
	qw/source/cl_main.c, qw/source/master.c, qw/source/sbar.c,
	qw/source/sv_ccmds.c, qw/source/sv_pr_cmds.c:

	fix a bunch of the previous FIXMEs. needs a bit more work for win32
	compiling
	
2003-07-08 20:11  taniwha

	* libs/net/nm/net_dgrm.c, libs/net/nm/net_udp.c,
	libs/util/quakefs.c, libs/util/quakeio.c,
	libs/video/renderer/gl/gl_sky_clip.c, nq/source/host.c,
	nq/source/sbar.c, qw/source/cl_main.c, qw/source/master.c,
	qw/source/sbar.c, qw/source/sv_ccmds.c, qw/source/sv_pr_cmds.c,
	tools/qfbsp/source/writebsp.c:

	put "FIXME: overflow" on all the char arrays I could find that weren't
	obviously safe
	
2003-07-08 20:09  taniwha

	* libs/audio/snd.c:

	make "win" the default for snd_output on windows
	
2003-07-08 17:26  taniwha

	* libs/util/info.c:

	make sure the trimmed info key value gets terminated properly
	
2003-07-08 15:07  taniwha

	* qw/source/sv_ccmds.c:

	clean up Cvar_Info, removing redundant code and a potential overflow
	
2003-06-26 20:24  despair

	* libs/net/: nc/net_udp.c, nc/net_udp6.c, nm/net_udp.c:

	More informative UDP setup failure messages.
	
2003-06-25 22:41  taniwha

	* configure.ac:

	try to handle pthread better
	
2003-06-25 15:22  taniwha

	* libs/util/dstring.c:

	fix missing params for VA_COPY pointed out by Dalibor Topic
	<robilad@yahoo.com>
	
2003-06-21 00:17  wildcode

	* libs/video/targets/vid_wgl.c:

	added vid_fullscreen cvar as a CVAR_ROM. This will change once the renderer is setup to reload textures.
	removed -window, -mode, and internal mode table and functions that strictly delt with them.
	
	Rewrote the mode selection part of VID_Init
	Altered VID_SetMode and associated functions to use data obtained from VID_Init instead of mode tables.
	
	Also tidied up a little.
	
2003-06-21 00:07  wildcode

	* libs/video/targets/vid.c:

	added -conheight checking
	
2003-06-17 03:11  taniwha

	* libs/video/targets/vid_x11.c:

	mindhog's fix for 32bpp x11
	
2003-06-16 16:41  taniwha

	* libs/video/targets/vid_wgl.c:

	strip dos line endings
	
2003-06-16 12:31  wildcode

	* libs/video/targets/vid_wgl.c:

	fixed misplacement of menu
	
2003-06-06 18:57  taniwha

	* ruamoko/cl_menu/options.qc:

	clear the current menu so going to console via the menus doesn't screw
	things up
	
2003-06-06 15:47  taniwha

	* libs/util/quakefs.c:

	d'oh, forgot to update the format
	
2003-06-06 15:44  taniwha

	* libs/util/quakefs.c:

	don't use qfs_gamedir->* in QFS_NextFilename as it gets passed that in the
	template (and shouldn't assume where to put the file anyway:). fixes the
	all screenshots saves sas qf0000.tga bug.
	
2003-06-06 12:35  despair

	* libs/util/quakefs.c:

	Fix one bug, but doesn't fix all screenshots being saved to qf0000.tga...
	
2003-06-05 18:25  taniwha

	* include/winquake.h:

	win32 finally builds again
	
2003-06-05 17:56  taniwha

	* libs/util/quakefs.c:

	win32 compile fixes
	
2003-06-05 17:51  taniwha

	* libs/util/plugin.c:

	win32 fix
	
2003-06-05 16:08  taniwha

	* libs/util/plugin.c:

	openbsd compile fix from nano
	
2003-06-04 20:32  taniwha

	* ruamoko/cl_menu/Makefile.am:

	make dist fix (again:/)
	
2003-06-04 18:50  taniwha

	* ruamoko/cl_menu/Makefile.am:

	make dist fix
	
2003-06-04 18:26  taniwha

	* include/QF/Makefile.am:

	make dist fix
	
2003-06-04 18:07  taniwha

	* libs/console/server.c:

	fix a non-curses build issue
	
2003-06-04 16:10  taniwha

	* NEWS:

	add a couple more news items
	
2003-06-03 14:46  taniwha

	* tools/qfcc/doc/qcc.txt:

	make the /* */ comment look right (and test lists:)
	
2003-06-03 06:01  despair

	* qw/source/sv_user.c:

	whitespace.
	
2003-05-30 21:22  taniwha

	* qw/source/cl_parse.c:

	blah, failed to notice the info string was getting freed earlier
	
2003-05-30 20:16  taniwha

	* qw/source/: cl_main.c, cl_parse.c:

	clear the player slots properly when disconnecting
	
2003-05-30 01:44  taniwha

	* libs/util/quakefs.c:

	make QFS_CreatePath work again and remove some old code from QFS_WriteFile
	
2003-05-29 04:49  taniwha

	* nq/include/server.h, nq/source/host_cmd.c,
	nq/source/sv_pr_cmds.c, qw/source/sv_pr_cmds.c:

	diff reduction and maybe a couple speedups
	
2003-05-29 02:40  despair

	* nq/source/sv_pr_cmds.c, qw/source/sv_pr_cmds.c:

	Clean up sv_pr_cmds.c, and sync up nq's copy.
	
2003-05-28 04:49  snax

	* libs/audio/renderer/snd_dma.c:

	Make the playcenter hack not screw up sound spatialization.
	
2003-05-26 19:14  taniwha

	* include/QF/dstring.h, libs/util/cbuf.c, libs/util/dstring.c,
	libs/util/idparse.c:

	dstring.[ch]:
		add dstring_copysubstr and make all the substr functions use strnlen
		for the incoming string. also fix the append string functions to append
		the present string correctly.
	cbuf.c:
		use dstring_copystr instead of dstring_clearstr/dstring_appendstr
	idparse.c:
		use dstring_copysubstr instead of dstring_clearstr/dstring_insert
	
2003-05-26 05:07  snax

	* libs/util/cbuf.c:

	Fixed an interesting crash that occured when a recycled idparse cbuf was
	given to GIB when it pushed the cbuf stack.
	
2003-05-26 01:41  snax

	* qw/source/sbar.c:

	Draw PL on the scoreboard in the correct spot.
	
2003-05-25 05:42  snax

	* libs/gib/gib_builtin.c:

	Make file::delete and file::move use QFS functions.
	
2003-05-25 05:40  snax

	* include/QF/quakefs.h, libs/util/cmd.c, libs/util/quakefs.c:

	Added a temporary hack to make ~/.quakeforgerc work again.
	
2003-05-24 02:04  taniwha

	* qw/source/sv_demo.c:

	bah
	
2003-05-24 02:03  taniwha

	* qw/source/sv_demo.c:

	clean up mvd easyrecord auto-creation
	
2003-05-23 20:21  taniwha

	* tools/wav/qfwavinfo.c:

	make a little more useful
	
2003-05-23 20:12  taniwha

	* ruamoko/cl_menu/controls_o.qc:

	fix some incompatable pointer types
	
2003-05-23 17:39  taniwha

	* libs/video/renderer/sw32/screen.c:

	fix an uninitialized variable
	
2003-05-23 17:16  taniwha

	* include/QF/quakefs.h, include/QF/quakeio.h,
	libs/console/client.c, libs/console/server.c,
	libs/gamecode/builtins/bi_file.c, libs/gamecode/builtins/bi_qfs.c,
	libs/gib/gib_builtin.c, libs/util/quakefs.c, libs/util/quakeio.c,
	libs/util/sys.c, libs/video/renderer/gl/gl_screen.c,
	libs/video/renderer/sw/screen.c, libs/video/renderer/sw32/screen.c,
	nq/source/cl_demo.c, nq/source/host.c, nq/source/host_cmd.c,
	qw/include/server.h, qw/source/cl_demo.c, qw/source/cl_slist.c,
	qw/source/crudefile.c, qw/source/locs.c, qw/source/net_packetlog.c,
	qw/source/sbar.c, qw/source/sv_ccmds.c, qw/source/sv_demo.c,
	qw/source/sv_main.c, qw/source/sv_user.c, qw/source/teamplay.c:

	nuke Qexpand_squiggle. instead, expand ~ to $HOME on qfs initialization and
	cache the value.
	
	don't call Qopen directly in the engine. instead call QFS_Open (generic) or
	QFS_WOpen (write only, zip flag).
	
	rework QFS_NextFilename to use a dstring (avoiding a potential buffer
	overflow), support 10000 files and work from the top-level fs_userpath
	directory. adjust QFS_WriteFile and QFS_WriteBuffers etc to suit.
	
	make sw32 screenshots actually get written.
	
	hopefully everything gets written to the right places :)
	
2003-05-23 04:38  snax

	* ruamoko/: include/Array.h, lib/Array.r:

	OK, I think I need caffeine.  This time, the Array class is really switched
	over to using ids.
	
2003-05-23 04:29  snax

	* ruamoko/cl_menu/: Frame.h, Frame.r, HUD.h, HUD.r, Makefile.am,
	hud_interface.qc:

	Added the HUDAnimation class and GIB bindings to use it, as well as other
	enhancements and cleanups to the scriptable HUD system.
	
2003-05-23 04:27  snax

	* ruamoko/: include/Array.h, lib/Array.r:

	Changed the Array class to use object ids instead of null pointers for easy
	and safe freeing of elements when an Array is disposed.
	
2003-05-23 02:50  snax

	* libs/console/: client.c, menu.c:

	Change HUD::show and HUD::hide to HUD::enable and HUD::disable.  The global
	progs variable time is now updated before the HUD drawing function is run.
	
2003-05-22 02:32  snax

	* libs/gib/gib_builtin.c:

	Make file::read and file::write use the new QFS functions.  This allows
	reading files out of paks from GIB. file::find still needs to be updated
	(and renamed).
	
2003-05-21 21:53  taniwha

	* include/QF/GL/qf_funcs_list.h, libs/video/targets/Makefile.am,
	libs/video/targets/vtxarray.c:

	start working on VA support for borked GL libs
	
2003-05-21 15:00  taniwha

	* tools/qfvis/source/qfvis.c:

	handle file openning issues a little more gracefully
	
2003-05-20 15:56  taniwha

	* libs/net/nc/net_udp6.c:

	copy was meant to be a permanent dstring
	
2003-05-17 17:36  snax

	* libs/gib/gib_thread.c:

	Fixed a thinko that was causing events not to run under certain
	circumstances.
	
2003-05-16 19:44  taniwha

	* libs/video/renderer/gl/gl_draw.c:

	wad pics don't have extensions (plugs a buffer underflow hole)
	
2003-05-16 19:36  taniwha

	* libs/console/view.c:

	fix a buffer overflow (order of ops)
	
2003-05-16 16:17  taniwha

	* libs/video/targets/vid_x11.c, qw/include/server.h,
	qw/include/sv_gib.h, qw/source/sv_gib.c, qw/source/sv_pr_cmds.c,
	qw/source/sv_user.c:

	mindHog's qfpython patch. GIB info string event callbacks and a compile fix
	for broken x11 headers.
	
2003-05-16 07:24  snax

	* libs/gib/gib_builtin.c:

	Added text::white and text::brown builtins to produce text of specific
	colors.
	
2003-05-16 00:19  taniwha

	* tools/qfcc/doc/man/qfcc.1:

	fix misplaced bold
	
2003-05-16 00:08  taniwha

	* tools/qfcc/doc/man/qfcc.1:

	alpha sort the options
	
2003-05-15 22:39  snax

	* libs/audio/renderer/snd_dma.c:

	Add the playcenter command to play a sound without 3d spatialization.
	
2003-05-15 22:39  snax

	* libs/gib/gib_tree.c:

	Nuke some dprintfs
	
2003-05-15 21:59  snax

	* libs/gamecode/builtins/bi_gib.c:

	Applied taniwha's mem leak fix.
	
2003-05-15 21:18  taniwha

	* tools/qfcc/doc/man/qfcc.1:

	fix some errors pointed out by colin (thanks:)
	
2003-05-15 20:46  taniwha

	* nq/source/sv_progs.c:

	don't segfault if the profile command is run before progs have been loaded
	
2003-05-15 18:55  taniwha

	* tools/qfcc/source/options.c:

	correct a couple of typos
	
2003-05-15 18:53  taniwha

	* tools/qfcc/doc/man/qfcc.1:

	update the qfcc man page
	
2003-05-15 17:48  taniwha

	* tools/qfcc/source/options.c:

	update the --help docs with all the options
	
2003-05-15 06:49  snax

	* ruamoko/cl_menu/: HUD.h, HUD.r, hud_interface.qc:

	HUD interface leak fixes and enhancements.  Something is still leaking
	memory, though.
	
2003-05-15 05:58  taniwha

	* include/QF/pr_obj.h, libs/gamecode/engine/pr_obj.c,
	ruamoko/include/Object.h, ruamoko/lib/Object.r,
	tools/qfcc/include/expr.h, tools/qfcc/include/type.h,
	tools/qfcc/source/class.c, tools/qfcc/source/emit.c,
	tools/qfcc/source/expr.c, tools/qfcc/source/method.c,
	tools/qfcc/source/qc-lex.l, tools/qfcc/source/type.c:

	get [super ...] working correctly
	
2003-05-15 05:19  taniwha

	* tools/qfcc/source/linker.c:

	better type mismatch error reporting
	
2003-05-15 05:10  taniwha

	* tools/qfcc/source/qfcc.c:

	fix a buffer underflow
	
2003-05-15 04:37  snax

	* libs/video/renderer/gl/gl_draw.c:

	Make gcc2 stfu.
	
2003-05-14 21:36  taniwha

	* qw/source/sv_sys_win.c:

	make sure the rest of the server gets to run even if there's no network
	input (though I fixed this for windows too)
	
2003-05-14 21:17  snax

	* include/QF/console.h, libs/console/client.c, libs/console/menu.c,
	ruamoko/cl_menu/HUD.h, ruamoko/cl_menu/HUD.r,
	ruamoko/cl_menu/Makefile.am, ruamoko/cl_menu/client_menu.qc,
	ruamoko/cl_menu/hud_interface.qc:

	Added the scriptable HUD interface between the engine, Rua, and GIB.
	
2003-05-14 21:16  snax

	* libs/gamecode/builtins/bi_gib.c:

	Add support for GIB handles to the Rua interface.
	
2003-05-14 21:13  snax

	* include/gib_vars.h, libs/gib/gib_builtin.c,
	libs/gib/gib_execute.c, libs/gib/gib_handle.c, libs/gib/gib_vars.c:

	Fixed a few GIB bugs, added the chomp builtin.
	
2003-05-14 21:12  snax

	* ruamoko/: include/gib.h, lib/gib.r:

	Fixed an incorrect builtin definition.
	
2003-05-14 21:11  snax

	* ruamoko/: include/Array.h, lib/Array.r:

	Added a removeItem method to the Array Ruamoko class.
	
2003-05-14 21:08  snax

	* libs/video/renderer/gl/gl_draw.c:

	Fixed .tga loading for GL targets.  SW targets still need work in all
	likelyhood.
	
2003-05-14 16:29  taniwha

	* libs/net/nc/net_udp6.c:

	comment out an unused function
	
2003-05-13 19:49  taniwha

	* tools/qfcc/source/expr.c:

	make derefencing a pointer without an offset more efficient
	
2003-05-13 19:42  taniwha

	* tools/qfcc/source/: emit.c, expr.c:

	use the correct type when taking the address of a pointer derefernece
	
2003-05-13 19:18  taniwha

	* ruamoko/cl_menu/controls_o.qc:

	remove a debug print
	
2003-05-13 06:20  taniwha

	* libs/console/filelist.c:

	oopsie, that was an ill-advised change :P
	
2003-05-13 01:30  taniwha

	* tools/qfcc/source/class.c:

	don't bother checking access restrictions in class_ivar_expr as
	class_find_ivar will catch them when the generated self.ivar is `parsed'.
	
2003-05-12 15:04  taniwha

	* ruamoko/cl_menu/Makefile.am:

	make dist fix
	
2003-05-11 05:20  taniwha

	* nq/source/sbar.c:

	clean up hipnotic weapons sbar code a bit
	
2003-05-11 04:51  taniwha

	* nq/source/sbar.c:

	get the hipnotic hud working properly
	
2003-05-10 04:20  taniwha

	* nq/source/sbar.c, qw/source/sbar.c:

	don't draw the shotgun icon in hud mode if it won't fit and crop the lg
	icon
	
2003-05-10 02:54  taniwha

	* nq/source/sbar.c:

	fix rogue's item code
	
2003-05-09 21:10  taniwha

	* include/QF/quakefs.h, libs/util/quakefs.c, nq/source/game.c:

	fix nq's gamedir handling for the -hipnotic etc shortcuts
	
2003-05-09 20:30  taniwha

	* nq/include/client.h, nq/source/cl_view.c, nq/source/sbar.c,
	qw/include/client.h, qw/source/cl_view.c, qw/source/sbar.c:

	rename cl_overlay_gravity to cl_scoreboard_gravity, rename the hud/sbar,
	stuff from cl_* to hud_*, add hud_scoreboard_gravity to nq.
	
2003-05-09 19:24  taniwha

	* nq/source/sbar.c:

	auto-arange the hud if the screen is too small for hipnotic or rogue
	
2003-05-09 17:24  taniwha

	* nq/source/sbar.c:

	almost lost the rogue ammo icons :)
	
2003-05-09 16:52  taniwha

	* nq/source/sbar.c:

	rogue hud working now. not sure I'm happy with the way the ammo's drawn
	though as rogue didn't (seem to) supply unhighlighted versions of their
	alt weapon icons.
	
2003-05-09 15:30  taniwha

	* nq/source/sbar.c:

	fix a couple warnings
	
2003-05-09 07:27  taniwha

	* nq/source/sbar.c:

	get hipnotic's sbar working properly, with a hud to boot!!! :)
	
2003-05-09 05:22  despair

	* libs/video/renderer/gl/gl_rmain.c:

	Make glError testing static, for now, to shut up compiler warnings.
	
2003-05-09 01:41  despair

	* libs/video/renderer/gl/gl_rmain.c:

	*beats CVS with the cluebat*
	
2003-05-09 01:30  despair

	* include/QF/GL/qf_rmain.h:

	Don't export R_TestErrors.
	
2003-05-08 23:24  taniwha

	* libs/: audio/cd/cd_sgi.c, audio/renderer/snd_dma.c,
	console/client.c, console/filelist.c, gamecode/engine/pr_load.c,
	gamecode/engine/pr_parse.c, models/alias/gl_mesh.c,
	models/alias/gl_model_alias.c, models/brush/gl_model_brush.c,
	net/net_chan.c, net/nc/net_udp.c, net/nc/net_udp6.c, util/cvar.c,
	util/quakefs.c:

	the beginnings of a jihad against buffer overflows
	
2003-05-08 23:05  taniwha

	* include/QF/dstring.h, libs/util/dstring.c:

	add dstring_copy and dstring_copystr to make dstring init easier
	
2003-05-08 22:32  despair

	* libs/video/renderer/gl/gl_rmain.c:

	\n is nice occasionally.
	
2003-05-08 22:16  despair

	* libs/video/renderer/gl/gl_rmain.c:

	Clean up glError handling.
	
2003-05-08 21:22  taniwha

	* nq/include/client.h, nq/source/cl_main.c, nq/source/sbar.c,
	qw/source/sbar.c:

	stock sbar and hud seem to be working in nq (fps back, too:)
	
2003-05-08 15:12  taniwha

	* qw/source/sbar.c:

	make the fps etc display move with changing viewsize
	
2003-05-08 06:29  taniwha

	* qw/source/sbar.c:

	add cl_overlay_gravity cvar to control the placement of the scoreboard
	overlay
	
2003-05-08 05:49  taniwha

	* libs/video/renderer/r_screen.c, nq/source/cl_screen.c,
	qw/include/client.h, qw/source/cl_screen.c, qw/source/sbar.c:

	ping/pl/fps/time now stays put and is now in the client rather than the
	renderer (so nq is currently missing it)
	
2003-05-08 04:13  taniwha

	* qw/source/: cl_main.c, sbar.c:

	hud works again
	
2003-05-07 21:20  taniwha

	* tools/qfmodelgen/source/cmdlib.c:

	more inlining of varargs function avoidance
	
2003-05-07 21:10  taniwha

	* qw/source/sbar.c:

	fix a warning and correct some vid.height usages
	
2003-05-07 21:03  taniwha

	* qw/source/sbar.c:

	reduce the code duplication in the deathmatch overlay code
	
2003-05-07 19:53  taniwha

	* qw/source/sbar.c:

	whitespace
	
2003-05-07 17:23  taniwha

	* include/sbar.h, nq/source/sbar.c, qw/source/sbar.c:

	qw now has centered scoreboard :)
	
2003-05-07 16:35  taniwha

	* qw/source/sbar.c:

	get the score overlays working again (not `viewed' yet)
	
2003-05-07 15:58  taniwha

	* qw/source/sbar.c:

	non-hud status bar now using the view api. hud version currently not
	working but that should be fixed soon :)
	
2003-05-07 15:00  taniwha

	* tools/qfcc/source/linker.c:

	more inline avoidance
	
2003-05-07 07:18  taniwha

	* tools/qfbsp/source/qfbsp.c:

	more inline stuff
	
2003-05-07 07:10  taniwha

	* libs/: console/client.c, console/view.c, video/targets/vid.c,
	video/targets/vid_3dfxsvga.c, video/targets/vid_glx.c,
	video/targets/vid_sdl.c, video/targets/vid_sdl32.c,
	video/targets/vid_sgl.c, video/targets/vid_wgl.c,
	video/targets/vid_x11.c:

	fix various sizing issues
	
2003-05-07 05:41  taniwha

	* qw/source/master.c:

	still more inline guff
	
2003-05-07 04:24  taniwha

	* qw/source/: sv_send.c, sv_user.c:

	more inline avoidance
	
2003-05-07 04:24  taniwha

	* libs/console/: Makefile.am, client.c, view.c:

	view.c needs to be in the main console lib rather than the client plugin
	and make view_draw the default draw function for new views
	
2003-05-07 02:45  taniwha

	* tools/qfcc/source/expr.c:

	more auto-inline avoidance
	
2003-05-07 01:49  taniwha

	* qw/source/net_packetlog.c:

	make sure Net_LogPrintf can't get inlined, tell gcc it's a printf style
	function and clean up the resulting warnings
	
2003-05-06 21:52  taniwha

	* tools/Forge/: BundleController.h, BundleController.m,
	Controller.h, Controller.m, PrefsController.h, PrefsController.m,
	PrefsView.h, Project.h, Project.m, main.m,
	Bundles/MainPrefs/MainPrefs.h, Bundles/MainPrefs/MainPrefs.m,
	Bundles/MapEdit/Brush.h, Bundles/MapEdit/CameraView.h,
	Bundles/MapEdit/CameraView.m, Bundles/MapEdit/Clipper.m,
	Bundles/MapEdit/Dict.h, Bundles/MapEdit/Dict.m,
	Bundles/MapEdit/DictList.h, Bundles/MapEdit/DictList.m,
	Bundles/MapEdit/EntityClass.h, Bundles/MapEdit/EntityClass.m,
	Bundles/MapEdit/InspectorControl.h,
	Bundles/MapEdit/InspectorControl.m, Bundles/MapEdit/KeypairView.m,
	Bundles/MapEdit/PopScrollView.h, Bundles/MapEdit/PopScrollView.m,
	Bundles/MapEdit/Preferences.m, Bundles/MapEdit/Project.h,
	Bundles/MapEdit/Project.m, Bundles/MapEdit/QuakeEd.m,
	Bundles/MapEdit/QuakeEd_main.m, Bundles/MapEdit/SetBrush.m,
	Bundles/MapEdit/TexturePalette.m, Bundles/MapEdit/TextureView.m,
	Bundles/MapEdit/Things.h, Bundles/MapEdit/Things.m,
	Bundles/MapEdit/UserPath.h, Bundles/MapEdit/UserPath.m,
	Bundles/MapEdit/XYView.h, Bundles/MapEdit/XYView.m,
	Bundles/MapEdit/ZScrollView.h, Bundles/MapEdit/ZScrollView.m,
	Bundles/MapEdit/ZView.h, Bundles/MapEdit/ZView.m,
	Bundles/MapEdit/qedefs.h, Bundles/MapEdit/render.m,
	Documentation/Template.m:

	bloody gcc deciding #import isn't good enough :P
	
2003-05-06 18:00  taniwha

	* libs/video/renderer/r_screen.c:

	there's no need to call Con_CheckResize every frame and it's now
	detrimental anyway
	
2003-05-06 03:19  taniwha

	* libs/console/client.c:

	fix menu centering for 320xY
	
2003-05-06 02:41  taniwha

	* include/QF/view.h, libs/console/view.c:

	add view_insert to provide greater control over view order
	
2003-05-06 02:30  taniwha

	* libs/console/client.c:

	fix the missing chat input line
	
2003-05-06 02:25  taniwha

	* include/QF/view.h, libs/console/client.c, libs/console/view.c:

	fix the input line location bug and change enabled to visible due to
	enabled meaning something else in UIs
	
2003-05-06 02:19  taniwha

	* include/QF/console.h, include/QF/view.h,
	include/QF/plugin/console.h, libs/console/client.c,
	libs/console/menu.c, libs/console/view.c,
	ruamoko/cl_menu/client_menu.qc, ruamoko/cl_menu/controls_o.qc,
	ruamoko/cl_menu/menu.h, ruamoko/cl_menu/menu.r,
	ruamoko/cl_menu/options.qc, ruamoko/cl_menu/servlist.qc,
	ruamoko/include/InputLine.h, ruamoko/lib/InputLine.r:

	new view stuff mostly working. just a few visual bugs to iron out
	
2003-05-05 18:50  taniwha

	* doc/hud.txt, include/QF/view.h, libs/console/Makefile.am,
	libs/console/view.c:

	initial work on dynamic view support for the console. I'm aware that
	QF/view.h vs view.h may cause some confusion, but I'm hoping to eleminate
	view.h.
	
	Also put the sample hud.txt into docs so it doesn't get lost.
	
2003-05-05 18:35  taniwha

	* doc/: template.c, template.h:

	update the copyright year
	
2003-04-30 14:55  taniwha

	* libs/audio/targets/snd_oss.c:

	round the mmap length up to the nearest page size
	
2003-04-30 02:52  taniwha

	* libs/audio/targets/snd_oss.c:

	I don't know why MAP_SHARED is needed, but it's not compatable with
	write-only mode, so make it part of snd_oss_rw
	
2003-04-30 02:14  taniwha

	* include/QF/plugin/general.h, libs/util/plugin.c:

	mindHog's plugin global symbol handling patch so his python plugin can work
	(reloads the plugin with RTLD_GLOBAL if the plugin requests it).
	
2003-04-29 21:45  taniwha

	* qw/source/sv_main.c:

	add map to admin commands for DrSpliff
	
2003-04-29 03:14  taniwha

	* libs/audio/targets/snd_oss.c:

	bring back the rw/wo code
	
2003-04-28 21:02  taniwha

	* qw/source/sv_user.c:

	compile fixes for the alpha
	
2003-04-28 19:55  taniwha

	* qw/source/sv_user.c:

	mindHog's patch for making Hash_DelElement work the way he wanted it to
	
2003-04-28 16:04  taniwha

	* include/QF/hash.h, qw/source/sv_user.c:

	hash.h:
		write some docs on mixing (eg) Hash_Add and Hash_DelElement
	sv_user.c:
		fix a warning
	
2003-04-28 15:56  taniwha

	* qw/: include/server.h, source/sv_user.c:

	mindHog's user command patch (with change to builtin name) making the
	function generally available (eg, for his python plugin)
	
2003-04-26 05:12  taniwha

	* libs/console/server.c:

	make /command work when not using curses
	
2003-04-26 04:30  taniwha

	* include/snd_render.h, libs/audio/renderer/snd_mem.c,
	libs/audio/renderer/snd_mix.c, libs/audio/renderer/vorbis.c,
	libs/audio/renderer/wav.c:

	this seems to fix the "end of file" issues on streams
	
2003-04-25 17:00  taniwha

	* tools/qfcc/: include/def.h, include/obj_file.h, source/class.c,
	source/def.c, source/emit.c, source/expr.c, source/function.c,
	source/immediate.c, source/linker.c, source/method.c,
	source/obj_file.c, source/qfcc.c, source/struct.c:

	add a "nosave" flag to defs making it easier to make defs that don't get
	saved automaticly
	
2003-04-25 03:06  taniwha

	* libs/util/cmd.c:

	mindHog's fix for RemoveCommand being totally borked (oops:)
	
2003-04-24 04:57  taniwha

	* libs/gamecode/builtins/bi_qfile.c:

	PR_SetString doesn't like null pointers, it seems. While fixing
	PR_SetString would be a better fix, this is faster code.
	
2003-04-23 19:50  taniwha

	* tools/qfcc/source/immediate.c:

	don't create defs for the components of vector or quaternion defs
	
2003-04-23 18:25  taniwha

	* tools/qfcc/source/: obj_file.c, qfcc.c:

	get .param_size and .debug_file linked in properly
	
2003-04-23 06:17  taniwha

	* tools/qfcc/source/expr.c:

	fix a double ;
	
2003-04-23 01:56  taniwha

	* tools/qfcc/source/expr.c:

	print the operator for the precedence notice properly
	
2003-04-22 20:11  taniwha

	* include/QF/pr_comp.h, include/QF/progs.h,
	libs/gamecode/builtins/pr_cmds.c, libs/gamecode/engine/pr_exec.c,
	libs/gamecode/engine/pr_obj.c, libs/gamecode/engine/pr_resolve.c,
	tools/qfcc/include/type.h, tools/qfcc/source/expr.c,
	tools/qfcc/source/immediate.c, tools/qfcc/source/linker.c,
	tools/qfcc/source/qfcc.c, tools/qfcc/source/type.c,
	tools/qwaq/builtins.c:

	can now handle > vector sized parameters
	
2003-04-22 18:20  taniwha

	* include/QF/pr_comp.h, include/QF/progs.h, libs/console/menu.c,
	libs/gamecode/builtins/bi_cbuf.c, libs/gamecode/builtins/bi_cmd.c,
	libs/gamecode/builtins/bi_cvar.c, libs/gamecode/builtins/bi_file.c,
	libs/gamecode/builtins/bi_gib.c, libs/gamecode/builtins/bi_hash.c,
	libs/gamecode/builtins/bi_inputline.c,
	libs/gamecode/builtins/bi_plist.c,
	libs/gamecode/builtins/bi_qfile.c, libs/gamecode/builtins/bi_qfs.c,
	libs/gamecode/builtins/pr_cmds.c, libs/gamecode/engine/pr_edict.c,
	libs/gamecode/engine/pr_exec.c, libs/gamecode/engine/pr_obj.c,
	libs/gamecode/engine/pr_strings.c, libs/video/renderer/r_progs.c,
	libs/video/targets/pr_keys.c, nq/source/sv_pr_cmds.c,
	qw/source/sv_pr_cmds.c, qw/source/sv_user.c, tools/qwaq/builtins.c,
	tools/qwaq/main.c:

	remove all references to OFS_* from the C code. only the macros in progs.h
	use them now
	
2003-04-22 17:26  taniwha

	* tools/qfcc/source/emit.c:

	handle def aliases properly in emit_move_expr
	
2003-04-22 15:48  taniwha

	* ruamoko/game/GameEntity.r, ruamoko/game/World.r,
	ruamoko/lib/InputLine.r, ruamoko/lib/Point.r, ruamoko/lib/Size.r,
	tools/qfcc/source/class.c:

	detect type mismatches in method declarations and definitions
	
2003-04-22 15:29  taniwha

	* tools/qfcc/: include/def.h, include/expr.h, include/opcodes.h,
	include/type.h, source/def.c, source/emit.c, source/expr.c,
	source/idstuff.c, source/immediate.c, source/linker.c,
	source/opcodes.c, source/qfcc.c, source/type.c:

	general revamp so params and the return value use proper defs rather than
	hardcoded locations. this will allow use of quaternions in the future.
	
2003-04-22 01:37  taniwha

	* libs/video/renderer/gl/gl_dyn_textures.c:

	initialize noise1
	
2003-04-21 18:33  taniwha

	* nq/source/: Makefile.am, pr_cmds.c, sv_pr_cmds.c:

	file name consistency
	
2003-04-21 18:26  taniwha

	* libs/video/renderer/gl/gl_rmain.c,
	libs/video/renderer/sw/sw_rmain.c,
	libs/video/renderer/sw32/sw32_rmain.c, nq/source/Makefile.am,
	nq/source/host.c, nq/source/locs.c:

	temporarily remove location support from nq (and location markers from both)
	until client code has been cleaned up more
	
2003-04-21 18:09  taniwha

	* libs/audio/renderer/: vorbis.c, wav.c:

	make the opened sfx name usable
	
2003-04-21 18:00  taniwha

	* nq/: include/Makefile.am, include/conproc.h, source/Makefile.am,
	source/conproc.c, source/sys_win.c:

	all that just to get rid of it. *shrug*
	
2003-04-21 17:48  taniwha

	* nq/source/conproc.c:

	clean up conproc's api as such (what's this thing for, anyway?)
	
2003-04-21 17:28  taniwha

	* libs/audio/renderer/snd_mem.c:

	win32 compile fix
	
2003-04-21 17:08  taniwha

	* nq/source/: mplib.c, mplpc.c:

	unused file cleanup
	
2003-04-21 04:49  taniwha

	* libs/util/quakefs.c:

	fix a buffer overrun issue with -game
	
2003-04-21 04:02  taniwha

	* libs/util/plugin.c:

	replace a warped wheel with a strdup wheel ;)
	
2003-04-21 01:44  taniwha

	* libs/audio/renderer/vorbis.c:

	remove some debug info
	
2003-04-21 01:39  taniwha

	* libs/audio/renderer/: snd_dma.c, vorbis.c:

	fix the file handle leak
	
2003-04-21 01:24  taniwha

	* libs/audio/renderer/snd_dma.c:

	fix the segfault on starting a map only to die from file handle starvation :P
	
2003-04-20 07:19  taniwha

	* include/QF/sound.h, libs/audio/renderer/snd_dma.c,
	libs/audio/renderer/snd_mem.c, libs/audio/renderer/snd_mix.c,
	libs/audio/renderer/vorbis.c, libs/audio/renderer/wav.c:

	'copy' streams on openning. fixes the shared stream issues, though other
	problems might arrise (eg, running out of file handles or memory)
	
2003-04-20 03:42  taniwha

	* include/snd_render.h, libs/audio/renderer/snd_mem.c,
	libs/audio/renderer/vorbis.c, libs/audio/renderer/wav.c:

	make streams work in chunks of 256 samples (won't work so well for non power
	of 2 resample rates :/)
	
2003-04-20 02:05  taniwha

	* libs/audio/renderer/snd_dma.c:

	move to static initialization for plugin info
	
2003-04-17 17:43  taniwha

	* include/snd_render.h, libs/audio/renderer/snd_mem.c,
	libs/audio/renderer/vorbis.c, libs/audio/renderer/wav.c:

	crystal clear playback on resampled streams :) (still borked when shared,
	though :/)
	
2003-04-17 15:18  taniwha

	* include/QF/plugin.h, libs/util/plugin.c:

	mindHog's (mindhog@mindhog.net) plugin command patch
	
2003-04-17 03:58  taniwha

	* libs/audio/renderer/snd_mem.c:

	more headpos resetage
	
2003-04-17 03:53  taniwha

	* libs/audio/renderer/snd_mem.c:

	headpos needs resetting too at sfx end
	
2003-04-17 03:31  taniwha

	* libs/console/server.c:

	kill debug print :P
	
2003-04-17 02:55  taniwha

	* libs/audio/renderer/snd_dma.c:

	more triage :P
	
2003-04-17 02:40  taniwha

	* libs/audio/renderer/: snd_mem.c, snd_mix.c:

	get sound (generally) working again
	
2003-04-17 02:03  taniwha

	* libs/console/inputline.c:

	make the input line scrolling unsigned int clean
	
2003-04-17 00:25  taniwha

	* libs/video/targets/fbset_modes_l.l, tools/qfcc/source/qc-lex.l:

	get the fix right
	
2003-04-17 00:14  taniwha

	* libs/video/targets/fbset_modes_l.l, tools/qfcc/source/qc-lex.l:

	bah, cleanup for flex versions :P
	
2003-04-17 00:01  taniwha

	* include/snd_render.h, include/QF/console.h, include/QF/info.h,
	include/QF/pr_comp.h, include/QF/progs.h, include/QF/sound.h,
	libs/audio/snd.c, libs/audio/cd/cd_linux.c,
	libs/audio/renderer/snd_dma.c, libs/audio/renderer/snd_mem.c,
	libs/audio/renderer/snd_mix.c, libs/audio/targets/snd_oss.c,
	libs/console/buffer.c, libs/console/client.c,
	libs/console/console.c, libs/console/inputline.c,
	libs/console/server.c, libs/gamecode/builtins/bi_cbuf.c,
	libs/gamecode/builtins/bi_gib.c, libs/gamecode/builtins/bi_init.c,
	libs/gamecode/builtins/bi_inputline.c,
	libs/gamecode/builtins/pr_cmds.c, libs/gamecode/engine/pr_debug.c,
	libs/gamecode/engine/pr_edict.c, libs/gamecode/engine/pr_exec.c,
	libs/gamecode/engine/pr_load.c, libs/gamecode/engine/pr_obj.c,
	libs/gamecode/engine/pr_opcode.c, libs/gamecode/engine/pr_parse.c,
	libs/gamecode/engine/pr_resolve.c,
	libs/gamecode/engine/pr_strings.c, libs/gib/exp.c,
	libs/gib/gib_builtin.c, libs/gib/gib_execute.c, libs/gib/regex.c,
	libs/models/alias/gl_mesh.c, libs/models/alias/gl_model_alias.c,
	libs/models/brush/model_brush.c, libs/net/nm/net_dgrm.c,
	libs/util/hash.c, libs/util/msg.c, libs/util/pakfile.c,
	libs/util/qargs.c, libs/util/quakeio.c, libs/util/riff.c,
	libs/util/wad.c, libs/util/zone.c, libs/video/renderer/r_light.c,
	libs/video/renderer/r_main.c, libs/video/renderer/r_screen.c,
	libs/video/renderer/gl/gl_draw.c,
	libs/video/renderer/gl/gl_dyn_lights.c,
	libs/video/renderer/gl/gl_dyn_part.c,
	libs/video/renderer/gl/gl_lightmap.c,
	libs/video/renderer/gl/gl_mod_alias.c,
	libs/video/renderer/gl/gl_rsurf.c,
	libs/video/renderer/gl/gl_screen.c,
	libs/video/renderer/gl/gl_skin.c,
	libs/video/renderer/gl/gl_sky_clip.c,
	libs/video/renderer/gl/noisetextures.c,
	libs/video/renderer/sw/d_fill.c, libs/video/renderer/sw/d_modech.c,
	libs/video/renderer/sw/draw.c, libs/video/renderer/sw/screen.c,
	libs/video/renderer/sw/sw_rdraw.c,
	libs/video/renderer/sw/sw_rmain.c,
	libs/video/renderer/sw/sw_rpart.c,
	libs/video/renderer/sw/sw_rsurf.c,
	libs/video/renderer/sw32/d_fill.c,
	libs/video/renderer/sw32/d_modech.c,
	libs/video/renderer/sw32/draw.c, libs/video/renderer/sw32/screen.c,
	libs/video/renderer/sw32/sw32_rdraw.c,
	libs/video/renderer/sw32/sw32_rmain.c,
	libs/video/renderer/sw32/sw32_rmisc.c,
	libs/video/renderer/sw32/sw32_rpart.c,
	libs/video/renderer/sw32/sw32_rsurf.c, libs/video/targets/fbset.c,
	libs/video/targets/fbset_modes_l.l, libs/video/targets/keys.c,
	libs/video/targets/vid_3dfxsvga.c, libs/video/targets/vid_fbdev.c,
	libs/video/targets/vid_glx.c, libs/video/targets/vid_sgl.c,
	nq/source/cl_tent.c, nq/source/host.c, nq/source/host_cmd.c,
	nq/source/sbar.c, nq/source/sdl_link.c, qw/source/cl_demo.c,
	qw/source/cl_ents.c, qw/source/cl_main.c, qw/source/cl_slist.c,
	qw/source/cl_tent.c, qw/source/sbar.c, qw/source/sdl_link.c,
	qw/source/sv_ccmds.c, qw/source/sv_main.c, qw/source/sv_user.c,
	qw/source/teamplay.c, tools/qfcc/include/options.h,
	tools/qfcc/source/def.c, tools/qfcc/source/emit.c,
	tools/qfcc/source/expr.c, tools/qfcc/source/qc-lex.l,
	tools/qfcc/source/qfcc.c, tools/qfmodelgen/source/cmdlib.c,
	tools/qfmodelgen/source/lbmlib.c,
	tools/qfmodelgen/source/scriplib.c,
	tools/qfmodelgen/source/trilib.c, tools/qfvis/source/qfvis.c,
	tools/wav/qfwavinfo.c:

	make qf gcc 3.3 clean
	
2003-04-16 19:41  taniwha

	* tools/qfcc/source/qc-lex.l:

	fixes for latest flex
	
2003-04-16 15:43  taniwha

	* qw/source/sv_sys_unix.c:

	allow the server to run when there's no input
	
2003-04-16 05:06  taniwha

	* libs/console/server.c, libs/util/sys.c, nq/source/host.c,
	nq/source/sys_unixd.c:

	get nq-server working properly
	
2003-04-16 04:07  taniwha

	* libs/util/sys.c, nq/source/host.c, nq/source/sys_unixd.c:

	fix nq-servers non-curses console input so it actually works
	
2003-04-16 01:27  taniwha

	* README.cygwin:

	strip the \r from the line endings
	
2003-04-15 23:55  despair

	* README.cygwin:

	Commit WildCode's lost readme.
	
2003-04-15 21:11  taniwha

	* libs/audio/renderer/snd_mem.c:

	report the name of the stream if reading is truncated
	
2003-04-15 19:40  taniwha

	* libs/util/cbuf.c:

	make sure the cbuf is usable when text gets added
	
2003-04-15 04:19  taniwha

	* libs/audio/renderer/snd_mix.c:

	horrible hack for `fixing' glitchy sound effects when a stream is shared by
	more than one object
	
2003-04-15 04:03  taniwha

	* include/snd_render.h, libs/audio/renderer/snd_mem.c:

	minor cleanups
	
2003-04-15 03:21  taniwha

	* libs/audio/renderer/: snd_dma.c, snd_mix.c:

	fix the -ve reads
	
2003-04-15 02:34  taniwha

	* include/alsa_funcs_list.h, libs/audio/snd.c,
	libs/audio/renderer/snd_dma.c, libs/audio/renderer/snd_mem.c,
	libs/audio/renderer/snd_mix.c, libs/audio/renderer/vorbis.c,
	libs/audio/renderer/wav.c, libs/audio/targets/snd_alsa_0_9.c:

	get the new sound system mostly working. just getting a bogus read count
	in the stream reader at the moment, otherwise it's working wonderfully :)
	
2003-04-14 16:28  taniwha

	* libs/audio/renderer/vorbis.c:

	duplicate the vorbis file info when creating a stream
	
2003-04-14 15:47  taniwha

	* include/snd_render.h, libs/audio/renderer/snd_dma.c,
	libs/audio/renderer/snd_mix.c, libs/audio/renderer/snd_mixa.S,
	libs/audio/renderer/vorbis.c, libs/audio/renderer/wav.c:

	streamed sounds /almost/ work. sound like crap but no crashes
	
2003-04-14 06:17  taniwha

	* include/Makefile.am:

	pre-emptive make dist fixes :)
	
2003-04-14 06:11  taniwha

	* include/snd_render.h, libs/audio/renderer/snd_mem.c,
	libs/audio/renderer/vorbis.c, libs/audio/renderer/wav.c:

	getting there with streams. just need to get the painters working, I think.
	(streaming currently disabled for anything < 30s :)
	
2003-04-14 01:40  taniwha

	* libs/audio/renderer/: snd_mem.c, vorbis.c, wav.c:

	set the buffer length as early as possible for cached sounds
	
2003-04-14 01:17  snax

	* include/gib_handle.h, include/gib_thread.h, include/QF/gib.h,
	libs/gib/Makefile.am, libs/gib/gib_builtin.c,
	libs/gib/gib_handle.c, libs/gib/gib_init.c, libs/gib/gib_thread.c:

	Added a generic interface for using handles in GIB and made GIB threads
	use it.
	
2003-04-13 22:07  snax

	* include/gib_buffer.h, include/gib_builtin.h,
	include/gib_execute.h, include/gib_function.h, include/gib_parse.h,
	include/gib_process.h, include/gib_regex.h,
	include/gib_semantics.h, include/gib_thread.h, include/gib_tree.h,
	include/gib_vars.h, include/QF/Makefile.am, include/QF/gib.h,
	include/QF/gib_buffer.h, include/QF/gib_builtin.h,
	include/QF/gib_execute.h, include/QF/gib_function.h,
	include/QF/gib_init.h, include/QF/gib_parse.h,
	include/QF/gib_process.h, include/QF/gib_regex.h,
	include/QF/gib_semantics.h, include/QF/gib_thread.h,
	include/QF/gib_tree.h, include/QF/gib_vars.h,
	libs/console/client.c, libs/gamecode/builtins/bi_gib.c,
	libs/gib/gib_buffer.c, libs/gib/gib_builtin.c,
	libs/gib/gib_execute.c, libs/gib/gib_function.c,
	libs/gib/gib_init.c, libs/gib/gib_parse.c, libs/gib/gib_process.c,
	libs/gib/gib_regex.c, libs/gib/gib_semantics.c,
	libs/gib/gib_thread.c, libs/gib/gib_tree.c, libs/gib/gib_vars.c,
	libs/video/targets/keys.c, nq/source/host.c, qw/include/sv_gib.h,
	qw/source/cl_main.c, qw/source/cl_parse.c, qw/source/sv_gib.c,
	qw/source/sv_main.c, qw/source/sv_user.c, qw/source/teamplay.c,
	tools/carne/main.c:

	Moved gib_*.h into include/ and moved the necessary declarations and struct
	definitions to QF/gib.h to interface with libQFgib.
	
2003-04-13 20:43  snax

	* include/QF/csqc.h, include/QF/gib_builtin.h, libs/console/menu.c,
	libs/gamecode/builtins/Makefile.am,
	libs/gamecode/builtins/bi_gib.c, libs/gamecode/builtins/bi_init.c,
	libs/gib/gib_builtin.c, ruamoko/cl_menu/client_menu.qc,
	ruamoko/include/Makefile.am, ruamoko/include/gib.h,
	ruamoko/lib/Makefile.am, ruamoko/lib/gib.r:

	Added the beginnings of an interface between Ruamoko and GIB.  Although the
	API is by no means finalized, it's now possible to write GIB builtins in
	Ruamoko that can take arguments and return values to GIB.
	
2003-04-13 20:31  snax

	* qw/: include/server.h, source/sv_ccmds.c, source/sv_gib.c:

	Added map::current and map::timeElapsed GIB builtins.
	
2003-04-13 06:46  taniwha

	* include/snd_render.h, libs/audio/renderer/snd_mem.c,
	libs/audio/renderer/vorbis.c:

	streams getting closer, not working yet, though
	
2003-04-13 05:58  taniwha

	* tools/gl_stub/: gls_norm.c, gls_trace.c:

	return a version for GL_VERSION
	
2003-04-13 05:48  snax

	* include/QF/dstring.h, libs/util/dstring.c:

	Added the useful dstring_freeze function to convert a dstring to a
	finalized, plain C string.
	
2003-04-12 00:03  taniwha

	* libs/audio/renderer/: snd_dma.c, snd_mem.c:

	fix looping
	
2003-04-11 23:52  taniwha

	* libs/audio/renderer/snd_mem.c:

	disable debug
	
2003-04-11 23:50  taniwha

	* libs/audio/renderer/vorbis.c:

	effectively disable streamed oggs for now
	
2003-04-11 23:30  taniwha

	* tools/Forge/Bundles/MapEdit/QuakeEd.gmodel:

	don't want to lose this
	
2003-04-11 21:14  taniwha

	* include/snd_render.h, include/QF/sound.h,
	libs/audio/renderer/snd_mem.c, libs/audio/renderer/vorbis.c,
	libs/audio/renderer/wav.c:

	getting closer. wav's successfully load, but playback is always looped (?).
	oggs hang
	
2003-04-11 18:59  taniwha

	* include/snd_render.h, libs/audio/renderer/snd_mem.c,
	libs/audio/renderer/vorbis.c, libs/audio/renderer/wav.c:

	cached wav files almost work (seems cached ogg are borked now :/)
	
2003-04-11 18:28  taniwha

	* libs/util/riff.c:

	temporary fix to handle wav files in a pak file
	
2003-04-11 14:38  taniwha

	* libs/audio/renderer/: snd_mem.c, vorbis.c:

	don't compile any vorbis code if it's unavailable
	
2003-04-11 05:58  snax

	* include/QF/gib_thread.h, libs/gib/gib_builtin.c,
	libs/gib/gib_thread.c, libs/util/cbuf.c:

	Optimized the way resetting buffer states occurs and fixed thread::kill so
	threads actually die as they are supposed to.
	
2003-04-11 04:39  taniwha

	* include/snd_render.h, libs/audio/renderer/wav.c:

	90% there for cache wav support. will likely segfault :)
	
2003-04-11 04:37  snax

	* include/QF/gib_semantics.h, libs/gib/gib_semantics.c:

	Oops, forgot these.
	
2003-04-11 02:58  taniwha

	* libs/audio/renderer/vorbis.c:

	cached oggs work
	
2003-04-11 02:57  snax

	* include/QF/Makefile.am, include/QF/gib_function.h,
	include/QF/gib_parse.h, include/QF/gib_tree.h,
	libs/gib/Makefile.am, libs/gib/gib_builtin.c,
	libs/gib/gib_execute.c, libs/gib/gib_function.c,
	libs/gib/gib_parse.c, libs/gib/gib_process.c,
	libs/gib/gib_thread.c, tools/carne/main.c:

	The ultimate GIB bugfix commit, including reworked semantic processing,
	a fix for arguments passed to a GIB function run via rcon, and various
	other fixes.
	
2003-04-11 02:36  snax

	* doc/: config/gib/infobot.gib, gib/GIB.lyx:

	New version of infobot.gib that supports factoid locking, and an
	insignificant change to the GIB docs.
	
2003-04-11 02:21  taniwha

	* libs/audio/renderer/snd_mem.c:

	fix the calling of a null pointer (oops:)
	
2003-04-11 01:17  taniwha

	* include/snd_render.h, include/QF/sound.h,
	libs/audio/renderer/Makefile.am, libs/audio/renderer/snd_dma.c,
	libs/audio/renderer/snd_mem.c, libs/audio/renderer/snd_mix.c,
	libs/audio/renderer/vorbis.c, libs/audio/renderer/wav.c:

	half way though the sfx loader re-write. nothing works :)
	
2003-04-10 22:52  taniwha

	* include/QF/riff.h, libs/util/riff.c, tools/wav/qfwavinfo.c:

	make riff.c portable
	
2003-04-10 22:03  taniwha

	* include/QF/riff.h, libs/util/riff.c, tools/wav/qfwavinfo.c:

	read fmt chunks properly
	
2003-04-10 21:45  taniwha

	* include/QF/riff.h, libs/util/riff.c, tools/wav/qfwavinfo.c:

	riff namespace cleanup (sorta, it's ugly:/)
	
2003-04-10 21:34  taniwha

	* libs/util/riff.c:

	don't actually read the main `data' chunks; only refer to them by location.
	allows support for huge wav files (eg, cdda.wav)
	
2003-04-10 21:33  taniwha

	* tools/wav/qfwavinfo.c:

	kill the debug info
	
2003-04-10 21:18  taniwha

	* libs/util/riff.c:

	but the third castle stood!
	
2003-04-10 21:11  taniwha

	* include/QF/quakeio.h, libs/util/quakeio.c:

	implement Qungetc and nuke Qgetpos and Qsetpos
	
2003-04-10 16:54  taniwha

	* libs/gamecode/builtins/: bi_hash.c, bi_plist.c:

	copyright date fixes
	
2003-04-10 16:53  taniwha

	* include/QF/Makefile.am:

	oops, forgot this
	
2003-04-10 16:52  taniwha

	* include/QF/riff.h, libs/util/Makefile.am, libs/util/riff.c,
	tools/wav/qfwavinfo.c:

	move the riff reading code into libQFutil
	
2003-04-10 16:11  taniwha

	* libs/util/quakeio.c:

	handle short files more robustly
	
2003-04-10 05:20  taniwha

	* tools/wav/qfwavinfo.c:

	work toward making the riff reader more generally useful by pluggin all the
	memory leaks. next step is to get it so the data chunk isn't actually read
	but rather its location and size stored.
	
2003-04-10 01:36  misty

	* qw/source/teamplay.c:

	Fixed a bug Drspliff pointed out that was causing people to be kicked from sensitive servers for 'faking console messages'.
	
	Tim McGrath
	
2003-04-09 16:38  taniwha

	* libs/video/targets/in_x11.c:

	add a \n to the grab failed message
	
2003-04-09 07:30  taniwha

	* libs/audio/renderer/wav.c:

	start of split-out wav loader. not done yet (probably doesn't compile) but
	easier to keep track of here :)
	
2003-04-09 05:55  taniwha

	* doc/.cvsignore, include/QF/quakefs.h,
	libs/audio/renderer/snd_mem.c, libs/util/quakefs.c,
	nq/source/locs.c, qw/source/locs.c, qw/source/sv_user.c:

	change _FOpenFile to take a dstring for foundname plugging a potential
	buffer overflow.
	
2003-04-08 22:23  taniwha

	* include/snd_render.h, libs/audio/renderer/snd_mix.c:

	start work on support for stereo samples
	
2003-04-08 19:20  taniwha

	* include/QF/in_event.h, libs/video/targets/in_event.c:

	revert the inappropriately complicated event code for the simpler version.
	even that's not likely to be final
	
2003-04-08 18:45  taniwha

	* include/QF/input.h, libs/video/targets/in_common.c,
	libs/video/targets/in_fbdev.c, libs/video/targets/in_sdl.c,
	libs/video/targets/in_svgalib.c, libs/video/targets/in_win.c,
	libs/video/targets/in_x11.c, nq/source/host.c, nq/source/sv_ded.c,
	qw/source/cl_main.c:

	merge IN_SendKeyEvents and IN_Commands into IN_ProcessEvents
	
2003-04-08 17:55  taniwha

	* include/QF/input.h, include/QF/vid.h, include/QF/plugin/input.h,
	libs/video/targets/in_common.c, libs/video/targets/vid.c,
	nq/source/cl_parse.c:

	kill VID_HandlePause and IN_HandlePause as they never did anything and
	IN_ModeChanged as it's a dead prototype
	
2003-04-08 17:47  taniwha

	* libs/video/targets/: vid_ext.c, vid_null.c:

	more unused files
	
2003-04-08 17:32  taniwha

	* libs/video/targets/in_null.c:

	don't need this
	
2003-04-08 05:33  taniwha

	* libs/gamecode/builtins/bi_hash.c:

	alpha compile fixes
	
2003-04-08 04:13  taniwha

	* include/QF/model.h, include/QF/modelgen.h, libs/models/model.c,
	libs/models/alias/gl_mesh.c, libs/video/renderer/gl/gl_mod_alias.c:

	WildCode's alias model VA prepatory patch
	
2003-04-08 04:01  taniwha

	* libs/gamecode/engine/pr_strings.c:

	plug another overflow
	
2003-04-08 02:56  taniwha

	* libs/util/qfplist.c:

	fix a buffer overflow (oops, not paying attention)
	
2003-04-08 02:35  taniwha

	* include/QF/csqc.h, libs/console/menu.c,
	libs/gamecode/builtins/Makefile.am,
	libs/gamecode/builtins/bi_init.c,
	libs/gamecode/builtins/bi_string.c, ruamoko/cl_menu/Makefile.am,
	ruamoko/cl_menu/client_menu.qc, ruamoko/cl_menu/controls_o.qc,
	ruamoko/cl_menu/options.qc, ruamoko/cl_menu/options_util.qc,
	ruamoko/cl_menu/string.h, ruamoko/cl_menu/string.r:

	nuke the string api (never really liked it)
	
2003-04-08 01:34  taniwha

	* ruamoko/cl_menu/controls_o.qc:

	use the correct array for getting the number of elements
	
2003-04-08 00:46  taniwha

	* ruamoko/cl_menu/controls_o.qc:

	fix a snafu
	
2003-04-07 22:34  taniwha

	* include/QF/csqc.h, libs/console/menu.c,
	libs/gamecode/builtins/Makefile.am,
	libs/gamecode/builtins/bi_init.c,
	libs/gamecode/builtins/bi_strhash.c, ruamoko/cl_menu/Makefile.am,
	ruamoko/cl_menu/controls_o.qc, ruamoko/cl_menu/stringh.h,
	ruamoko/cl_menu/stringh.r, ruamoko/include/Array.h,
	ruamoko/lib/Array.r:

	nuke the string hash api as it's been obsoleted
	
2003-04-07 22:24  taniwha

	* tools/qfcc/source/type.c:

	fix another struct type parsing bug
	
2003-04-07 21:57  taniwha

	* tools/qfcc/source/type.c:

	allow assignment from void pointer to any pointer type
	
2003-04-07 21:15  taniwha

	* ruamoko/include/: hash.h, plist.h:

	bah, still not used to qc needing @extern on functions :P
	
2003-04-07 20:15  taniwha

	* libs/gamecode/builtins/bi_plist.c:

	hmm, forgot a chunk :P
	
2003-04-07 20:02  taniwha

	* include/QF/csqc.h, libs/gamecode/builtins/Makefile.am,
	libs/gamecode/builtins/bi_init.c,
	libs/gamecode/builtins/bi_plist.c, ruamoko/include/Makefile.am,
	ruamoko/include/plist.h, ruamoko/lib/Makefile.am,
	ruamoko/lib/plist.r:

	plist api (hope it works:)
	
2003-04-07 19:29  taniwha

	* include/QF/qfplist.h, libs/util/qfplist.c:

	make plist arrays unlimited in size
	
2003-04-07 18:30  taniwha

	* tools/qfcc/source/expr.c:

	plug a memory leak
	
2003-04-07 18:17  taniwha

	* tools/qfcc/source/type.c:

	fix some type parsing errors for structs and arrays
	
2003-04-07 17:44  taniwha

	* tools/qfcc/source/expr.c:

	implement nested (and struct) block initializers
	
2003-04-07 16:38  taniwha

	* include/QF/csqc.h, libs/gamecode/builtins/Makefile.am,
	libs/gamecode/builtins/bi_hash.c, libs/gamecode/builtins/bi_init.c,
	ruamoko/include/hash.h, ruamoko/lib/Makefile.am,
	ruamoko/lib/hash.r:

	add hash table api
	
2003-04-06 01:04  taniwha

	* libs/gamecode/builtins/bi_qfile.c:

	fix a segfault causing typo :P
	
2003-04-05 07:59  taniwha

	* libs/video/renderer/gl/gl_sky.c:

	beat the skydome bugs to a pulp. no more seam (and probably a bunch faster
	on slow cards)
	
2003-04-04 21:48  taniwha

	* tools/qfbsp/source/surfaces.c:

	don't subdivide hint or skip brushes
	
2003-04-04 07:00  taniwha

	* libs/video/renderer/gl/gl_sky.c:

	make the texture coords in skyvec always 1/2 pixel in from the edge
	
2003-04-03 23:09  taniwha

	* libs/video/renderer/gl/gl_mod_alias.c:

	speed up 16 bit vertex lerping by getting GL to do the 1/256 scaling for us
	
2003-03-31 16:30  taniwha

	* tools/zpak:

	portability fixes from freebsd (MrFixit? q@uni.de)
	
2003-03-26 18:45  taniwha

	* libs/gamecode/engine/pr_edict.c:

	support printing a couple more types (especially for edicts)
	
2003-03-25 17:49  taniwha

	* nq/source/sv_main.c, qw/source/sv_init.c:

	ent file support
	
2003-03-25 17:47  taniwha

	* tools/qfcc/source/expr.c:

	don't warn for ! precedence
	
2003-03-25 17:40  taniwha

	* libs/gamecode/engine/pr_parse.c:

	correct a comment and ws
	
2003-03-25 17:18  taniwha

	* tools/qfcc/source/expr.c:

	catch ! == bogosity
	
2003-03-25 16:34  taniwha

	* tools/qfbsp/source/brush.c:

	don't seg on hint and skip brushs. hint and clip brushes are now known to
	work (what is a skip brush?)
	
2003-03-25 07:25  despair

	* libs/video/renderer/gl/gl_rsurf.c:

	Minor bit of neatening, remove CHAIN_SURF alias, so it's clearer what is being used where.
	
2003-03-24 20:21  despair

	* libs/video/: renderer/r_cvar.c, renderer/gl/gl_draw.c,
	targets/vid_common_gl.c:

	Prevent bad gl_max_size settings from causing buggy drivers to freak out.
	
2003-03-24 17:40  taniwha

	* tools/qfcc/source/cpp.c:

	don't create temp files when only preprocessing
	
2003-03-22 04:33  taniwha

	* tools/qfvis/source/soundphs.c:

	don't seg if there's no texture data
	
2003-03-21 22:18  taniwha

	* libs/util/tga.c:

	don't assuming 32 bpp in setup_pixrow_span
	
2003-03-21 22:08  despair

	* include/QF/texture.h, libs/util/tga.c:

	Don't need LA for greyscale textures, switch to luminance-only.
	
2003-03-21 21:28  despair

	* include/QF/GL/qf_rmain.h, libs/video/renderer/gl/gl_rmain.c:

	Test for gl errors every frame.
	
2003-03-21 21:26  despair

	* nq/source/: cl_main.c, cl_parse.c, cl_tent.c, cl_view.c,
	host_cmd.c, locs.c, mplpc.c, pr_cmds.c:

	More cleaning up after slobs.
	
2003-03-21 21:25  despair

	* qw/source/: cl_cam.c, cl_demo.c, cl_ents.c, cl_main.c,
	cl_parse.c, cl_pred.c, cl_skin.c, cl_slist.c, cl_tent.c, cl_view.c,
	crudefile.c, locs.c, master.c, net_packetlog.c, sbar.c, sv_ccmds.c,
	sv_demo.c, sv_ents.c, sv_gib.c, sv_init.c, sv_main.c, sv_pr_cmds.c,
	sv_send.c, sv_sys_unix.c, sv_user.c, teamplay.c:

	Code style, people. Love it or leave it!
	
2003-03-21 16:18  taniwha

	* libs/util/tga.c:

	correct the scaling of the 5 bit color map types
	
2003-03-21 06:08  taniwha

	* libs/util/tga.c:

	oops, missed a case
	
2003-03-21 06:08  taniwha

	* libs/util/tga.c:

	skip over any present colormap for non-colormap types
	
2003-03-21 05:03  taniwha

	* libs/util/tga.c:

	we now theoreticly support greyscale tga files too :)
	
2003-03-21 04:23  taniwha

	* libs/util/tga.c:

	seriously clean up LoadTGA by using a decoder table and implement colormap
	support (8 bpp only)
	
2003-03-21 00:52  despair

	* qw/source/pmove.c:

	Small optimization.
	
2003-03-21 00:51  despair

	* libs/util/mathlib.c:

	Whitespace.
	
2003-03-20 23:30  taniwha

	* include/QF/texture.h:

	add a luminance/alpha tex def
	
2003-03-20 23:11  taniwha

	* libs/util/tga.c:

	call the correct read functions for 32 bit rle expansion
	
2003-03-20 23:02  taniwha

	* libs/util/tga.c:

	cleanup unused vars
	
2003-03-20 22:54  taniwha

	* libs/util/tga.c:

	support RLE tga files for all 4 directions
	
2003-03-20 21:25  taniwha

	* libs/util/tga.c:

	however, don't need read_rgb and read_rgba
	
2003-03-20 21:24  taniwha

	* libs/util/tga.c:

	darn, broke the reverse direction and fixing it produces horrid code
	
2003-03-20 21:08  taniwha

	* libs/util/tga.c:

	merge the forward and reverse blitters/readers using a direction flag which
	gets optimized out
	
2003-03-20 21:08  taniwha

	* libs/util/pcx.c:

	allocate space for the texture correctly
	
2003-03-20 19:58  despair

	* include/r_dynamic.h, include/r_local.h, include/varrays.h,
	include/QF/render.h, include/QF/GL/qf_lightmap.h,
	libs/models/alias/gl_model_alias.c,
	libs/video/renderer/gl/gl_lightmap.c,
	libs/video/renderer/gl/gl_mod_sprite.c,
	libs/video/renderer/gl/gl_rmain.c,
	libs/video/renderer/gl/gl_rmisc.c,
	libs/video/renderer/gl/gl_rsurf.c,
	libs/video/targets/vid_common_gl.c:

	Make sprite rendering use vertex arrays, as a test for detection of vertex array support (tests only for OpenGL 1.1 or better, at the moment, no driver blacklist yet).
	
2003-03-19 07:03  taniwha

	* include/winquake.h:

	give up on ancient mingw
	
2003-03-18 19:49  taniwha

	* tools/Forge/Bundles/MapEdit/.cvsignore:

	this might come in handy
	
2003-03-18 19:48  taniwha

	* tools/Forge/Bundles/MapEdit/: Brush.h, CameraView.h,
	CameraView.m, Clipper.h, Clipper.m, Dict.h, Dict.m, DictList.h,
	DictList.m, Entity.h, Entity.m, EntityClass.h, EntityClass.m,
	GNUmakefile, GNUmakefile.preamble, InspectorControl.h,
	InspectorControl.m, KeypairView.h, KeypairView.m, Map.h, Map.m,
	PopScrollView.h, PopScrollView.m, Preferences.h, Preferences.m,
	Project.h, Project.m, QuakeEd.h, QuakeEd.m, QuakeEd_main.m,
	SetBrush.h, SetBrush.m, TexturePalette.h, TexturePalette.m,
	TextureView.h, TextureView.m, Things.h, Things.m, UserPath.h,
	UserPath.m, XYView.h, XYView.m, ZScrollView.h, ZScrollView.m,
	ZView.h, ZView.m, cmdlib.c, cmdlib.h, help.txt, jrbase1.map,
	mathlib.c, mathlib.h, misc.m, qedefs.h, quake.qpr, readme.txt,
	render.h, render.m:

	my WIP on porting QuakeEd to GNUstep/QuakeForge
	
2003-03-18 19:15  taniwha

	* include/QF/qfplist.h, libs/util/qfplist.c:

	expand the plist api to make plist creation easier
	
2003-03-17 19:54  taniwha

	* tools/misc/: mdl.py, mdlconv.py:

	can now convert v3 models to v6
	
2003-03-17 18:41  taniwha

	* tools/misc/mdl.py:

	finally have v3 mdl figured out
	
2003-03-17 05:52  taniwha

	* qw/source/cl_demo.c:

	more packet log spam
	
2003-03-17 05:39  taniwha

	* libs/video/targets/context_x11.c:

	use the window size for the fullscreen view
	
2003-03-17 05:17  taniwha

	* libs/video/targets/: vid.c, vid_3dfxsvga.c, vid_glx.c, vid_sgl.c:

	support vid_conwidth cvar (for -conwidth). while present in all targets, it
	will only work in gl
	
2003-03-17 04:39  taniwha

	* qw/source/sv_main.c:

	don't spam packet logs accidently :)
	
2003-03-17 04:36  taniwha

	* tools/qfbsp/source/outside.c:

	fix a double fclose
	
2003-03-17 00:52  taniwha

	* tools/qfvis/source/qfvis.c:

	fix an out-by-one error
	
2003-03-16 03:17  taniwha

	* include/netchan.h, qw/source/cl_demo.c, qw/source/cl_main.c,
	qw/source/net_packetlog.c, qw/source/sv_main.c,
	qw/source/sv_send.c:

	get packet logging working with mvds
	
2003-03-14 01:00  taniwha

	* tools/misc/mdl.py:

	no flags for mdl v3, but yes to skin type
	
2003-03-14 00:43  taniwha

	* tools/misc/mdl.py:

	attempting to reverse engineer mdl ver 3
	
2003-03-13 19:16  taniwha

	* tools/qfcc/source/class.c:

	make certain classes get referenced when inheriting from them
	
2003-03-13 18:45  taniwha

	* libs/gamecode/engine/: pr_load.c, pr_obj.c:

	pr_load.c:
		PR_RelocateBuiltins must be called before PR_InitRuntime
	pr_obj.c:
		don't segfault on broken classes
	
2003-03-13 16:33  taniwha

	* qw/source/sv_user.c:

	don't bother lowercasing download filenames now that they're forced
	lowercase during the precache stage
	
2003-03-13 16:29  taniwha

	* qw/source/sv_pr_cmds.c:

	force model and sound names coming in from the progs to be lowercase
	
2003-03-13 05:43  taniwha

	* libs/util/quakefs.c:

	need a specific entry for "qw:qw" since servers set the gamedir to "qw"
	explicitly
	
2003-03-13 05:41  taniwha

	* libs/util/sys.c:

	ensure the path passed to Sys_DebugLog is expanded
	
2003-03-13 03:18  taniwha

	* tools/qfcc/source/linker.c:

	the correct fix for overzealous linking: preemptively turf unused externs
	
2003-03-13 01:50  taniwha

	* tools/qfcc/source/linker.c:

	don't pull in a lib object file due to an /unused/ undefined def.
	
2003-03-13 01:21  taniwha

	* doc/Makefile.am:

	include qfadmin in the dist tarball
	
2003-03-12 22:38  taniwha

	* libs/gamecode/engine/pr_debug.c:

	d'oh
	
2003-03-12 22:31  taniwha

	* include/QF/progs.h, libs/gamecode/engine/pr_debug.c,
	libs/gamecode/engine/pr_load.c:

	make pr_source_path a ; separated list of dirs and make it controllable in
	qfprogs
	
2003-03-12 21:58  taniwha

	* tools/qfcc/source/expr.c:

	make vector.x work in classes work and don't give an uninitialized warning
	for vec.x = 0;
	
2003-03-12 16:34  taniwha

	* qw/source/sv_demo.c:

	white space
	
2003-03-12 02:22  taniwha

	* tools/misc/mdl.py:

	make the output a little more readable
	
2003-03-12 02:21  taniwha

	* libs/models/alias/gl_mesh.c:

	whitespace
	
2003-03-11 06:31  taniwha

	* include/winquake.h, libs/audio/targets/snd_dx.c:

	WildCode's dx cleanups
	
2003-03-11 05:58  taniwha

	* qw/source/cl_parse.c:

	call QFS_Gamedir only if the gamedir actually changes
	
2003-03-11 02:55  taniwha

	* tools/misc/mdl.py:

	use the command line for the file name rather than hardcoding it
	
2003-03-10 23:42  taniwha

	* configure.ac, doc/.cvsignore, doc/Makefile.am,
	doc/quakeforge.dox.in:

	preliminary doxygen support
	
2003-03-10 21:28  taniwha

	* libs/audio/renderer/snd_dma.c:

	more error checking ala WildCode
	
2003-03-10 21:26  taniwha

	* tools/qfcc/doc/.cvsignore:

	ignore dvi files
	
2003-03-10 21:23  taniwha

	* tools/qfcc/source/: emit.c, expr.c, qc-parse.y:

	allow casting between function types
	
2003-03-10 21:21  taniwha

	* configure.ac, libs/audio/targets/Makefile.am,
	libs/audio/targets/snd_dx.c, libs/audio/targets/snd_win.c:

	WildCode's win32 sound fixes
	
2003-03-10 21:00  taniwha

	* tools/qfcc/source/cpp.c:

	add WildCode's error checking for win32 cpp handling
	
2003-03-10 20:44  taniwha

	* libs/util/mathlib.c:

	add some comments about the coordinate systems used in AngleVectors
	
2003-03-10 16:49  taniwha

	* qw/source/sv_pr_cmds.c:

	`document' the new client functions
	
2003-03-10 16:39  taniwha

	* qw/: include/server.h, source/sv_pr_cmds.c, source/sv_user.c:

	provide SV_UserCmd builtin so progs can emulate a client but use the
	engine's physics code
	
2003-03-08 07:17  taniwha

	* libs/video/renderer/sw/: fpu.c, fpua.S:

	alpha compile fixes (unused functions)
	
2003-03-07 22:30  taniwha

	* include/context_x11.h, libs/video/targets/context_x11.c,
	libs/video/targets/in_x11.c:

	hopefully better input grabbing state tracking
	
2003-03-07 03:55  taniwha

	* include/QF/input.h, libs/video/targets/in_common.c,
	libs/video/targets/in_fbdev.c, libs/video/targets/in_sdl.c,
	libs/video/targets/in_svgalib.c, libs/video/targets/in_win.c,
	libs/video/targets/in_x11.c:

	hopefully fix the input grabbing (and evem more hopefully, without driving
	Despair to ... um... ;)
	
2003-03-06 19:06  taniwha

	* qw/source/sv_main.c:

	don't count server clients as clients
	
2003-03-05 18:19  taniwha

	* qw/source/sv_pr_cmds.c:

	actually free the client when SV_FreeClient is called (oops:)
	
2003-03-05 18:18  taniwha

	* libs/gamecode/engine/pr_edict.c:

	the first fielddef isn't always null (esp with qfcc), so check to see if it
	needs printing too
	
2003-03-05 03:56  taniwha

	* qw/: include/server.h, source/sv_main.c, source/sv_pr_cmds.c,
	source/sv_send.c, source/sv_user.c:

	bot player stats seem to be working working
	
2003-03-04 21:13  taniwha

	* tools/qfcc/source/expr.c:

	disable some debug
	
2003-03-04 17:38  taniwha

	* qw/source/sv_init.c:

	for now don't allow bots to survive map changes
	
2003-03-04 17:28  taniwha

	* qw/source/sv_pr_cmds.c:

	add SV_SetUserinfo builtin
	
2003-03-04 17:03  taniwha

	* tools/qfcc/source/qc-lex.l:

	fix a bug with \\ handling just before the end of a string constant
	
2003-03-04 16:00  taniwha

	* qw/source/: sv_main.c, sv_pr_cmds.c:

	fix userid setup
	
2003-03-04 07:44  taniwha

	* qw/source/sv_pr_cmds.c:

	fix the status seg
	
2003-03-04 07:36  taniwha

	* qw/source/sv_pr_cmds.c:

	hmm, that segs :), but then, so does doing "status" while bots are going
	
2003-03-04 04:10  taniwha

	* qw/source/sv_pr_cmds.c:

	boundscheck the client entity
	
2003-03-04 04:03  taniwha

	* qw/source/sv_pr_cmds.c:

	disable the disconnect events for bots as I'm not yet sure how I'm going to
	do things
	
2003-03-04 03:35  taniwha

	* qw/: include/server.h, source/sv_main.c, source/sv_pr_cmds.c:

	implement SV_AllocClient and SV_FreeClient builtins
	
2003-03-04 03:23  snax

	* qw/: include/sv_gib.h, source/sv_gib.c, source/sv_init.c:

	Added the "map" GIB event to qw-server.
	
2003-03-04 01:36  taniwha

	* qw/source/sv_main.c:

	break out the client slot allocation code into a separate function
	
2003-03-03 21:46  taniwha

	* qw/source/: sv_ents.c, sv_pr_cmds.c:

	oops, didn't notice the lack of {}s
	
2003-03-03 21:41  taniwha

	* qw/source/sv_pr_cmds.c:

	slight optimisation
	
2003-03-03 21:10  taniwha

	* tools/qfcc/source/immediate.c:

	remove some debug code :P
	
2003-03-03 21:09  taniwha

	* tools/qfcc/source/immediate.c:

	fix a nasty bug where immediates would get aliased. (eg, 2 and 1073741824).
	
2003-03-03 19:32  despair

	* libs/video/targets/context_sdl.c:

	Another little FIXME. (Cleanup I'll do soon, hopefully)
	
2003-03-03 19:20  despair

	* libs/video/renderer/r_screen.c, qw/source/cl_parse.c,
	qw/source/cl_screen.c:

	Whitespace, and a workaround for show_* misplacement.
	
2003-03-03 18:30  taniwha

	* qw/source/sv_main.c:

	move the maxclients and maxspectators range checks into callbacks
	
2003-03-03 17:52  taniwha

	* libs/util/cvar.c:

	use %g instead of %f and the 0s hack
	
2003-03-03 17:08  taniwha

	* qw/: include/server.h, source/sv_ccmds.c, source/sv_gib.c,
	source/sv_main.c, source/sv_send.c, source/sv_user.c:

	first step in creating an interface for the snagging of client slots by
	the progs
	
2003-03-03 16:13  taniwha

	* ruamoko/include/message.h:

	prototype the new Write functions
	
2003-03-03 05:34  despair

	* ruamoko/lib/message.r:

	Rest of the Write* update.
	
2003-03-03 05:28  despair

	* ruamoko/game/: Axe.r, tempent.r:

	Use Write*V and WriteBytes, instead of antique bloated functions. ;)
	
2003-03-03 05:24  despair

	* ruamoko/cl_menu/: client_menu.qc, console.qc, controls_o.qc,
	menu.h, options.qc, options_util.qc, servlist.qc:

	*shakes an angry shambler at ugly codingstyle*
	
2003-03-02 05:11  snax

	* libs/gib/gib_vars.c:

	Fixed two bugs in complex variable substitution.
	
2003-03-02 03:25  taniwha

	* qw/: include/sv_pr_cmds.h, source/sv_pr_cmds.c:

	implement WriteBytes for qc
	
2003-03-01 07:24  snax

	* doc/config/gib/infobot.gib, libs/gib/gib_vars.c:

	Fixed a bug on out-of-bounds array access attempts and enhanced the now-
	functioning infobot.gib.
	
2003-03-01 02:44  snax

	* libs/gib/gib_buffer.c, include/QF/gib_buffer.h,
	libs/gib/gib_builtin.c:

	Oops, make 'return' GIB builtin actually end the current function.
	
2003-02-28 23:36  taniwha

	* tools/qfcc/source/qc-parse.y:

	make TYPE (void) NAME valid (no args)
	
2003-02-28 16:22  taniwha

	* libs/audio/renderer/: snd_dma.c, snd_mix.c:

	this bit shouldn't know about windows
	
2003-02-28 06:51  snax

	* qw/source/sv_gib.c:

	Added client::print, client::printChat, client::printAll, and
	client::printAllChat GIB builtins.
	
2003-02-28 05:53  taniwha

	* qw/source/sv_progs.c:

	"main" in progs is never called
	
2003-02-28 05:35  taniwha

	* include/QF/csqc.h, libs/console/menu.c,
	libs/gamecode/builtins/Makefile.am,
	libs/gamecode/builtins/bi_file.c, libs/gamecode/builtins/bi_init.c,
	libs/gamecode/builtins/bi_qfile.c, libs/gamecode/builtins/bi_qfs.c:

	make the more relevant parts of qfs available to progs. bi_file.c will
	eventually be moving into bi_qfs.c
	
2003-02-28 05:28  taniwha

	* libs/console/client.c:

	make the menu load when the gamedir hasn't been set
	
2003-02-28 05:18  taniwha

	* tools/qfcc/source/switch.c:

	d'oh, forgot about "default"
	
2003-02-28 05:09  snax

	* qw/: include/Makefile.am, include/sv_gib.h, source/sv_gib.c,
	source/sv_main.c, source/sv_user.c:

	Added client.connect, client.spawn, and client.disconnect GIB events.
	
2003-02-28 05:07  snax

	* libs/gib/: gib_execute.c, gib_parse.c:

	Fix a bug with embedded commands and make the parser more anal about what
	can be embedded.
	
2003-02-28 04:59  taniwha

	* qw/: include/server.h, include/sv_pr_cmds.h, source/sv_nchan.c,
	source/sv_pr_cmds.c:

	give qc access to WriteCoordV and WriteAngleV
	
2003-02-28 04:54  taniwha

	* tools/qfcc/: include/expr.h, source/expr.c, source/qc-parse.y,
	source/switch.c:

	allow initialized globals (since they're constant) to be used in most places
	constants are required (switch, initializing globals, enums)
	
2003-02-28 04:03  snax

	* libs/gib/gib_execute.c:

	Fixed a bug with parse trees being freed early.
	
2003-02-26 07:44  snax

	* libs/gib/gib_execute.c, libs/gib/gib_parse.c,
	libs/gib/gib_process.c, libs/util/cbuf.c, tools/carne/main.c:

	Massive bug and memory leak fixing.
	
2003-02-26 05:01  taniwha

	* tools/qfcc/include/qfcc.h:

	fix a decl mismatch
	
2003-02-26 02:51  snax

	* libs/gib/gib_parse.c:

	Fix a braino that most likely broke concatenation.
	
2003-02-26 02:28  snax

	* doc/config/gib/qfadmin.gib:

	Add DrSpliff's qfadmin GIB script to CVS.
	
2003-02-26 02:18  snax

	* doc/gib/GIB.lyx:

	Added a line to the latex preamble to use postscript fonts on PS/PDF
	ouput.  This makes the PDF version much more readable, especially in
	acrobat.
	
2003-02-25 20:54  taniwha

	* tools/Forge/Bundles/MainPrefs/MainPrefs.m:

	need AppKit/NSImage.h now
	
2003-02-25 18:13  taniwha

	* libs/util/quakefs.c:

	don't need that FIXME
	
2003-02-25 17:19  taniwha

	* libs/video/targets/: context_x11.c, in_x11.c:

	Initialize p_mouse_x and p_mouse_y from the EnterNotify event so that the
	first mouse move of the game doesn't screw up your view. Also does resonable
	behaviour when entering and leaving the window.
	
2003-02-25 08:35  despair

	* libs/gib/gib_parse.c:

	Warning fix (c might be used before initialization).
	Too tired to check if there's an actual bug there. Goodnight...
	
2003-02-25 08:04  snax

	* doc/config/gib/infobot.gib, libs/gib/gib_execute.c,
	libs/gib/gib_parse.c:

	Made the parser anal about concatenation usage and fixed several bugs by
	running /dev/urandom through carne to catch problems.
	
2003-02-25 07:48  taniwha

	* tools/qfcc/source/qc-parse.y:

	make syntax errors a little easier to understand
	
2003-02-25 06:52  snax

	* include/QF/gib_parse.h, include/QF/gib_tree.h,
	libs/gib/gib_buffer.c, libs/gib/gib_builtin.c,
	libs/gib/gib_execute.c, libs/gib/gib_parse.c,
	libs/gib/gib_process.c, libs/gib/gib_tree.c, libs/util/cbuf.c:

	Cleaned up the GIB parser and GIB_Execute() a lot.  Made aliases work in
	GIB.  Added some breakpoint GIB builtins for debugging script/intepreter
	interactions.  Made carne work properly again (local variables don't
	disappear in interactive mode)
	
2003-02-25 06:04  despair

	* libs/video/targets/: context_sdl.c, context_x11.c, in_common.c:

	Move a test inside function, rather than repeated all over the place.
	
2003-02-25 05:45  despair

	* libs/video/renderer/gl/gl_textures.c:

	Updated for OpenGL 1.4, plus whitespace.
	
2003-02-25 03:56  despair

	* qw/source/cl_parse.c:

	Whitespace. Grr!
	
2003-02-24 21:51  taniwha

	* tools/qfcc/: include/qfcc.h, source/options.c, source/qfcc.c:

	convert \ to / in paths in windows
	
2003-02-24 20:10  taniwha

	* tools/qfcc/source/linker.c:

	produce a warning if both @self and self are used in the same progs
	
2003-02-24 19:13  taniwha

	* tools/qfcc/source/def.c:

	don't initialize external defs. this broke source line/file tracking for
	@extern defs in headers.
	
2003-02-24 16:01  taniwha

	* libs/gamecode/engine/pr_debug.c:

	better source line tracking
	
2003-02-24 15:33  taniwha

	* tools/qfcc/source/: immediate.c, linker.c:

	don't relocate a null function constant
	
2003-02-24 03:34  taniwha

	* libs/gamecode/engine/pr_debug.c:

	better line search algorithm (not perfect yet, though)
	
2003-02-24 03:07  taniwha

	* libs/gamecode/engine/pr_edict.c:

	make sure the string is valid before attempting to print it
	
2003-02-23 23:43  taniwha

	* tools/qfcc/: include/options.h, source/obj_file.c,
	source/options.c, source/qfodump.c:

	speed up qfo writing by about 12.5:1 (for large object files, anyway) by
	making compression optional (compressed qfo files will still be handled
	transparently)
	
2003-02-23 22:53  snax

	* libs/gib/ops.c:

	Use floor() or ceil() based on sign for 'trunc' GIB math function.
	
2003-02-23 22:53  despair

	* include/QF/qendian.h:

	Replace removed bigendian declaration.
	
2003-02-23 22:14  snax

	* libs/gib/exp.c, libs/gib/gib_builtin.c, libs/gib/ops.c,
	include/ops.h:

	Removed the 'random' GIB builtin and replaced it with the rand() math
	function in the math evaluator.  Added the trunc() math function as well.
	
2003-02-23 21:14  snax

	* libs/gib/gib_execute.c:

	Use atof when checking truth values.
	
2003-02-23 20:21  despair

	* libs/video/targets/vid_sgl.c:

	More video mode selection robustness improvements.
	
2003-02-23 17:39  despair

	* libs/util/tga.c:

	Fix handling of all non-RLE-compressed tga formats we supposedly support. Now
	we work even if the first pixel isn't in lower left. ;)
	Handling the RLE-compressed oddball cases would require a lot more code
	duplication, will brute force that later if nobody beats me to it with a clean
	solution.
	
2003-02-23 05:10  snax

	* doc/gib/GIB.lyx:

	Might as well spell check what I have so far...
	
2003-02-23 05:08  snax

	* doc/gib/: GIB.lyx, break.gib, continue.gib, examples.sh, for.gib:

	Finished up the section on flow control and outlined the section on
	functions.  Added example script output to figures.
	
2003-02-23 03:20  snax

	* doc/gib/: GIB.lyx, if-chain.gib, if-else.gib, if-simple.gib,
	while.gib:

	Added more to the GIB docs.
	
2003-02-22 23:23  taniwha

	* include/QF/qendian.h, libs/util/qendian.c:

	make LittleLong and co defines rather than function pointers
	
2003-02-22 22:38  taniwha

	* tools/qfcc/source/qc-parse.y:

	give the hash functions more unique names
	
2003-02-22 07:19  snax

	* doc/gib/GIB.lyx, libs/gib/gib_builtin.c:

	Fixed a bug in the 'contains' GIB builtin and added more to the GIB docs.
	
2003-02-21 23:48  snax

	* doc/gib/GIB.lyx:

	Wrote some more of the GIB docs.  Writing this stuff is brutal.
	
2003-02-21 22:31  taniwha

	* tools/qfcc/source/linker.c:

	don't store pointers to defs in the hash table as the defs can move around
	due to realloc. can now link large progs
	
2003-02-21 22:30  taniwha

	* tools/qfcc/source/options.c:

	remove some incorrect comments
	
2003-02-21 21:33  snax

	* doc/gib/: GIB.lyx, curly.gib, gib_head.eps:

	Added the beginnings of GIB documentation.
	
2003-02-21 15:09  taniwha

	* libs/gamecode/engine/: pr_debug.c, pr_edict.c:

	minor debugging tweaks
	
2003-02-21 02:37  taniwha

	* include/QF/hash.h:

	improve Hash_Free's docs
	
2003-02-20 20:33  taniwha

	* libs/gamecode/builtins/bi_cmd.c:

	zap the Cmd_Return stuff as that's dead and burried
	
2003-02-19 21:41  taniwha

	* libs/models/brush/gl_model_brush.c:

	fix a couple of gcc 2.95 warnings
	
2003-02-19 17:41  despair

	* libs/models/brush/gl_model_brush.c:

	QuakeForge now supports map specific textures in `textures/mapname/`.
	
2003-02-19 17:39  taniwha

	* include/QF/info.h, libs/util/info.c, qw/source/cl_main.c,
	qw/source/cl_parse.c, qw/source/cl_slist.c, qw/source/sv_main.c:

	fix a snafu in SVC_DirectConnect related to info strings, make
	Info_ParseString take (and pass on to Info_SetValueForStarKey) a flags arg
	and simplify the flags handing in Info_SetValueForStarKey.
	
2003-02-19 06:26  taniwha

	* libs/gamecode/engine/pr_debug.c:

	try to give line numbers in the traceback
	
2003-02-18 20:09  taniwha

	* bootstrap:

	hopefully silence some versions of which
	
2003-02-18 20:08  deek

	* tools/qfcc/doc/: hello.r, hello2.r, qfcc-output.txt, qfcc.lyx,
	radians.r:

	Updates to the Ruamoko manual, still very much in progress.
	
2003-02-18 17:25  taniwha

	* doc/Makefile.am:

	add the gib scripts to the distribution tarball
	
2003-02-17 20:33  snax

	* libs/gib/exp.c:

	Remove some stupid hacks so that negation works again.
	
2003-02-17 08:55  snax

	* libs/gib/gib_parse.c:

	Make %var expansion actually work.
	
2003-02-16 22:43  snax

	* libs/util/quakefs.c:

	Made QFS_NextFilename use Qexpand_squiggle on fs_userpath so screenshots
	are saved to sequential filenames correctly.  This might be temporary if
	taniwha has a better way of handling squiggle expansion in QFS in mind.
	
2003-02-16 21:27  snax

	* doc/config/gib/infobot.gib, doc/config/gib/sshot.gib,
	libs/gib/gib_builtin.c:

	Temporarily fixed GIB filesystem access until I can work out a system that
	better meshes with the new QFS.  Fixed up some GIB scripts a bit.
	
2003-02-16 20:16  snax

	* qw/source/sv_gib.c:

	Oops, forget this.
	
2003-02-16 19:54  snax

	* doc/config/gib/infobot.gib:

	Added an extensible server-side infobot written in GIB.
	
2003-02-16 19:46  snax

	* include/ops.h, include/QF/gib_builtin.h, include/QF/gib_tree.h,
	libs/gib/exp.c, libs/gib/gib_builtin.c, libs/gib/gib_execute.c,
	libs/gib/gib_function.c, libs/gib/gib_parse.c, libs/gib/gib_vars.c,
	libs/gib/ops.c, qw/include/server.h, qw/source/Makefile.am,
	qw/source/sv_main.c, qw/source/sv_user.c:

	GIB:  Many bugfixes and cleanups.  Added bitwise math operations, expansion
	of leaf names in a stem variable via %var, the builtin functions 'count'
	and 'contains', and an initial interface between qw-server and GIB to allow
	querying of clients and their info strings.  Also cleaned up the chat event
	interface a bit.  Renamed a few builtins.
	
2003-02-16 02:44  snax

	* include/QF/gib_thread.h, include/QF/gib_vars.h,
	libs/gib/gib_buffer.c, libs/gib/gib_builtin.c,
	libs/gib/gib_execute.c, libs/gib/gib_function.c,
	libs/gib/gib_process.c, libs/gib/gib_thread.c, libs/gib/gib_vars.c:

	More cleanups and bug fixes.  Added stem-and-leaf variables back in and
	added the global::delete builtin.
	
2003-02-15 21:26  snax

	* qw/source/cl_parse.c:

	Fixed use of a dstring without allocating one.
	
2003-02-15 02:27  snax

	* libs/gib/gib_buffer.c:

	Tidied up some Sys_Printf()s that indent mangled.
	
2003-02-15 00:05  taniwha

	* qw/source/cl_parse.c:

	first stab at configurable downloads
	
2003-02-14 22:42  taniwha

	* libs/gib/: exp.c, gib_buffer.c, gib_builtin.c, gib_execute.c,
	gib_function.c, gib_init.c, gib_parse.c, gib_process.c,
	gib_regex.c, gib_thread.c, gib_tree.c, gib_vars.c, ops.c:

	run gib through indent
	
2003-02-14 22:36  taniwha

	* include/QF/quakefs.h, libs/console/client.c,
	libs/gamecode/builtins/bi_file.c, libs/gib/gib_builtin.c,
	libs/models/alias/gl_mesh.c, libs/util/quakefs.c,
	libs/video/targets/vid_common_gl.c, nq/source/cl_demo.c,
	nq/source/host.c, nq/source/host_cmd.c, qw/source/cl_demo.c,
	qw/source/cl_main.c, qw/source/cl_parse.c, qw/source/crudefile.c,
	qw/source/game.c, qw/source/sv_ccmds.c, qw/source/sv_demo.c,
	qw/source/sv_main.c, qw/source/teamplay.c:

	work towards a more secure qfs
	
2003-02-14 20:36  taniwha

	* libs/gib/gib_execute.c:

	fix a sequence point issue that could cause index to be put on the stack
	before being initialized
	
2003-02-14 19:46  taniwha

	* include/QF/quakefs.h, libs/audio/renderer/snd_mem.c,
	libs/console/client.c, libs/console/filelist.c,
	libs/console/menu.c, libs/gamecode/builtins/bi_file.c,
	libs/gamecode/engine/pr_debug.c, libs/gamecode/engine/pr_load.c,
	libs/gib/gib_builtin.c, libs/gib/gib_init.c, libs/models/model.c,
	libs/models/alias/gl_mesh.c, libs/models/alias/gl_model_alias.c,
	libs/models/alias/model_alias.c,
	libs/models/brush/gl_model_brush.c,
	libs/models/sprite/gl_model_sprite.c, libs/util/cmd.c,
	libs/util/pcx.c, libs/util/quakefs.c, libs/util/sys.c,
	libs/util/tga.c, libs/util/wad.c, libs/video/renderer/gl/gl_draw.c,
	libs/video/renderer/gl/gl_dyn_part.c,
	libs/video/renderer/gl/gl_rmisc.c,
	libs/video/renderer/gl/gl_screen.c,
	libs/video/renderer/gl/gl_sky.c, libs/video/renderer/sw/draw.c,
	libs/video/renderer/sw/screen.c, libs/video/renderer/sw/sw_rpart.c,
	libs/video/renderer/sw32/draw.c, libs/video/renderer/sw32/screen.c,
	libs/video/renderer/sw32/sw32_rpart.c,
	libs/video/targets/vid_common_gl.c, nq/source/cl_demo.c,
	nq/source/cl_parse.c, nq/source/com.c, nq/source/game.c,
	nq/source/host.c, nq/source/host_cmd.c, nq/source/locs.c,
	nq/source/skin.c, qw/source/cl_demo.c, qw/source/cl_main.c,
	qw/source/cl_parse.c, qw/source/cl_skin.c, qw/source/com.c,
	qw/source/crudefile.c, qw/source/game.c, qw/source/locs.c,
	qw/source/skin.c, qw/source/sv_ccmds.c, qw/source/sv_demo.c,
	qw/source/sv_init.c, qw/source/sv_main.c, qw/source/sv_user.c,
	qw/source/teamplay.c, tools/qfbsp/source/options.c,
	tools/qfbsp/source/qfbsp.c, tools/qflight/source/qflight.c,
	tools/qfvis/source/qfvis.c:

	rename all the globals in quakefs.[ch] to be QFS_* or qfs_*
	
2003-02-14 19:07  taniwha

	* ruamoko/include/Makefile.am:

	d'oh, forgot to include qfile.h
	
2003-02-14 18:17  taniwha

	* include/QF/csqc.h, libs/console/menu.c,
	libs/gamecode/builtins/Makefile.am,
	libs/gamecode/builtins/bi_file.c,
	libs/gamecode/builtins/bi_qfile.c, ruamoko/cl_menu/client_menu.qc,
	ruamoko/include/file.h, ruamoko/include/qfile.h,
	ruamoko/lib/Makefile.am, ruamoko/lib/file.r, ruamoko/lib/qfile.r:

	implement a proper (and optionally secure) QFile interace for ruamoko.
	
2003-02-14 08:36  snax

	* doc/config/gib/: adjustvolume.gib, cb.gib, sshot.gib, zoom.gib:

	Updated the header to zoom.gib, removed cb.gib pending a rewrite for the
	new version of GIB, and added two scripts from alphageek.
	
2003-02-14 08:05  snax

	* libs/console/client.c, libs/gib/gib_buffer.c,
	libs/gib/gib_builtin.c, libs/gib/gib_execute.c,
	libs/gib/gib_function.c, libs/gib/gib_init.c, libs/gib/gib_parse.c,
	libs/gib/gib_process.c, libs/gib/gib_thread.c, libs/gib/gib_tree.c,
	libs/util/cbuf.c, libs/util/cmd.c, libs/util/idparse.c,
	libs/video/targets/keys.c, include/QF/cbuf.h, include/QF/cmd.h,
	include/QF/gib_buffer.h, include/QF/gib_builtin.h,
	include/QF/gib_function.h, include/QF/gib_parse.h,
	include/QF/gib_thread.h, include/QF/gib_tree.h,
	qw/source/teamplay.c, tools/carne/main.c:

	Various cleanups and bugfixes.  Added proper line number reporting to
	errors.  A few new builtin functions, such as slice::find and thread::list.
	
2003-02-14 02:21  despair

	* include/QF/joystick.h:

	Remove dead cvar.
	
2003-02-14 00:58  despair

	* libs/video/renderer/gl/gl_dyn_part.c:

	Fix easter_egg toggling.
	
2003-02-13 21:48  despair

	* libs/video/renderer/gl/gl_dyn_part.c:

	Change mach64 test to only happen at particle system inits, rather than testing for every individual particle injection.
	Mach64 now gets id particle effects. Disabling the majority of effects isn't the best method, IMO.
	
2003-02-13 19:07  despair

	* ruamoko/game/.cvsignore:

	Ignore *.sym.gz
	
2003-02-13 19:06  despair

	* ruamoko/game/.cvsignore:

	Ignore *.dat.gz
	
2003-02-13 19:04  despair

	* include/QF/input.h:

	*punts cvs*
	
2003-02-13 19:03  despair

	* libs/video/targets/: context_sdl.c, context_x11.c, in_common.c,
	in_fbdev.c, in_sdl.c, in_svgalib.c, in_win.c, in_x11.c:

	Add return value checking for in_grab. Also some dead code removal, dangling comment and white space cleanup.
	
2003-02-13 18:24  taniwha

	* include/context_x11.h, include/QF/vid.h,
	libs/video/targets/context_x11.c, libs/video/targets/in_x11.c,
	libs/video/targets/vid_x11.c:

	don't adjust the system gamma unless the window has focus. also quench an
	internal warning (the event system can't handle shm events (doesn't seem to
	need to anyway)).
	
2003-02-13 00:06  despair

	* hw/source/master.c:

	Mostly whitespace.
	
2003-02-12 23:56  despair

	* hw/source/master.c:

	x86-64 fix from Mike A. Harris.
	
2003-02-12 23:41  despair

	* libs/video/renderer/sw/: fpu.c, nonintel.c:

	More x86-64 (AMD, not intel IA64, taniwha!) fixes.
	Compile problems pointed out by Mike A. Harris. Thanks!
	
2003-02-12 23:29  taniwha

	* libs/util/quakefs.c:

	fix some warnings picked up by ia-64
	
2003-02-12 22:51  taniwha

	* configure.ac, RPM/quakeforge.spec.in:

	put the plugins back into ${libdir}/quakeforge ('twas a mis-understanding)
	
2003-02-12 20:08  taniwha

	* include/netchan.h, include/netmain.h, libs/net/nm/net_wins.c:

	missed a net.h -> netmain.h
	
2003-02-12 19:41  taniwha

	* hw/source/master.c, nq/include/Makefile.am,
	qw/include/Makefile.am:

	forgot to clean up the net headers
	
2003-02-12 18:36  taniwha

	* hw/source/master.c:

	more cleanup
	
2003-02-12 17:46  taniwha

	* hw/source/master.c:

	fix up unknown packet output
	
2003-02-12 17:15  taniwha

	* hw/: include/Makefile.am, include/defs.h, source/master.c:

	various cleanups
	
2003-02-12 15:38  taniwha

	* configure.ac:

	don't ask for the qw and nq net libs :P
	
2003-02-12 06:53  despair

	* hw/source/master.c:

	More variable declares in the middle of functions. gcc 2.95 does not seem to like this at all...
	
2003-02-12 06:24  despair

	* hw/source/master.c:

	Attempt to fix alphageek's compile problem, and clean up other horrors.
	
2003-02-12 04:48  taniwha

	* hw/source/Makefile.am:

	oops, didn't mean to link hw-master staticly
	
2003-02-12 02:39  taniwha

	* hw/source/master.c:

	initialize the cmd and cvar stuff properly (hey, look, pretty console with
	+set sv_use_curses 1:)
	
2003-02-11 22:48  taniwha

	* Makefile.am, configure.ac, hw/source/Makefile.am,
	hw/source/master.c, include/Makefile.am, include/net_dgrm.h,
	include/net_loop.h, include/net_udp.h, include/net_vcr.h,
	include/net_wins.h, include/netchan.h, include/netmain.h,
	libs/Makefile.am, libs/net/.cvsignore, libs/net/Makefile.am,
	libs/net/net_chan.c, libs/net/net_main.c, libs/net/nc/.cvsignore,
	libs/net/nc/Makefile.am, libs/net/nc/net_udp.c,
	libs/net/nc/net_udp6.c, libs/net/nm/.cvsignore,
	libs/net/nm/Makefile.am, libs/net/nm/net_bsd.c,
	libs/net/nm/net_dgrm.c, libs/net/nm/net_loop.c,
	libs/net/nm/net_udp.c, libs/net/nm/net_vcr.c,
	libs/net/nm/net_win.c, libs/net/nm/net_wins.c, nq/include/client.h,
	nq/include/net.h, nq/include/net_dgrm.h, nq/include/net_loop.h,
	nq/include/net_udp.h, nq/include/net_vcr.h, nq/include/net_wins.h,
	nq/include/server.h, nq/source/Makefile.am, nq/source/net_bsd.c,
	nq/source/net_dgrm.c, nq/source/net_loop.c, nq/source/net_main.c,
	nq/source/net_udp.c, nq/source/net_vcr.c, nq/source/net_win.c,
	nq/source/net_wins.c, qw/include/client.h, qw/include/net.h,
	qw/include/server.h, qw/source/Makefile.am, qw/source/cl_main.c,
	qw/source/cl_sys_unix.c, qw/source/cl_sys_win.c,
	qw/source/msg_ucmd.c, qw/source/net_chan.c,
	qw/source/net_packetlog.c, qw/source/net_udp.c,
	qw/source/net_udp6.c, qw/source/sv_main.c:

	link in hw, move the qw and nq networking code into libs/net and make
	hw-master use libnetchan. there are evil include hacks that will need to be
	taken care of in net*.[ch]
	
2003-02-11 21:24  taniwha

	* include/QF/render.h, libs/video/renderer/r_cvar.c,
	libs/video/renderer/r_screen.c, libs/video/renderer/gl/gl_screen.c,
	libs/video/renderer/sw/screen.c, libs/video/renderer/sw32/screen.c,
	nq/source/cl_main.c, nq/source/sbar.c, qw/source/cl_main.c,
	qw/source/sbar.c:

	re-arrange viewsize handling to fix the hud bug in glx
	
2003-02-11 05:59  taniwha

	* qw/source/net_udp6.c:

	IPv6 compile fixes from doneill (slightly modded)
	
2003-02-11 04:12  taniwha

	* INSTALL:

	add alphageek's suggestion of "--without-tools" for server only build
	
2003-02-10 22:09  taniwha

	* INSTALL:

	fix a typo
	
2003-02-10 22:05  taniwha

	* nq/: include/Makefile.am, include/net_bw.h, include/net_ipx.h,
	include/net_mp.h, include/net_wipx.h, source/net_win.c:

	more obsolete network code nukage
	
2003-02-10 22:00  despair

	* INSTALL:

	Notes on how to build just the server, for the impatient.
	
2003-02-10 21:56  taniwha

	* nq/source/: Makefile.am, net_bw.c, net_dos.c, net_ipx.c,
	net_mp.c, net_none.c, net_wipx.c:

	these aren't supported anymore (not as if they're /really/ gone)
	
2003-02-10 21:41  taniwha

	* qw/: include/net.h, source/cl_demo.c, source/cl_main.c,
	source/cl_slist.c, source/net_chan.c, source/net_udp.c,
	source/sv_ccmds.c, source/sv_main.c, source/sv_send.c,
	source/sv_user.c:

	make the low level network code and packet logging less incentuous
	
2003-02-10 21:39  taniwha

	* hw/source/Makefile.am:

	link against the correct lib :P
	
2003-02-10 21:10  taniwha

	* hw/source/: cmds.c, net.c, net_test.c, vars.c:

	don't need these any more
	
2003-02-10 21:09  taniwha

	* hw/.cvsignore, hw/include/.cvsignore, hw/source/.cvsignore,
	nq/.cvsignore, qw/.cvsignore:

	cvs ignorage
	
2003-02-10 21:06  taniwha

	* hw/source/master.c:

	d'oh
	
2003-02-10 21:06  taniwha

	* hw/: include/defs.h, source/Makefile.am, source/cmds.c,
	source/net.c, source/net_test.c, source/vars.c:

	"it compiles, but it's a dirty hack"
	
2003-02-10 21:04  taniwha

	* include/QF/msg.h:

	remove a redundant prototype
	
2003-02-10 21:04  taniwha

	* qw/source/sv_main.c:

	white space
	
2003-02-10 19:31  taniwha

	* hw/: Makefile.am, include/Makefile.am, include/defs.h,
	source/Makefile.am, source/cmds.c, source/net.c, source/net_test.c,
	source/vars.c:

	put in the beginnings of my hw-master port. /NOT/ tied into the build yet
	so it won't affect 0.5.3 at all.
	
2003-02-10 03:40  taniwha

	* RPM/quakeforge.spec.in:

	fix for id1 no longer being created automaticly
	
2003-02-10 03:19  taniwha

	* libs/video/targets/vid_sgl.c:

	fix a couple of warnings
	
2003-02-09 19:35  despair

	* libs/video/renderer/gl/gl_rmain.c:

	Cleaned up fisheye code which totally ignored QF coding style.
	Also attempt to fix an init bug in R_InitFishEyeOnce (add gl_cube_map_capable = false to else).
	
2003-02-09 10:18  despair

	* libs/video/targets/context_x11.c:

	More whitespace.
	
2003-02-09 10:17  despair

	* libs/video/targets/vid_3dfxsvga.c:

	Whitespace, while I'm in the area...
	
2003-02-09 10:15  despair

	* libs/video/targets/vid_sgl.c:

	Make -sgl video mode selection much more robust. Particularly needs testing with voodoo 1 & 2, and on windows.
	If you have problems with input grabbing, try `+set vid_fullscreen 1` or `+set in_grab 1` on the command line.
	
2003-02-07 22:53  taniwha

	* RPM/quakeforge.spec.in:

	ditto
	
2003-02-07 22:52  taniwha

	* configure.ac:

	move $fs_sharepath/QFplugins to  $fs_sharepath/QF/plugins
	
2003-02-07 22:03  taniwha

